class TBGoodsCopyPage {
    constructor() {
    }
    Init() {
        const that = this;
        window.removeEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.addEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.removeEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.addEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.removeEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.addEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.removeEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
        window.addEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
        window.removeEventListener("SearchImgEvent", this.OnSearchImgEvent);
        window.addEventListener("SearchImgEvent", this.OnSearchImgEvent);
        window.removeEventListener("XdOrderListEvent", this.OnXdOrderListEvent);
        window.addEventListener("XdOrderListEvent", this.OnXdOrderListEvent);
        window.removeEventListener("ToPayEvent", this.OnToPayEvent);
        window.addEventListener("ToPayEvent", this.OnToPayEvent);
        window.removeEventListener("UpdateExpressNumberEvent", this.OnUpdatePurOrderEvent);
        window.addEventListener("UpdateExpressNumberEvent", this.OnUpdatePurOrderEvent);
        window.removeEventListener("CancelPurOrderEvent", this.OnCancelPurOrderEvent);
        window.addEventListener("CancelPurOrderEvent", this.OnCancelPurOrderEvent);
    }
    OnPddUrlListEvent(event) {
        if (event != null && event.detail != null && event.detail.type > 0 && event.detail.list != null && event.detail.list.length > 0) {
            let request = new ExtensionShortMessage.SendPddUrlListRequest();
            request.Type = event.detail.type;
            request.List = event.detail.list;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddUrlList, request, function (data) {
            });
        }
    }
    NeedLoginEvent(event) {
        if (event != null && event.detail != null && event.detail.type > 0) {
            let request = new ExtensionShortMessage.OpenLoginPageRequest();
            request.type = event.detail.type;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.OpenLoginPage, request, function (data) {
            });
        }
    }
    ShopCollectionEvent(event) {
        if (event != null && event.detail != null && event.detail.url != null && event.detail.goodsType > 0) {
            ModuleManager.Instance.goodsCollectionModule.currInsidePlatformType = InsidePlatformType.WeiDian;
            let request = new Model.CollectionUrlInfo();
            request.Urls = [];
            request.GoodsType = event.detail.goodsType;
            request.InsidePlatformType = InsidePlatformType.WeiDian;
            request.IsAll = true;
            request.IsBackground = false;
            request.CurrPage = 1;
            request.TotalPage = 2;
            request.NextPageUrl = event.detail.url;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CollectionUrlInfo, request, function (data) {
            });
        }
    }
    OnShopAutoBindEvent(event) {
        console.log("OnShopAutoBindEvent", event);
        if (event != null && event.detail != null) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdateShopData, {}, function (data) {
            });
        }
    }
    OnXdOrderListEvent(evt) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CheckUpdates, 2, function (data) {
            if (data.update) {
                Utils.Instance.Confirm('发现新版本', `新版本的"甩手助手"已经可用，当前版本：${data.currentVersion}，最新版本：${data.lastVersion}；为了不影响您的使用，请立即更新`, '立即更新', '', function () {
                    window.open('https://puhuo.shuaishou.com/src/views/plugdown.html');
                }, null);
            }
            else {
                if (evt != null && evt.detail != null && evt.detail.list != null && evt.detail.list.length > 0) {
                    let data = evt.detail;
                    for (let index = 0; index < data.list.length; index++) {
                        const element = data.list[index];
                        data.list[index] = TBGoodsCopyPage.JsonToUpperCase(element);
                    }
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentCaiGouInfo, data, function (data) {
                    });
                }
            }
        });
    }
    OnToPayEvent(evt) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CheckUpdates, 2, function (data) {
            if (data.update) {
                Utils.Instance.Confirm('发现新版本', `新版本的"甩手助手"已经可用，当前版本：${data.currentVersion}，最新版本：${data.lastVersion}；为了不影响您的使用，请立即更新`, '立即更新', '', function () {
                    window.open('https://puhuo.shuaishou.com/src/views/plugdown.html');
                }, null);
            }
            else {
                if (evt != null && evt.detail != null && evt.detail.list != null && evt.detail.list.length > 0) {
                    let data = evt.detail;
                    for (let index = 0; index < data.list.length; index++) {
                        const element = data.list[index];
                        data.list[index] = TBGoodsCopyPage.JsonToUpperCase(element);
                    }
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ToPay, data, function (data) {
                    });
                }
            }
        });
    }
    OnUpdatePurOrderEvent(evt) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CheckUpdates, 2, function (data) {
            if (data.update) {
                Utils.Instance.Confirm('发现新版本', `新版本的"甩手助手"已经可用，当前版本：${data.currentVersion}，最新版本：${data.lastVersion}；为了不影响您的使用，请立即更新`, '立即更新', '', function () {
                    window.open('https://puhuo.shuaishou.com/src/views/plugdown.html');
                }, null);
            }
            else {
                if (evt != null && evt.detail != null && evt.detail.length > 0) {
                    let data = evt.detail;
                    for (let index = 0; index < data.length; index++) {
                        const element = data[index];
                        data[index] = TBGoodsCopyPage.JsonToUpperCase(element);
                    }
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdatePurOrder, data, function (data) {
                    });
                }
            }
        });
    }
    OnCancelPurOrderEvent(evt) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CheckUpdates, 2, function (data) {
            if (data.update) {
                Utils.Instance.Confirm('发现新版本', `新版本的"甩手助手"已经可用，当前版本：${data.currentVersion}，最新版本：${data.lastVersion}；为了不影响您的使用，请立即更新`, '立即更新', '', function () {
                    window.open('https://puhuo.shuaishou.com/src/views/plugdown.html');
                }, null);
            }
            else {
                if (evt != null && evt.detail != null) {
                    let data = TBGoodsCopyPage.JsonToUpperCase(evt.detail);
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CancelPurOrder, data, function (data) {
                    });
                }
            }
        });
    }
    OnSearchImgEvent(evt) {
        if (evt != null && evt.detail != null) {
            let data = TBGoodsCopyPage.JsonToUpperCase(evt.detail);
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SearchImg, data, function (data) {
            });
        }
    }
    static JsonToUpperCase(jsonObj) {
        if (typeof (jsonObj) == 'object') {
            for (var key in jsonObj) {
                jsonObj[key.substring(0, 1).toUpperCase() + key.substring(1)] = jsonObj[key];
                delete (jsonObj[key]);
            }
            return jsonObj;
        }
        return jsonObj;
    }
}
if (typeof (_TBGoodsCopyPage) == "undefined") {
    _TBGoodsCopyPage = true;
    console.log("TBGoodsCopyPage - begin");
    new TBGoodsCopyPage().Init();
}
