var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
class BackGround {
    constructor() {
        this.isInitBusinessDataEnd = false;
        this.cache_data = new Object();
        this.manifestInfo = null;
        this.mainTabUrl = "http://localhost:8081/plugin/main_tab.html";
        this.connectPorts = new Object();
    }
    static get Instance() {
        return this._instance;
    }
    Init() {
        BackGround.Instance.InitBusinessData();
        BackGround.apiObj.extension.onRequest.addListener(function (request, sender, sendResponse) {
            BackGround.Instance.onRequestListener(request, sender, sendResponse);
        });
        BackGround.apiObj.extension.onConnect.addListener(function (port) {
            BackGround.Instance.OnConnectListener(port);
        });
        BackGround.apiObj.cookies.onChanged.addListener(function (changeInfo) {
            BackGround.Instance.CookiesChanged(changeInfo);
        });
        BusinessHubHandler.Instance.yangkeduoCaigouHandler.AddListenerTabOrWin(null, null, null);
        BackGround.Instance.PluginHeartBeat();
        BackGround.Instance.GetBrowserType();
        window.setTimeout(function () {
            location.href = location.href;
        }, 60 * 60 * 1000);
    }
    CookiesChanged(changeInfo) {
        console.log("cookie is changed");
        if (changeInfo.removed) {
            if (changeInfo.cookie.name == "PluginClientID") {
                BackGround.apiObj.cookies.get({ url: "https://dysh.shuaishou.com", name: "PluginClientID" }, function (_cookie) {
                    if (!_cookie) {
                        console.log("cookie is changed:PluginClientID");
                        let cookie = new Model.Cookie1;
                        cookie.url = BackGround.Instance.mainTabUrl;
                        cookie.name = "PluginClientID";
                        cookie.value = BackGround.Instance.clientId;
                        cookie.expirationDate = HttpClient.timestampServer + 3650 * 24 * 60 * 60;
                        BackGround.apiObj.cookies.set(cookie);
                        for (var i = 0; i < RunData.synchCookieUrls.length; i++) {
                            cookie.url = RunData.synchCookieUrls[i];
                            BackGround.apiObj.cookies.set(cookie);
                        }
                    }
                });
            }
        }
        if (changeInfo.cookie.name == "PDDAccessToken" && changeInfo.cookie.domain == "mobile.pinduoduo.com") {
            BackGround.Instance.PDDAccessTokenChange("https://mobile.pinduoduo.com", "https://yangkeduo.com");
        }
        if (changeInfo.cookie.name == "PDDAccessToken" && changeInfo.cookie.domain == "yangkeduo.com") {
            BackGround.Instance.PDDAccessTokenChange("https://yangkeduo.com", "https://mobile.pinduoduo.com");
        }
        if (changeInfo.cookie.name == "dnk" && changeInfo.cookie.domain == ".taobao.com") {
            BackGround.Instance.TaobaoDnkChange("https://www.taobao.com");
        }
        if (changeInfo.cookie.name == "sgcookie") {
            if (changeInfo.cookie.domain == ".taobao.com") {
                BackGround.Instance.SendTaobaoCookie("https://www.taobao.com");
            }
            else if (changeInfo.cookie.domain == ".tmall.com") {
                BackGround.Instance.SendTaobaoCookie("https://www.tmall.com");
            }
            else if (changeInfo.cookie.domain == ".1688.com") {
                BackGround.Instance.SendTaobaoCookie("https://www.1688.com");
            }
        }
    }
    SendTaobaoCookie(url, type = 0) {
        BackGround.apiObj.cookies.get({ url: url, name: 'sgcookie' }, function (_cookie) {
            if (_cookie) {
                if (BackGround.Instance.sgcookie != _cookie.value) {
                    BackGround.Instance.SendTaobaoCookieInfo(url);
                }
                BackGround.Instance.sgcookie = _cookie.value;
            }
            else {
                if (type == 0)
                    BackGround.Instance.sgcookie = '';
            }
        });
    }
    PDDAccessTokenChange(url, url1) {
        var _a;
        let winId = (_a = BusinessHubHandler.Instance.pddGoodHandler.needLoginWin) === null || _a === void 0 ? void 0 : _a.id;
        BackGround.apiObj.cookies.get({ url: url, name: "PDDAccessToken" }, function (_cookie) {
            if (_cookie) {
                if (winId > 0) {
                    BackGround.apiObj.windows.remove(winId, function () {
                    });
                }
                console.log("cookie is changed:PDDAccessToken");
                let cookie = new Model.Cookie1;
                cookie.name = "PDDAccessToken";
                cookie.value = _cookie.value;
                cookie.expirationDate = _cookie.expirationDate;
                for (var i = 0; i < RunData.synchCookieUrls.length; i++) {
                    cookie.url = RunData.synchCookieUrls[i];
                    BackGround.apiObj.cookies.set(cookie);
                }
                BackGround.apiObj.cookies.get({ url: "https://mobile.pinduoduo.com", name: "pdd_user_id" }, function (_cookie1) {
                    if (_cookie1) {
                        BackGround.Instance.pdd_user_id = _cookie1.value;
                    }
                    else {
                        BackGround.Instance.pdd_user_id = "";
                    }
                });
                BusinessHubHandler.Instance.pddGoodHandler.isLoginPdd = true;
                BusinessHubHandler.Instance.pddGoodHandler.StartTask();
            }
            else {
                BackGround.apiObj.cookies.get({ url: url1, name: "PDDAccessToken" }, function (_cookie) {
                    if (_cookie) {
                        if (winId > 0) {
                            BackGround.apiObj.windows.remove(winId, function () {
                            });
                        }
                        console.log("cookie is changed:PDDAccessToken");
                        let cookie = new Model.Cookie1;
                        cookie.name = "PDDAccessToken";
                        cookie.value = _cookie.value;
                        cookie.expirationDate = _cookie.expirationDate;
                        for (var i = 0; i < RunData.synchCookieUrls.length; i++) {
                            cookie.url = RunData.synchCookieUrls[i];
                            BackGround.apiObj.cookies.set(cookie);
                        }
                        BackGround.apiObj.cookies.get({ url: "https://yangkeduo.com", name: "pdd_user_id" }, function (_cookie1) {
                            if (_cookie1) {
                                BackGround.Instance.pdd_user_id = _cookie1.value;
                            }
                            else {
                                BackGround.Instance.pdd_user_id = "";
                            }
                        });
                        BusinessHubHandler.Instance.pddGoodHandler.isLoginPdd = true;
                        BusinessHubHandler.Instance.pddGoodHandler.StartTask();
                    }
                    else {
                        console.log("cookie is delete:PDDAccessToken");
                        for (var i = 0; i < RunData.synchCookieUrls.length; i++) {
                            BackGround.apiObj.cookies.remove({ url: RunData.synchCookieUrls[i], name: "PDDAccessToken" });
                        }
                        BackGround.Instance.pdd_user_id = "";
                        BusinessHubHandler.Instance.pddGoodHandler.isLoginPdd = false;
                        BusinessHubHandler.Instance.pddGoodHandler.StopTask();
                    }
                });
                BusinessHubHandler.Instance.purManageHandler.LoginOut(2);
            }
        });
    }
    TaobaoDnkChange(url) {
        BackGround.apiObj.cookies.get({ url: url, name: "dnk" }, function (_cookie) {
            if (_cookie) {
                console.log("cookie is changed:dnk");
                let cookie = new Model.Cookie1;
                cookie.name = "dnk";
                cookie.value = _cookie.value;
                cookie.expirationDate = _cookie.expirationDate;
                for (var i = 0; i < RunData.synchCookieUrls.length; i++) {
                    cookie.url = RunData.synchCookieUrls[i];
                    BackGround.apiObj.cookies.set(cookie);
                }
                if (BackGround.Instance.dnk != _cookie.value) {
                    BackGround.Instance.SaveTaobaoCookieInfo(url);
                }
                BackGround.Instance.dnk = _cookie.value;
                BusinessHubHandler.Instance.taobaoGoodsHandler.isLoginPdd = true;
                BusinessHubHandler.Instance.taobaoGoodsHandler.StartTask();
            }
            else {
                console.log("cookie is delete:dnk");
                for (var i = 0; i < RunData.synchCookieUrls.length; i++) {
                    BackGround.apiObj.cookies.remove({ url: RunData.synchCookieUrls[i], name: "dnk" });
                }
                BackGround.Instance.dnk = "";
                BusinessHubHandler.Instance.taobaoGoodsHandler.isLoginPdd = false;
                BusinessHubHandler.Instance.taobaoGoodsHandler.StopTask();
                BusinessHubHandler.Instance.purManageHandler.LoginOut(1);
            }
        });
    }
    SaveTaobaoCookieInfo(url) {
        BackGround.apiObj.cookies.getAll({ url: url }, function (_cookies) {
            if (_cookies && _cookies.length > 0) {
                let cookieInfo = "";
                for (var i = 0; i < _cookies.length; i++) {
                    cookieInfo += (_cookies[i].name + "=" + _cookies[i].value + ";");
                }
                cookieInfo = cookieInfo.substr(0, cookieInfo.length - 1);
                let body = new HttpMessage.SaveCookieRequet_1901();
                body.CookieInfo = cookieInfo;
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.SaveCookie_1901, body, function (response) {
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                            console.log("保存淘宝cookie成功");
                        }
                        else {
                            console.log("接口返回错误:" + data.Msg);
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                    }
                });
            }
        });
    }
    SendTaobaoCookieInfo(url) {
        BackGround.apiObj.cookies.getAll({ url: url }, function (_cookies) {
            if (_cookies && _cookies.length > 0) {
                let cookieInfo = "";
                for (var i = 0; i < _cookies.length; i++) {
                    cookieInfo += (_cookies[i].name + "=" + _cookies[i].value + ";");
                }
                cookieInfo = cookieInfo.substr(0, cookieInfo.length - 1);
                let body = new HttpMessage.SendTaobaoCookieRequet_1903();
                body.CookieInfo = cookieInfo;
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendTaobaoCookie_1903, body, function (response) {
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                            console.log("发送淘宝cookie成功");
                        }
                        else {
                            console.log("接口返回错误:" + data.Msg);
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                    }
                });
            }
        });
    }
    GetAllCookiesOfUrl(url, call, cookieName1 = null, cookieName2 = null) {
        chrome.cookies.getAll({ url: url }, function (_cookies) {
            if (_cookies && _cookies.length > 0) {
                let cookieInfo = "";
                let cookieValue1 = null;
                let cookieValue2 = null;
                for (var i = 0; i < _cookies.length; i++) {
                    cookieInfo += (_cookies[i].name + "=" + _cookies[i].value + ";");
                    if (_cookies[i].name == cookieName1)
                        cookieValue1 = _cookies[i].value;
                    if (_cookies[i].name == cookieName2)
                        cookieValue2 = _cookies[i].value;
                }
                cookieInfo = cookieInfo.substr(0, cookieInfo.length - 1);
                if (cookieName1 && cookieName2)
                    call(cookieInfo, cookieValue1, cookieValue2);
                else if (cookieName1 && !cookieName2)
                    call(cookieInfo, cookieValue1);
                else if (!cookieName1 && cookieName2)
                    call(cookieInfo, cookieValue2);
                else if (!cookieName1 && !cookieName2)
                    call(cookieInfo);
            }
        });
    }
    PluginHeartBeat() {
        window.setInterval(function () {
            let cookie = new Model.Cookie1;
            cookie.name = "PluginHeartBeat";
            cookie.value = new Date().getTime().toString();
            cookie.expirationDate = HttpClient.timestampServer + 3650 * 24 * 60 * 60;
            for (var i = 0; i < RunData.synchCookieUrls.length; i++) {
                cookie.url = RunData.synchCookieUrls[i];
                BackGround.apiObj.cookies.set(cookie);
            }
        }, 2000);
    }
    GetBrowserType() {
        if (navigator.userAgent.indexOf("Edg") > -1) {
            BackGround.Instance.browserType = BrowserType.Edge;
            console.log("Edge");
            return;
        }
        if (navigator.userAgent.indexOf("QQBrowser") > -1) {
            BackGround.Instance.browserType = BrowserType.QQ;
            return;
        }
        let _navigator = navigator;
        if (typeof (_navigator.sgAppName) != "undefined" && _navigator.sgAppName.indexOf("Microsoft Internet Explorer") > -1) {
            BackGround.Instance.browserType = BrowserType.Sogou;
            return;
        }
        let brower = this.GetBrowserInfo();
        BackGround.Instance.browserType = brower;
        console.log(brower);
        return;
    }
    Check360() {
        var result = false;
        for (var key in navigator.plugins) {
            if (navigator.plugins[key].filename == 'internal-nacl-plugin') {
                return !result;
            }
        }
        return result;
    }
    ProcessNavigatorOf360HomePage(navigatorInfo, sender, sendResponse) {
        let task = BusinessHubHandler.Instance.GetTabTask(sender.tab.id);
        if (!task || task.TabTaskType != TabTaskType.GetNavigatorOf360HomePage) {
            return;
        }
        chrome.tabs.remove(sender.tab.id, function () { });
        BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
        if (navigatorInfo.userAgent.indexOf("360SE") > -1) {
            BackGround.Instance.browserType = BrowserType._360SE;
            return;
        }
        if (navigatorInfo.userAgent.indexOf("360EE") > -1) {
            BackGround.Instance.browserType = BrowserType._360EE;
            return;
        }
        if (navigatorInfo.hasEdgePlugin) {
            BackGround.Instance.browserType = BrowserType.GoogleChrome;
        }
    }
    InitBusinessData() {
        $.get(BackGround.apiObj.extension.getURL('manifest.json'), function (info) {
            BackGround.Instance.manifestInfo = info;
            BackGround.Instance.CheckVersion();
            HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetIP_1, null, function (response) {
                if (response.IsSuccess) {
                    HttpClient.clientIP = response.Data;
                    BackGround.Instance.GetBasicInfo(function (data) {
                        BackGround.Instance.executeScriptRule = data.RegList;
                        BackGround.Instance.basicScriptCode = data.BasicScriptInfoList;
                        BackGround.Instance.businessScriptCode = data.BusinessScriptInfoList;
                        HttpClient.timestampClient = parseInt("" + Math.floor(new Date().getTime() / 1000));
                        HttpClient.timestampServer = Number(data.ServerTime);
                        BackGround.Instance.PDDAccessTokenChange("https://mobile.pinduoduo.com", "https://yangkeduo.com");
                        BackGround.Instance.TaobaoDnkChange("https://www.taobao.com");
                        BackGround.Instance.SendTaobaoCookie("https://www.taobao.com", 1);
                        BackGround.Instance.SendTaobaoCookie("https://www.tmall.com", 1);
                        BackGround.Instance.SendTaobaoCookie("https://www.1688.com", 1);
                        BackGround.apiObj.windows.getAll({ populate: true }, function (windows) {
                            if (windows && windows.length > 0) {
                                for (var i = 0; i < windows.length; i++) {
                                    if (windows[i] && windows[i].tabs && windows[i].tabs.length > 0) {
                                        for (var j = 0; j < windows[i].tabs.length; j++) {
                                            for (let index = 0; index < RunData.autoExecuteUrls.length; index++) {
                                                const url = RunData.autoExecuteUrls[index];
                                                if (windows[i].tabs[j].url.indexOf(url) > -1) {
                                                    BackGround.Instance.ExecuteScriptByRule(windows[i].tabs[j], 1);
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        });
                        BackGround.apiObj.tabs.onUpdated.addListener(function (tabId, changeInfo, tab) {
                            if ((tab.url.indexOf("mobile.pinduoduo.com/goods.html") > -1 ||
                                tab.url.indexOf("item.taobao.com/item.htm") > -1 ||
                                tab.url.indexOf("detail.tmall.com/item.htm") > -1 ||
                                tab.url.indexOf("detail.tmall.hk/hk/item.htm") > -1 ||
                                tab.url.indexOf("chaoshi.detail.tmall.com/item.htm") > -1 ||
                                tab.url.indexOf("buy.taobao.com/auction/confirm_order.htm") > -1 ||
                                tab.url.indexOf("buy.tmall.hk/auction/confirm_order.htm") > -1 ||
                                tab.url.indexOf("buy.tmall.com/auction/confirm_order.htm") > -1 ||
                                tab.url.indexOf(".xiapibuy.com") > -1 ||
                                tab.url.indexOf("shopee.") > -1 ||
                                tab.url.indexOf("mindx.1688.com") > -1 ||
                                tab.url.indexOf("mobile.yangkeduo.com/goods.html") > -1 ||
                                tab.url.indexOf("mobile.yangkeduo.com/order_checkout.html") > -1 ||
                                tab.url.indexOf("mclient.alipay.com") > -1 ||
                                tab.url.indexOf("trade.taobao.com/trade/detail/trade_order_detail.htm") > -1)
                                && changeInfo && changeInfo.status && changeInfo.status == "loading") {
                                BackGround.Instance.ExecuteScriptByRule(tab, 2);
                                return;
                            }
                            if ((tab.url.indexOf("mobile.pinduoduo.com/goods.html") > -1 ||
                                tab.url.indexOf("item.taobao.com/item.htm") > -1 ||
                                tab.url.indexOf("detail.tmall.com/item.htm") > -1 ||
                                tab.url.indexOf("detail.tmall.hk/hk/item.htm") > -1 ||
                                tab.url.indexOf("chaoshi.detail.tmall.com/item.htm") > -1 ||
                                tab.url.indexOf("buy.taobao.com/auction/confirm_order.htm") > -1 ||
                                tab.url.indexOf("buy.tmall.hk/auction/confirm_order.htm") > -1 ||
                                tab.url.indexOf("buy.tmall.com/auction/confirm_order.htm") > -1 ||
                                tab.url.indexOf("mobile.yangkeduo.com/goods.html") > -1 ||
                                tab.url.indexOf("mobile.yangkeduo.com/order_checkout.html") > -1)
                                && changeInfo && changeInfo.status && changeInfo.status != "loading") {
                                return;
                            }
                            if (!changeInfo || !changeInfo.status || changeInfo.status != "complete") {
                                return;
                            }
                            BackGround.Instance.ExecuteScriptByRule(tab, 1);
                        });
                        BackGround.apiObj.cookies.get({ url: BackGround.Instance.mainTabUrl, name: "PluginClientID" }, function (_cookie) {
                            let clientId = "";
                            if (_cookie && _cookie.name == "PluginClientID") {
                                clientId = _cookie.value;
                            }
                            Utils.Instance.GetBrowserFingerprint(function (fingerprint) {
                                BackGround.Instance.fingerprint = fingerprint;
                                let body = new HttpMessage.GetPluginClientInfoRequet_1104();
                                body.PluginVersionNum = BackGround.Instance.manifestInfo.version;
                                body.BrowserFingerprint = fingerprint;
                                body.ClientID = clientId;
                                body.ClientIP = HttpClient.clientIP;
                                HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetPluginClientInfo_1104, body, function (response) {
                                    if (response.IsSuccess) {
                                        let data = response.Data;
                                        if (data.Code == 1) {
                                            BackGround.Instance.clientId = data.ClientID;
                                            BackGround.Instance.maskClientAccount = data.MaskClientAccount;
                                            BusinessHubHandler.Instance.accountHandler.SavePluginID();
                                            if (data.ClientID) {
                                                BusinessHubHandler.Instance.Init();
                                            }
                                            BackGround.Instance.isInitBusinessDataEnd = true;
                                        }
                                        else {
                                            console.log("接口返回错误:" + data.Msg);
                                            window.setTimeout(BackGround.Instance.InitBusinessData, 3000);
                                        }
                                    }
                                    else {
                                        console.log(response.ErrorMsg);
                                        window.setTimeout(BackGround.Instance.InitBusinessData, 3000);
                                    }
                                });
                            });
                        });
                        BackGround.apiObj.browserAction.setTitle({ title: BackGround.Instance.manifestInfo.name });
                        BackGround.apiObj.browserAction.onClicked.addListener(function (tab) {
                            console.log("browserAction--onClicked");
                            if (tab.url.indexOf("http") > -1) {
                                let body = new ExtensionShortMessage.OpenPopupRequest();
                                body.OpenType = 0;
                                let data = new ExtensionShortMessage.RequestData();
                                data.Body = body;
                                data.Protocol = ShortMsgProtocol.OpenPopup;
                                BackGround.apiObj.tabs.sendMessage(tab.id, data, function (response) { });
                            }
                            else {
                                alert("请不要在浏览器起始页、设置页或资源页打开此窗口！");
                            }
                        });
                    });
                }
                else {
                    console.log(response.ErrorMsg);
                    window.setTimeout(BackGround.Instance.InitBusinessData, 3000);
                }
            }, false);
        }, 'json');
    }
    GetBasicInfo(sendResponse) {
        BackGround.apiObj.storage.local.get('basicInfo', function (result) {
            if (result && result.basicInfo) {
                let data = result.basicInfo;
                sendResponse(data);
            }
            else {
                let body = new HttpMessage.GetBasicInfoRequet_3();
                body.PluginVersionNum = BackGround.Instance.manifestInfo.version;
                body.IsLocal = true;
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetBasicInfo_3, body, function (response) {
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                            BackGround.apiObj.storage.local.set({ basicInfo: data });
                            sendResponse(data);
                        }
                        else {
                            console.log("接口返回错误:" + data.Msg);
                            window.setTimeout(BackGround.Instance.InitBusinessData, 3000);
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                        window.setTimeout(BackGround.Instance.InitBusinessData, 3000);
                    }
                });
            }
        });
    }
    CheckVersion() {
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetVersion_4, null, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    console.log('获取版本号', data);
                    BackGround.apiObj.storage.local.get('executeScriptVersion', function (result) {
                        console.log('本地获取脚本版本', result);
                        if (result.executeScriptVersion != data.ExecuteScriptVersion) {
                            BackGround.apiObj.storage.local.remove('basicInfo');
                            BackGround.apiObj.storage.local.set({ executeScriptVersion: data.ExecuteScriptVersion });
                        }
                    });
                    BackGround.apiObj.storage.local.set({ pluginVersion: data.PluginVersion });
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                }
            }
        });
    }
    CheckUpdates(type = 1, sender, sendResponse) {
        BackGround.apiObj.storage.local.get('pluginVersion', function (result) {
            var _a;
            if (result && result.pluginVersion) {
                let data = result.pluginVersion;
                if (BackGround.Instance.manifestInfo.version != '0.0.1' && BackGround.Instance.manifestInfo.version != data.Version) {
                    if (type == 1 && data.GoodsMustUpdate) {
                        sendResponse({
                            update: true,
                            currentVersion: BackGround.Instance.manifestInfo.version,
                            lastVersion: data.Version
                        });
                        return;
                    }
                    else if (type == 2 && data.OrderMustUpdate) {
                        sendResponse({
                            update: true,
                            currentVersion: BackGround.Instance.manifestInfo.version,
                            lastVersion: data.Version
                        });
                        return;
                    }
                }
            }
            sendResponse({
                update: false,
                currentVersion: BackGround.Instance.manifestInfo.version,
                lastVersion: (_a = result === null || result === void 0 ? void 0 : result.pluginVersion) === null || _a === void 0 ? void 0 : _a.Version
            });
        });
    }
    ExecuteScriptByRule(tab, executeType) {
        let data = new ExtensionShortMessage.RequestData();
        data.Body = null;
        data.Protocol = ShortMsgProtocol.HasExecuteScript;
        BackGround.apiObj.tabs.sendMessage(tab.id, data, function (response) {
            if (typeof (response) == "undefined" || !response.IsExecute) {
                let executeScriptBody = new ExtensionShortMessage.ExecuteScriptRequest();
                executeScriptBody.TabId = tab.id;
                executeScriptBody.AllFrames = false;
                executeScriptBody.IsNeedJQuery = true;
                executeScriptBody.IsToSender = false;
                executeScriptBody.ScriptCodeList = [];
                executeScriptBody.ScriptFileList = [];
                if (BackGround.Instance.basicScriptCode && BackGround.Instance.basicScriptCode.length > 0) {
                    executeScriptBody.ScriptCodeList = BackGround.Instance.basicScriptCode;
                }
                BackGround.Instance.ExecuteScript(executeScriptBody, null, function () { });
                if (BackGround.Instance.executeScriptRule && BackGround.Instance.executeScriptRule.length > 0) {
                    for (var i = 0; i < BackGround.Instance.executeScriptRule.length; i++) {
                        let rule = new RegExp(BackGround.Instance.executeScriptRule[i], "");
                        let res = rule.test(tab.url.toLowerCase());
                        if (res) {
                            let body = new HttpMessage.GetScriptNameRequet_1103();
                            body.ExecuteUrl = tab.url.toLowerCase();
                            HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetScriptName_1103, body, function (response) {
                                if (response.IsSuccess) {
                                    let data = response.Data;
                                    if (data.Code == 1) {
                                        if (data.ScriptNameList && data.ScriptNameList.length > 0) {
                                            let scriptList = [];
                                            for (var i = 0; i < data.ScriptNameList.length; i++) {
                                                let scriptName = data.ScriptNameList[i];
                                                for (var j = 0; j < BackGround.Instance.businessScriptCode.length; j++) {
                                                    let scriptCode = BackGround.Instance.businessScriptCode[j];
                                                    if (scriptName == scriptCode.ScriptName) {
                                                        scriptList.push(scriptCode);
                                                        break;
                                                    }
                                                }
                                            }
                                            let executeScriptBody = new ExtensionShortMessage.ExecuteScriptRequest();
                                            executeScriptBody.TabId = tab.id;
                                            executeScriptBody.AllFrames = false;
                                            executeScriptBody.IsNeedJQuery = false;
                                            executeScriptBody.IsToSender = false;
                                            executeScriptBody.ScriptCodeList = scriptList;
                                            executeScriptBody.ScriptFileList = [];
                                            BackGround.Instance.ExecuteScript(executeScriptBody, null, function () { });
                                        }
                                    }
                                    else {
                                        console.log("接口返回错误:" + data.Msg);
                                    }
                                }
                                else {
                                    console.log(response.ErrorMsg);
                                }
                            });
                            break;
                        }
                    }
                }
            }
            else {
                data.Protocol = ShortMsgProtocol.PageLoadEnd;
                data.Body = executeType;
                BackGround.apiObj.tabs.sendMessage(tab.id, data, function (response) { });
            }
        });
    }
    onRequestListener(request, sender, sendResponse) {
        console.log("bj.js--onRequest:Protocol:" + request.Protocol + ";Body:" + JSON.stringify(request.Body));
        switch (request.Protocol) {
            case ShortMsgProtocol.AjaxProtocol:
                BackGround.Instance.AjaxProtocol(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.AjaxGet:
                HttpClient.Instance.AjaxGet(request.Body.Url, request.Body.Body, sendResponse);
                break;
            case ShortMsgProtocol.AjaxProtocol:
                BackGround.Instance.AjaxProtocol(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.OpenUrl:
                BackGround.Instance.OpenUrlOfPopup(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.GetManifestInfo:
                BackGround.Instance.GetManifestInfo(sendResponse);
                break;
            case ShortMsgProtocol.CreateWindow:
                BackGround.Instance.CreateWindow(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.UpdateWindow:
                BackGround.Instance.UpdateWindow(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.CloseWindow:
                BackGround.Instance.CloseWindow(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetCurrentWindow:
                BackGround.Instance.GetCurrentWindow(sender, sendResponse);
                break;
            case ShortMsgProtocol.UpdateTab:
                BackGround.Instance.UpdateTab(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.CloseTab:
                BackGround.Instance.CloseTab(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.GetCurrentTab:
                BackGround.Instance.GetCurrentTab(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.SetCacheData:
                BackGround.Instance.SetCacheData(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.GetCacheData:
                BackGround.Instance.GetCacheData(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.ExecuteScript:
                BackGround.Instance.ExecuteScript(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetCookie:
                BackGround.Instance.GetCookie(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfPddGoodsDetail:
                BusinessHubHandler.Instance.pddGoodHandler.GetDataOfPddGoodDetail(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfPddLoginPage:
                BusinessHubHandler.Instance.pddGoodHandler.GetDataOfPddLoginPage(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.StopGetPddData:
                BusinessHubHandler.Instance.pddGoodHandler.StopGetPddData(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfPddVerifyPage:
                BusinessHubHandler.Instance.pddGoodHandler.GetDataOfPddVerifyPage(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfTaobaoGoodsDetail:
                BusinessHubHandler.Instance.taobaoGoodsHandler.GetDataOfTaobaoGoodsDetail(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfTmallGoodsDetail:
                BusinessHubHandler.Instance.taobaoGoodsHandler.GetDataOfTmallGoodsDetail(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfTaobaoLoginPage:
                BusinessHubHandler.Instance.taobaoGoodsHandler.GetDataOfTaobaoLoginPage(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfTaobaoVerifyPage:
                BusinessHubHandler.Instance.taobaoGoodsHandler.GetDataOfTaobaoVerifyPage(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetClientID:
                sendResponse(BackGround.Instance.clientId);
                break;
            case ShortMsgProtocol.GetBaseData:
                BusinessHubHandler.Instance.accountHandler.GetBaseData(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetShopData:
                BusinessHubHandler.Instance.accountHandler.GetShopData(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SendPddData:
                BusinessHubHandler.Instance.pddGoodHandler.SendPddData(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SendTbOrTmallData:
                BusinessHubHandler.Instance.taobaoGoodsHandler.SendTaobaoData(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SendPddUrlList:
                BusinessHubHandler.Instance.OnGoodsUrlListEvent(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.OpenLoginPage:
                BackGround.Instance.OpenLoginPage(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetLoginAccountInfo:
                BackGround.Instance.GetLoginAccountInfo(request.Body, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfTaobaoHomePage:
                BusinessHubHandler.Instance.taobaoGoodsHandler.GetDataOfTaobaoHomePage(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfPddHomePage:
                BusinessHubHandler.Instance.pddGoodHandler.GetDataOfPddHomePage(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.YangkeduoLoginClick:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.YangkeduoLoginClick(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetYangkeduoAddress:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetYangkeduoAddress(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SelectGoodSku:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SelectGoodSku(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.OrderCheckOut:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.OrderCheckOut(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetCgInfoToSend:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetCgInfoToSend(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.setCgNumberCache:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.setCgNumberCache(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetCurrentCaiGouInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetCurrentCaiGouInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetCurrentCaiGouInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SetCurrentCaiGouInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetProvinceCityCountyCode:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetProvinceCityCountyCode(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetCurrentOrderInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SetCurrentOrderInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetPddLoginAccountInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetPddLoginAccountInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetTaobaoLoginAccountInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetTaobaoLoginAccountInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetAlibbLoginAccountInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetAlibbLoginAccountInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.DeletePddAccountLoginInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.DeletePddAccountLoginInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.DeleteTaobaoAccountLoginInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.DeleteTaobaoAccountLoginInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.DeleteAlibbAccountLoginInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.DeleteAlibbAccountLoginInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetPddSelectCgNumber:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SetPddSelectCgNumber(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetAlibbSelectCgNumber:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SetAlibbSelectCgNumber(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetTaobaoSelectCgNumber:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SetTaobaoSelectCgNumber(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetPddSelectCgNumber:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetPddSelectCgNumber(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetTaobaoSelectCgNumber:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetTaobaoSelectCgNumber(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetAlibbSelectCgNumber:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetAlibbSelectCgNumber(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.IsNeedPddLoginOut:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.IsNeedPddLoginOut(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.IsNotNeedPddLoginOut:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.IsNotNeedPddLoginOut(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetTaobaoAddressSuccess:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetTaobaoAddressSuccess(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetTaobaoAddressSuccess:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SetTaobaoAddressSuccess(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetUpdateExpressNumberInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SetUpdateExpressNumberInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetIsCaigouOrIsExpress:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetIsCaigouOrIsExpress(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetExpressByApi:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetExpressByApi(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetExpressByHtml:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetExpressByHtml(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetCurrentPayUrl:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.SetCurrentPayUrl(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetCgInfoPayStateToSend:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetCgInfoPayStateToSend(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetIsBatch:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetIsBatch(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.ClearCurrentInfo:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.ClearCurrentInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.LoginOrGotoOpenView:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.LoginOrGotoOpenView(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.AddListenerTabOrWin:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.AddListenerTabOrWin(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.LoginPlugin:
                BusinessHubHandler.Instance.accountHandler.LoginPlugin(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.LoginPluginOfSSDZ:
                BusinessHubHandler.Instance.accountHandler.LoginPluginOfSSDZ(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.DefaultPuhuoShopChange:
                BusinessHubHandler.Instance.accountHandler.DefaultPuhuoShopChange(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.TaobaoCgOrderCode:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.TaobaoCgOrderCode(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetCgInfoToSendTaobao:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetCgInfoToSendTaobao(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.PageScriptLoadEnd:
                BusinessHubHandler.Instance.DispatchEvent(CustomEventType.PageScriptLoadEnd, null);
                break;
            case ShortMsgProtocol.GetTabTask:
                sendResponse(BusinessHubHandler.Instance.GetTabTask(request.Body));
                break;
            case ShortMsgProtocol.CollectionUrlInfo:
                BusinessHubHandler.Instance.goodsCollectionHandler.CollectionUrlInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.PageStateVerifyAbnormal:
                BusinessHubHandler.Instance.PageStateVerifyAbnormal(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.RefreshOrderTab:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.RefreshOrderTab(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetIsSkipPay:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.GetIsSkipPay(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.IsOrderPostageInsurance:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.IsOrderPostageInsurance(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SendPddGrabTask:
                BusinessHubHandler.Instance.pddGoodHandler.OnPddGrabTaskEvent(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDistributionLinksAndClick:
                BusinessHubHandler.Instance.distributionHandler.GetDistributionLinksAndClick(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.ApplyConsignment:
                BusinessHubHandler.Instance.applyConsignmentHandler.ApplyConsignment(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SendApplyConsignmentResult:
                BusinessHubHandler.Instance.applyConsignmentHandler.ApplyConsignmentResult(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetDataOfShopee:
                BusinessHubHandler.Instance.otherHandler.GetDataOfShopee(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SendGetDataOfShopeeResult:
                BusinessHubHandler.Instance.otherHandler.GetDataOfShopeeResult(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.CutCurrentCaigouOrder:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.CutCurrentCaigouOrder(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.ToPay:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.ToPay(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.DeleteShop:
                BusinessHubHandler.Instance.accountHandler.DeleteShop(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.UpdateShopData:
                BusinessHubHandler.Instance.accountHandler.GetAccountData(null);
                break;
            case ShortMsgProtocol.Md5Data:
                sendResponse(md5(request.Body));
                break;
            case ShortMsgProtocol.SendNavigatorOf360HomePage:
                BackGround.Instance.ProcessNavigatorOf360HomePage(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.HideWindowOpenEnd:
                BusinessHubHandler.Instance.popupHandler.OpenPopupEnd(sender, sendResponse);
                break;
            case ShortMsgProtocol.AddPurAccount:
                BusinessHubHandler.Instance.purManageHandler.AddPurAccount(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.AddPurAccountDisposal:
                BusinessHubHandler.Instance.purManageHandler.AddPurAccountDisposal(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SynchPurOrder:
                BusinessHubHandler.Instance.purManageHandler.SynchPurOrder(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SynchPurOrderDisposal:
                BusinessHubHandler.Instance.purManageHandler.SynchPurOrderDisposal(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.UpdatePurOrder:
                BusinessHubHandler.Instance.purManageHandler.UpdatePurOrder(request.Body, sender, sendResponse, true);
                break;
            case ShortMsgProtocol.UpdatePurOrderDisposal:
                BusinessHubHandler.Instance.purManageHandler.UpdatePurOrderDisposal(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SynchAliTradeID:
                BusinessHubHandler.Instance.purManageHandler.SynchAliTradeID(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.setPddOrderCodeByApi:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.setPddOrderCodeByApi(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.getPddOrderCodeByApi:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.getPddOrderCodeByApi(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetLocalStorageGoodsInfo:
                let goodsData = BusinessHubHandler.Instance.localStorageGoodsInfoHandler.GetLocalStorageGoodsInfo();
                sendResponse(goodsData);
                break;
            case ShortMsgProtocol.AddLocalStorageGoodsInfo:
                BusinessHubHandler.Instance.localStorageGoodsInfoHandler.AddLocalStorageGoodsInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.DelLocalStorageGoodsInfo:
                BusinessHubHandler.Instance.localStorageGoodsInfoHandler.DelLocalStorageGoodsInfo(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.ClearLocalStorageGoodsInfo:
                BusinessHubHandler.Instance.localStorageGoodsInfoHandler.ClearLocalStorageGoodsInfo();
                break;
            case ShortMsgProtocol.GetIsSearchImg:
                BusinessHubHandler.Instance.searchGoodsByImgHandler.GetIsSeachImg(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetLocalStorageByTaobaoCookie:
                BusinessHubHandler.Instance.searchGoodsByImgHandler.SetLocalStorageByTaobaoCookie(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SearchImg:
                BusinessHubHandler.Instance.searchGoodsByImgHandler.SearchImg(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.CancelPurOrder:
                BusinessHubHandler.Instance.purManageHandler.CancelPurOrder(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.GetCancelPurOrder:
                BusinessHubHandler.Instance.purManageHandler.GetCancelPurOrder(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.SetCancelPurOrder:
                BusinessHubHandler.Instance.purManageHandler.SetCancelPurOrder(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.OrderCompletion:
                BusinessHubHandler.Instance.yangkeduoCaigouHandler.OrderCompletion(request.Body, sender, sendResponse);
                break;
            case ShortMsgProtocol.CheckUpdates:
                BackGround.Instance.CheckUpdates(request.Body, sender, sendResponse);
                break;
        }
    }
    AjaxProtocol(body, sendResponse) {
        HttpClient.Instance.AjaxProtocol(body.Protocol, body.Body, sendResponse);
    }
    OpenUrlOfPopup(body, sendResponse) {
        body.Left = 9999;
        body.Top = 0;
        body.Width = 3;
        body.Height = 3;
        body.Incognito = false;
        body.Focused = false;
        BusinessHubHandler.Instance.popupHandler.OpenPopup(body, sendResponse);
    }
    OpenUrlOfPopup1(body, sendResponse) {
        body.Left = 0;
        body.Top = 0;
        body.Width = 3;
        body.Height = 3;
        body.Incognito = false;
        body.Focused = true;
        BusinessHubHandler.Instance.popupHandler.OpenPopup(body, sendResponse);
    }
    OpenUrlOfPopupMax(body, sendResponse) {
        body.Left = 0;
        body.Top = 0;
        body.Width = 3;
        body.Height = 3;
        body.Incognito = false;
        body.Focused = true;
        BusinessHubHandler.Instance.popupHandler.OpenMaxPopup(body, sendResponse);
    }
    GetManifestInfo(sendResponse) {
        if (BackGround.Instance.manifestInfo)
            sendResponse(BackGround.Instance.manifestInfo);
        else
            sendResponse(null);
    }
    OpenLoginPage(body, sender, sendResponse) {
        let loginUrl = "";
        if (body.type == 1)
            loginUrl = "https://login.taobao.com/member/login.jhtml?redirectURL=https%3A%2F%2Fwww.taobao.com%2F";
        if (body.type == 2)
            loginUrl = "http://mobile.pinduoduo.com/login.html";
        let req = new ExtensionShortMessage.OpenUrlRequest();
        req.Url = loginUrl;
        BackGround.Instance.OpenUrlOfPopup1(req, function (win, tab) {
            if (body.type == 1)
                BusinessHubHandler.Instance.taobaoGoodsHandler.needLoginWin = win;
            if (body.type == 2)
                BusinessHubHandler.Instance.pddGoodHandler.needLoginWin = win;
            BackGround.apiObj.windows.update(win.id, {
                focused: true, drawAttention: true, state: "maximized"
            }, function (win) {
            });
        });
    }
    GetLoginAccountInfo(body, sendResponse) {
        let data = new ExtensionShortMessage.GetLoginAccountInfoResponse();
        data.TaobaoAccount = BackGround.Instance.dnk;
        data.PddAccount = BackGround.Instance.pdd_user_id;
        sendResponse(data);
    }
    CreateWindow(body, sender, sendResponse) {
        BackGround.Instance.OpenUrlOfPopup1(body, function (win, tab) {
            sendResponse(win);
        });
    }
    UpdateWindow(body, sender, sendResponse) {
        let winId = typeof (body.WinId) == "undefined" || body.WinId == 0 ? sender.tab.windowId : body.WinId;
        if (body.State == "minimized" || body.State == "maximized" || body.State == "fullscreen") {
            BackGround.apiObj.windows.update(winId, {
                focused: body.Focused, drawAttention: body.DrawAttention, state: body.State
            }, function (win) {
                sendResponse(win);
            });
        }
        else {
            BackGround.apiObj.windows.update(winId, {
                top: body.Top, left: body.Left, width: body.Width, height: body.Height,
                focused: body.Focused, drawAttention: body.DrawAttention, state: body.State
            }, function (win) {
                sendResponse(win);
            });
        }
    }
    CloseWindow(body, sender, sendResponse) {
        let winId = body.WinId == 0 ? sender.tab.windowId : body.WinId;
        BackGround.apiObj.windows.remove(winId, function () {
            BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
            sendResponse(true);
        });
    }
    GetCurrentWindow(sender, sendResponse) {
        sendResponse(sender.tab.windowId);
    }
    CreateTab(win, body, sendResponse) {
        let response = new ExtensionShortMessage.OpenUrlResponse();
        BackGround.apiObj.tabs.create({ windowId: win.id, url: body.Url, selected: body.Selected, pinned: body.Pinned }, function (tab) {
            response.Win = win;
            response.Tab = tab;
            sendResponse(response);
            let portInfo = new Model.PortInfo();
            portInfo.FromName = body.FromPortName;
            portInfo.Name = body.ToPortName + "," + tab.id;
            BackGround.Instance.connectPorts[body.ToPortName + "," + tab.id] = portInfo;
        });
    }
    UpdateTab(body, sendResponse) {
        BackGround.apiObj.tabs.update(body.TabId, { url: body.url, selected: body.selected, pinned: body.pinned }, function (tab) {
            sendResponse(tab);
        });
    }
    CloseTab(body, sendResponse) {
        let response = new ExtensionShortMessage.OpenUrlResponse();
        BackGround.apiObj.tabs.remove(body.TabId, function () {
            sendResponse(true);
        });
    }
    GetCurrentTab(sender, sendResponse) {
        sendResponse(sender.tab);
    }
    SetCacheData(body, sendResponse) {
        BackGround.Instance.cache_data[body.Key] = body.Value;
        sendResponse(true);
    }
    GetCookie(body, sendResponse) {
        if (body.Name) {
            BackGround.apiObj.cookies.get({ url: body.Url, name: body.Name }, function (cookie) {
                sendResponse(cookie);
            });
        }
        else {
            BackGround.Instance.GetAllCookiesOfUrl(body.Url, function (cookie) {
                sendResponse(cookie);
            });
        }
    }
    ExecuteScript(body, sender, sendResponse) {
        if (body.IsToSender)
            body.TabId = sender.tab.id;
        if (body.IsNeedJQuery) {
            BackGround.apiObj.tabs.executeScript(body.TabId, { file: "cdn/js/jquery.js" });
            BackGround.apiObj.tabs.executeScript(body.TabId, { file: "cdn/js/xlsx.core.min.js" });
            BackGround.apiObj.tabs.executeScript(body.TabId, { file: "cdn/js/multiple-select_1.5.2.min.js" });
            BackGround.apiObj.tabs.insertCSS(body.TabId, { file: "cdn/css/multiple-select_1.5.2.min.css" });
        }
        if (body.ScriptCodeList && body.ScriptCodeList.length > 0) {
            for (var i = 0; i < body.ScriptCodeList.length; i++) {
                let scriptCode = body.ScriptCodeList[i];
                if (scriptCode.ScriptType == 1)
                    BackGround.apiObj.tabs.executeScript(body.TabId, { file: "src/bin/" + scriptCode.ScriptName.replace(/\\/g, "/") });
                if (scriptCode.ScriptType == 2)
                    BackGround.apiObj.tabs.insertCSS(body.TabId, { file: "src/bin/" + scriptCode.ScriptName.replace(/\\/g, "/") });
            }
        }
    }
    ExecuteCoustomScript(body) {
        var xhr = new XMLHttpRequest();
        xhr.withCredentials = true;
        xhr.addEventListener("readystatechange", function () {
            if (this.readyState === 4) {
                BackGround.apiObj.tabs.executeScript(body.TabId, { code: this.responseText });
            }
        });
        xhr.open("GET", "https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.18.5/xlsx.core.min.js");
        xhr.send();
        let isSuccess = false;
        var xhr = new XMLHttpRequest();
        xhr.withCredentials = true;
        xhr.addEventListener("readystatechange", function () {
            if (this.readyState === 4 && this.responseText) {
                isSuccess = true;
                BackGround.apiObj.tabs.executeScript(body.TabId, {
                    code: this.responseText
                        .replace('[Select all]', '全选')
                        .replace('All selected', '全部店铺')
                        .replace('No matches found', '未添加店铺')
                });
            }
        });
        xhr.open("GET", "https://lib.baomitu.com/multiple-select/1.2.3/multiple-select.min.js");
        xhr.send();
        if (!isSuccess) {
            let isSuccess = false;
            var xhr = new XMLHttpRequest();
            xhr.withCredentials = true;
            xhr.addEventListener("readystatechange", function () {
                if (this.readyState === 4 && this.responseText) {
                    isSuccess = true;
                    BackGround.apiObj.tabs.executeScript(body.TabId, {
                        code: this.responseText
                            .replace('[Select all]', '全选')
                            .replace('All selected', '全部店铺')
                            .replace('No matches found', '未添加店铺')
                    });
                }
            });
            xhr.open("GET", "https://plugapi.shuaishou.com/plugin/background/multiple-select_1.5.2.min.js");
            xhr.send();
        }
        isSuccess = false;
        var xhr = new XMLHttpRequest();
        xhr.withCredentials = true;
        xhr.addEventListener("readystatechange", function () {
            if (this.readyState === 4 && this.responseText) {
                isSuccess = true;
                BackGround.apiObj.tabs.insertCSS(body.TabId, {
                    code: this.responseText
                        .replace('.ms-choice{display:block;width:100%;height:26px;padding:0;overflow:hidden;cursor:pointer;border:1px solid #aaa;text-align:left;white-space:nowrap;line-height:26px;color:#444;text-decoration:none;border-radius:4px;background-color:#fff}', '.ms-choice{font-size: 14px;font-weight: bold;display:block;width:100%;height:38px;padding:0;overflow:hidden;cursor:pointer;border:1px solid #aaa;text-align:left;white-space:nowrap;line-height:38px;color:#444;text-decoration:none;border-radius:4px;background-color:#fff}')
                        .replace('.ms-drop ul>li{list-style:none;display:list-item;background-image:none;position:static;padding:.25rem 8px}', '.ms-drop ul>li{font-size: 14px;list-style:none;display:list-item;background-image:none;position:static;padding:3.5px 8px}')
                        .replace('.ms-drop ul>li label{position:relative;padding-left:1.25rem;margin-bottom:0;font-weight:normal;display:block;white-space:nowrap;cursor:pointer}', '.ms-drop ul>li label{position:relative;padding-left:17.5px;margin-bottom:0;font-weight:normal;display:block;white-space:nowrap;cursor:pointer}')
                        .replace('.ms-drop input[type="checkbox"]{position:absolute;margin-top:.3rem;margin-left:-1.25rem}', '.ms-drop input[type="checkbox"]{position:absolute;margin-top:4.2px;margin-left:-17.5px}')
                });
            }
        });
        xhr.open("GET", "https://lib.baomitu.com/multiple-select/1.2.3/multiple-select.min.css");
        xhr.send();
        if (!isSuccess) {
            var xhr = new XMLHttpRequest();
            xhr.withCredentials = true;
            xhr.addEventListener("readystatechange", function () {
                if (this.readyState === 4 && this.responseText) {
                    isSuccess = true;
                    BackGround.apiObj.tabs.insertCSS(body.TabId, {
                        code: this.responseText
                            .replace('.ms-choice{display:block;width:100%;height:26px;padding:0;overflow:hidden;cursor:pointer;border:1px solid #aaa;text-align:left;white-space:nowrap;line-height:26px;color:#444;text-decoration:none;border-radius:4px;background-color:#fff}', '.ms-choice{font-size: 14px;font-weight: bold;display:block;width:100%;height:38px;padding:0;overflow:hidden;cursor:pointer;border:1px solid #aaa;text-align:left;white-space:nowrap;line-height:38px;color:#444;text-decoration:none;border-radius:4px;background-color:#fff}')
                            .replace('.ms-drop ul>li{list-style:none;display:list-item;background-image:none;position:static;padding:.25rem 8px}', '.ms-drop ul>li{font-size: 14px;list-style:none;display:list-item;background-image:none;position:static;padding:3.5px 8px}')
                            .replace('.ms-drop ul>li label{position:relative;padding-left:1.25rem;margin-bottom:0;font-weight:normal;display:block;white-space:nowrap;cursor:pointer}', '.ms-drop ul>li label{position:relative;padding-left:17.5px;margin-bottom:0;font-weight:normal;display:block;white-space:nowrap;cursor:pointer}')
                            .replace('.ms-drop input[type="checkbox"]{position:absolute;margin-top:.3rem;margin-left:-1.25rem}', '.ms-drop input[type="checkbox"]{position:absolute;margin-top:4.2px;margin-left:-17.5px}')
                    });
                }
            });
            xhr.open("GET", "https://plugapi.shuaishou.com/plugin/background/multiple-select_1.5.2.min.css");
            xhr.send();
        }
    }
    GetCacheData(body, sendResponse) {
        sendResponse(BackGround.Instance.cache_data[body]);
    }
    OnConnectListener(port) {
        console.log("connect:" + port.name);
        if (BackGround.Instance.connectPorts) {
            if (BackGround.Instance.connectPorts[port.name]) {
                if (BackGround.Instance.connectPorts[port.name].Port) {
                    BackGround.Instance.connectPorts[port.name].Port.removeListener(BackGround.Instance.OnMessageListener);
                    BackGround.Instance.connectPorts[port.name].Port.removeListener(BackGround.Instance.OnDisconnectListener);
                }
            }
            else {
                BackGround.Instance.connectPorts[port.name] = new Model.PortInfo();
            }
        }
        port.onMessage.addListener(BackGround.Instance.OnMessageListener);
        port.onMessage.addListener(BackGround.Instance.OnDisconnectListener);
        BackGround.Instance.connectPorts[port.name].Port = port;
        BackGround.Instance.connectPorts[port.name].Name = port.name;
        let msg = new ExtensionLongMessage.BaseData();
        msg.Protocol = LongMsgProtocol.NewConnect;
        msg.MsgSendType = LongMsgSendType.Broadcast;
        let newConnect = new ExtensionLongMessage.NewConnect();
        newConnect.FromPortName = port.name;
        msg.Body = newConnect;
        BackGround.Instance.SendMessage(msg);
    }
    OnDisconnectListener(port) {
        console.log("disconnect:" + port.name);
        if (BackGround.Instance.connectPorts && BackGround.Instance.connectPorts[port.name]) {
            if (BackGround.Instance.connectPorts[port.name].Port) {
                BackGround.Instance.connectPorts[port.name].Port.removeListener(BackGround.Instance.OnMessageListener);
                BackGround.Instance.connectPorts[port.name].Port.removeListener(BackGround.Instance.OnDisconnectListener);
            }
            BackGround.Instance.connectPorts[port.name] = null;
            let msg = new ExtensionLongMessage.BaseData();
            msg.Protocol = LongMsgProtocol.Disconnect;
            msg.MsgSendType = LongMsgSendType.Broadcast;
            let disconnect = new ExtensionLongMessage.Disconnect();
            disconnect.FromPortName = port.name;
            msg.Body = disconnect;
            BackGround.Instance.SendMessage(msg);
        }
    }
    OnMessageListener(msg) {
        console.log("new message:" + msg);
        switch (msg.Protocol) {
            default:
                BackGround.Instance.SendMessage(msg);
                break;
        }
    }
    SendMessage(msg) {
        console.log("send message:" + msg);
        switch (msg.MsgSendType) {
            case LongMsgSendType.Appoint:
                if (BackGround.Instance.connectPorts[msg.ToPortName] && BackGround.Instance.connectPorts[msg.ToPortName].Port) {
                    BackGround.Instance.connectPorts[msg.ToPortName].Port.postMessage(msg);
                }
                break;
            case LongMsgSendType.Broadcast:
                for (let portName in BackGround.Instance.connectPorts) {
                    if (BackGround.Instance.connectPorts[portName] && BackGround.Instance.connectPorts[portName].Port) {
                        BackGround.Instance.connectPorts[portName].Port.postMessage(msg);
                    }
                }
                break;
        }
    }
    GetBrowserInfo() {
        let ua = navigator.userAgent || '';
        let _navigator = window.navigator;
        let _window = window;
        let _match360 = function (ua) {
            let isMatch = false;
            if (self.chrome) {
                let chrome_version = Number(ua.replace(/^.*Chrome\/([\d]+).*$/, '$1'));
                if (_mime("type", "application/360softmgrplugin") || _mime("type", "application/mozilla-npqihooquicklogin")) {
                    isMatch = true;
                }
                else if (chrome_version > 36 && self.showModalDialog) {
                    isMatch = true;
                }
                else if (chrome_version > 45) {
                    isMatch = _mime("type", "application/vnd.chromium.remoting-viewer");
                    if (!isMatch && chrome_version >= 69) {
                        isMatch = _mime("type", "application/hwepass2001.installepass2001") || _mime("type", "application/asx");
                    }
                }
            }
            return ua.indexOf('QihooBrowser') > -1 || ua.indexOf('QHBrowser') > -1 || isMatch;
        };
        let _match360EE = function (ua) {
            if (self.document && self.screen) {
                let diff = self.screen.availWidth - window.innerWidth;
                if (diff == 6 || diff == 48) {
                    return true;
                }
            }
            return ua.indexOf('360EE') > -1 || _match360(ua) && !_match360SE(ua);
        };
        let _match360SE = function (ua) {
            let isMatch = false;
            if (_match360(ua)) {
                if (_mime("type", "application/gameplugin")) {
                    isMatch = true;
                }
                else if (_navigator && typeof _navigator['connection'] !== 'undefined' && typeof _navigator['connection']['saveData'] == 'undefined') {
                    isMatch = true;
                }
            }
            return ua.indexOf('360SE') > -1 || isMatch;
        };
        let _matchQQBrowser = function (ua) {
            return ua.indexOf('QQBrowser') > -1;
        };
        let _matchSogou = function (ua) {
            return ua.indexOf('MetaSr') > -1 || ua.indexOf('Sogou') > -1;
        };
        let _matchEdge = function (ua) {
            return ua.indexOf('Edge') > -1 || ua.indexOf('Edg/') > -1 || ua.indexOf('EdgA') > -1 || ua.indexOf('EdgiOS') > -1;
        };
        let _matchChrome = function (ua) {
            return ua.indexOf('Chrome') > -1 || ua.indexOf('CriOS') > -1;
        };
        let _mime = function (option, value) {
            let mimeTypes = _navigator.mimeTypes;
            for (let mt in mimeTypes) {
                if (mimeTypes[mt][option] == value) {
                    return true;
                }
            }
            return false;
        };
        if (_match360SE(ua)) {
            return BrowserType._360SE;
        }
        else if (_match360EE(ua)) {
            return BrowserType._360EE;
        }
        else if (_matchQQBrowser(ua)) {
            return BrowserType.QQ;
        }
        else if (_matchSogou(ua)) {
            return BrowserType.Sogou;
        }
        else if (_matchEdge(ua)) {
            return BrowserType.Edge;
        }
        else if (_matchChrome(ua)) {
            return BrowserType.GoogleChrome;
        }
        return BrowserType.Other;
    }
}
BackGround.apiObj = chrome;
BackGround._instance = new BackGround();
let backGroundInitTimer = window.setInterval(function () {
    if (typeof (BusinessHubHandler) != "undefined" &&
        typeof (PopupHandler) != "undefined" &&
        typeof (PddGoodsHandler) != "undefined" &&
        typeof (TaobaoGoodsHandler) != "undefined" &&
        typeof (YangkeduoCaigouHandler) != "undefined" &&
        typeof (AccountHandler) != "undefined" &&
        typeof (DistributionHandler) != "undefined" &&
        typeof (ApplyConsignmentHandler) != "undefined" &&
        typeof (PurManageHandler) != "undefined" &&
        typeof (OtherHandler) != "undefined") {
        window.clearInterval(backGroundInitTimer);
        BackGround.Instance.Init();
    }
}, 150);
var ShortMsgProtocol;
(function (ShortMsgProtocol) {
    ShortMsgProtocol[ShortMsgProtocol["AjaxProtocol"] = 1] = "AjaxProtocol";
    ShortMsgProtocol[ShortMsgProtocol["OpenUrl"] = 2] = "OpenUrl";
    ShortMsgProtocol[ShortMsgProtocol["GetManifestInfo"] = 3] = "GetManifestInfo";
    ShortMsgProtocol[ShortMsgProtocol["CreateWindow"] = 4] = "CreateWindow";
    ShortMsgProtocol[ShortMsgProtocol["UpdateWindow"] = 5] = "UpdateWindow";
    ShortMsgProtocol[ShortMsgProtocol["CloseWindow"] = 6] = "CloseWindow";
    ShortMsgProtocol[ShortMsgProtocol["GetCurrentWindow"] = 7] = "GetCurrentWindow";
    ShortMsgProtocol[ShortMsgProtocol["UpdateTab"] = 9] = "UpdateTab";
    ShortMsgProtocol[ShortMsgProtocol["CloseTab"] = 10] = "CloseTab";
    ShortMsgProtocol[ShortMsgProtocol["GetCurrentTab"] = 11] = "GetCurrentTab";
    ShortMsgProtocol[ShortMsgProtocol["SetServerUrl"] = 13] = "SetServerUrl";
    ShortMsgProtocol[ShortMsgProtocol["GetServerUrl"] = 14] = "GetServerUrl";
    ShortMsgProtocol[ShortMsgProtocol["SetCacheData"] = 15] = "SetCacheData";
    ShortMsgProtocol[ShortMsgProtocol["GetCacheData"] = 16] = "GetCacheData";
    ShortMsgProtocol[ShortMsgProtocol["ExecuteScript"] = 17] = "ExecuteScript";
    ShortMsgProtocol[ShortMsgProtocol["GetCookie"] = 18] = "GetCookie";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfPddGoodsDetail"] = 19] = "GetDataOfPddGoodsDetail";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfPddLoginPage"] = 20] = "GetDataOfPddLoginPage";
    ShortMsgProtocol[ShortMsgProtocol["StopGetPddData"] = 21] = "StopGetPddData";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfPddVerifyPage"] = 22] = "GetDataOfPddVerifyPage";
    ShortMsgProtocol[ShortMsgProtocol["GetClientID"] = 23] = "GetClientID";
    ShortMsgProtocol[ShortMsgProtocol["GetBaseData"] = 24] = "GetBaseData";
    ShortMsgProtocol[ShortMsgProtocol["GetShopData"] = 25] = "GetShopData";
    ShortMsgProtocol[ShortMsgProtocol["SendPddData"] = 26] = "SendPddData";
    ShortMsgProtocol[ShortMsgProtocol["SendPddUrlList"] = 27] = "SendPddUrlList";
    ShortMsgProtocol[ShortMsgProtocol["SendTbOrTmallData"] = 28] = "SendTbOrTmallData";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfTaobaoGoodsDetail"] = 29] = "GetDataOfTaobaoGoodsDetail";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfTmallGoodsDetail"] = 30] = "GetDataOfTmallGoodsDetail";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfTaobaoLoginPage"] = 31] = "GetDataOfTaobaoLoginPage";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfTaobaoVerifyPage"] = 32] = "GetDataOfTaobaoVerifyPage";
    ShortMsgProtocol[ShortMsgProtocol["SendTbOrTmallUrlList"] = 33] = "SendTbOrTmallUrlList";
    ShortMsgProtocol[ShortMsgProtocol["OpenLoginPage"] = 34] = "OpenLoginPage";
    ShortMsgProtocol[ShortMsgProtocol["GetLoginAccountInfo"] = 35] = "GetLoginAccountInfo";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfTaobaoHomePage"] = 36] = "GetDataOfTaobaoHomePage";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfPddHomePage"] = 37] = "GetDataOfPddHomePage";
    ShortMsgProtocol[ShortMsgProtocol["AjaxGet"] = 38] = "AjaxGet";
    ShortMsgProtocol[ShortMsgProtocol["AjaxPost"] = 39] = "AjaxPost";
    ShortMsgProtocol[ShortMsgProtocol["YangkeduoLoginClick"] = 40] = "YangkeduoLoginClick";
    ShortMsgProtocol[ShortMsgProtocol["GetYangkeduoAddress"] = 41] = "GetYangkeduoAddress";
    ShortMsgProtocol[ShortMsgProtocol["SelectGoodSku"] = 42] = "SelectGoodSku";
    ShortMsgProtocol[ShortMsgProtocol["OrderCheckOut"] = 43] = "OrderCheckOut";
    ShortMsgProtocol[ShortMsgProtocol["GetCgInfoToSend"] = 44] = "GetCgInfoToSend";
    ShortMsgProtocol[ShortMsgProtocol["setCgNumberCache"] = 45] = "setCgNumberCache";
    ShortMsgProtocol[ShortMsgProtocol["GetCurrentCaiGouInfo"] = 46] = "GetCurrentCaiGouInfo";
    ShortMsgProtocol[ShortMsgProtocol["SetCurrentCaiGouInfo"] = 47] = "SetCurrentCaiGouInfo";
    ShortMsgProtocol[ShortMsgProtocol["GetProvinceCityCountyCode"] = 48] = "GetProvinceCityCountyCode";
    ShortMsgProtocol[ShortMsgProtocol["SetCurrentOrderInfo"] = 49] = "SetCurrentOrderInfo";
    ShortMsgProtocol[ShortMsgProtocol["GetPddLoginAccountInfo"] = 50] = "GetPddLoginAccountInfo";
    ShortMsgProtocol[ShortMsgProtocol["DeletePddAccountLoginInfo"] = 51] = "DeletePddAccountLoginInfo";
    ShortMsgProtocol[ShortMsgProtocol["SetPddSelectCgNumber"] = 52] = "SetPddSelectCgNumber";
    ShortMsgProtocol[ShortMsgProtocol["GetPddSelectCgNumber"] = 53] = "GetPddSelectCgNumber";
    ShortMsgProtocol[ShortMsgProtocol["IsNeedPddLoginOut"] = 54] = "IsNeedPddLoginOut";
    ShortMsgProtocol[ShortMsgProtocol["IsNotNeedPddLoginOut"] = 55] = "IsNotNeedPddLoginOut";
    ShortMsgProtocol[ShortMsgProtocol["SetUpdateExpressNumberInfo"] = 56] = "SetUpdateExpressNumberInfo";
    ShortMsgProtocol[ShortMsgProtocol["GetIsCaigouOrIsExpress"] = 57] = "GetIsCaigouOrIsExpress";
    ShortMsgProtocol[ShortMsgProtocol["GetExpressToSend"] = 58] = "GetExpressToSend";
    ShortMsgProtocol[ShortMsgProtocol["GetExpressByApi"] = 59] = "GetExpressByApi";
    ShortMsgProtocol[ShortMsgProtocol["GetExpressByHtml"] = 60] = "GetExpressByHtml";
    ShortMsgProtocol[ShortMsgProtocol["SetCurrentPayUrl"] = 61] = "SetCurrentPayUrl";
    ShortMsgProtocol[ShortMsgProtocol["GetCgInfoPayStateToSend"] = 62] = "GetCgInfoPayStateToSend";
    ShortMsgProtocol[ShortMsgProtocol["GetIsBatch"] = 63] = "GetIsBatch";
    ShortMsgProtocol[ShortMsgProtocol["ClearCurrentInfo"] = 64] = "ClearCurrentInfo";
    ShortMsgProtocol[ShortMsgProtocol["LoginOrGotoOpenView"] = 65] = "LoginOrGotoOpenView";
    ShortMsgProtocol[ShortMsgProtocol["AddListenerTabOrWin"] = 66] = "AddListenerTabOrWin";
    ShortMsgProtocol[ShortMsgProtocol["LoginPlugin"] = 67] = "LoginPlugin";
    ShortMsgProtocol[ShortMsgProtocol["DefaultPuhuoShopChange"] = 68] = "DefaultPuhuoShopChange";
    ShortMsgProtocol[ShortMsgProtocol["LoginPluginOfSSDZ"] = 69] = "LoginPluginOfSSDZ";
    ShortMsgProtocol[ShortMsgProtocol["GetTaobaoSelectCgNumber"] = 70] = "GetTaobaoSelectCgNumber";
    ShortMsgProtocol[ShortMsgProtocol["GetAlibbSelectCgNumber"] = 71] = "GetAlibbSelectCgNumber";
    ShortMsgProtocol[ShortMsgProtocol["GetTaobaoLoginAccountInfo"] = 72] = "GetTaobaoLoginAccountInfo";
    ShortMsgProtocol[ShortMsgProtocol["GetAlibbLoginAccountInfo"] = 73] = "GetAlibbLoginAccountInfo";
    ShortMsgProtocol[ShortMsgProtocol["DeleteTaobaoAccountLoginInfo"] = 74] = "DeleteTaobaoAccountLoginInfo";
    ShortMsgProtocol[ShortMsgProtocol["DeleteAlibbAccountLoginInfo"] = 75] = "DeleteAlibbAccountLoginInfo";
    ShortMsgProtocol[ShortMsgProtocol["SetAlibbSelectCgNumber"] = 76] = "SetAlibbSelectCgNumber";
    ShortMsgProtocol[ShortMsgProtocol["SetTaobaoSelectCgNumber"] = 77] = "SetTaobaoSelectCgNumber";
    ShortMsgProtocol[ShortMsgProtocol["GetTaobaoAddressSuccess"] = 78] = "GetTaobaoAddressSuccess";
    ShortMsgProtocol[ShortMsgProtocol["SetTaobaoAddressSuccess"] = 79] = "SetTaobaoAddressSuccess";
    ShortMsgProtocol[ShortMsgProtocol["TaobaoCgOrderCode"] = 80] = "TaobaoCgOrderCode";
    ShortMsgProtocol[ShortMsgProtocol["GetCgInfoToSendTaobao"] = 81] = "GetCgInfoToSendTaobao";
    ShortMsgProtocol[ShortMsgProtocol["PageScriptLoadEnd"] = 82] = "PageScriptLoadEnd";
    ShortMsgProtocol[ShortMsgProtocol["GetTabTask"] = 83] = "GetTabTask";
    ShortMsgProtocol[ShortMsgProtocol["CollectionUrlInfo"] = 84] = "CollectionUrlInfo";
    ShortMsgProtocol[ShortMsgProtocol["RefreshOrderTab"] = 85] = "RefreshOrderTab";
    ShortMsgProtocol[ShortMsgProtocol["GetIsSkipPay"] = 86] = "GetIsSkipPay";
    ShortMsgProtocol[ShortMsgProtocol["IsOrderPostageInsurance"] = 87] = "IsOrderPostageInsurance";
    ShortMsgProtocol[ShortMsgProtocol["SendPddGrabTask"] = 88] = "SendPddGrabTask";
    ShortMsgProtocol[ShortMsgProtocol["PageStateVerifyAbnormal"] = 89] = "PageStateVerifyAbnormal";
    ShortMsgProtocol[ShortMsgProtocol["GetDistributionLinksAndClick"] = 90] = "GetDistributionLinksAndClick";
    ShortMsgProtocol[ShortMsgProtocol["ApplyConsignment"] = 91] = "ApplyConsignment";
    ShortMsgProtocol[ShortMsgProtocol["SendApplyConsignmentResult"] = 92] = "SendApplyConsignmentResult";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfShopee"] = 93] = "GetDataOfShopee";
    ShortMsgProtocol[ShortMsgProtocol["SendGetDataOfShopeeResult"] = 94] = "SendGetDataOfShopeeResult";
    ShortMsgProtocol[ShortMsgProtocol["CutCurrentCaigouOrder"] = 95] = "CutCurrentCaigouOrder";
    ShortMsgProtocol[ShortMsgProtocol["ToPay"] = 96] = "ToPay";
    ShortMsgProtocol[ShortMsgProtocol["DeleteShop"] = 97] = "DeleteShop";
    ShortMsgProtocol[ShortMsgProtocol["UpdateShopData"] = 98] = "UpdateShopData";
    ShortMsgProtocol[ShortMsgProtocol["Md5Data"] = 99] = "Md5Data";
    ShortMsgProtocol[ShortMsgProtocol["SendNavigatorOf360HomePage"] = 100] = "SendNavigatorOf360HomePage";
    ShortMsgProtocol[ShortMsgProtocol["OpenPopup"] = 101] = "OpenPopup";
    ShortMsgProtocol[ShortMsgProtocol["HasExecuteScript"] = 102] = "HasExecuteScript";
    ShortMsgProtocol[ShortMsgProtocol["PageLoadEnd"] = 103] = "PageLoadEnd";
    ShortMsgProtocol[ShortMsgProtocol["BatchCollectionEnd"] = 104] = "BatchCollectionEnd";
    ShortMsgProtocol[ShortMsgProtocol["BatchCollectionCallBack"] = 105] = "BatchCollectionCallBack";
    ShortMsgProtocol[ShortMsgProtocol["ApplyConsignmentResult"] = 106] = "ApplyConsignmentResult";
    ShortMsgProtocol[ShortMsgProtocol["GetDataOfShopeeResult"] = 107] = "GetDataOfShopeeResult";
    ShortMsgProtocol[ShortMsgProtocol["OpenHideWindow"] = 108] = "OpenHideWindow";
    ShortMsgProtocol[ShortMsgProtocol["GetPageOfShopeeFail"] = 109] = "GetPageOfShopeeFail";
    ShortMsgProtocol[ShortMsgProtocol["AddPurAccountResult"] = 110] = "AddPurAccountResult";
    ShortMsgProtocol[ShortMsgProtocol["SynchPurOrderResult"] = 111] = "SynchPurOrderResult";
    ShortMsgProtocol[ShortMsgProtocol["AlertContent"] = 112] = "AlertContent";
    ShortMsgProtocol[ShortMsgProtocol["UpdatePurOrderResult"] = 113] = "UpdatePurOrderResult";
    ShortMsgProtocol[ShortMsgProtocol["setPddOrderCodeByApi"] = 114] = "setPddOrderCodeByApi";
    ShortMsgProtocol[ShortMsgProtocol["getPddOrderCodeByApi"] = 115] = "getPddOrderCodeByApi";
    ShortMsgProtocol[ShortMsgProtocol["SearchGoodsByImg"] = 116] = "SearchGoodsByImg";
    ShortMsgProtocol[ShortMsgProtocol["GetLocalStorageGoodsInfo"] = 117] = "GetLocalStorageGoodsInfo";
    ShortMsgProtocol[ShortMsgProtocol["AddLocalStorageGoodsInfo"] = 118] = "AddLocalStorageGoodsInfo";
    ShortMsgProtocol[ShortMsgProtocol["DelLocalStorageGoodsInfo"] = 120] = "DelLocalStorageGoodsInfo";
    ShortMsgProtocol[ShortMsgProtocol["ClearLocalStorageGoodsInfo"] = 121] = "ClearLocalStorageGoodsInfo";
    ShortMsgProtocol[ShortMsgProtocol["GetIsSearchImg"] = 122] = "GetIsSearchImg";
    ShortMsgProtocol[ShortMsgProtocol["SetLocalStorageByTaobaoCookie"] = 123] = "SetLocalStorageByTaobaoCookie";
    ShortMsgProtocol[ShortMsgProtocol["SearchImg"] = 124] = "SearchImg";
    ShortMsgProtocol[ShortMsgProtocol["SearchImgResult"] = 125] = "SearchImgResult";
    ShortMsgProtocol[ShortMsgProtocol["CancelPurOrder"] = 126] = "CancelPurOrder";
    ShortMsgProtocol[ShortMsgProtocol["GetCancelPurOrder"] = 127] = "GetCancelPurOrder";
    ShortMsgProtocol[ShortMsgProtocol["SetCancelPurOrder"] = 128] = "SetCancelPurOrder";
    ShortMsgProtocol[ShortMsgProtocol["CancelPurOrderResult"] = 129] = "CancelPurOrderResult";
    ShortMsgProtocol[ShortMsgProtocol["OrderCompletion"] = 130] = "OrderCompletion";
    ShortMsgProtocol[ShortMsgProtocol["CheckUpdates"] = 131] = "CheckUpdates";
    ShortMsgProtocol[ShortMsgProtocol["HideWindowOpenEnd"] = 201] = "HideWindowOpenEnd";
    ShortMsgProtocol[ShortMsgProtocol["AddPurAccount"] = 202] = "AddPurAccount";
    ShortMsgProtocol[ShortMsgProtocol["AddPurAccountDisposal"] = 203] = "AddPurAccountDisposal";
    ShortMsgProtocol[ShortMsgProtocol["SynchPurOrder"] = 204] = "SynchPurOrder";
    ShortMsgProtocol[ShortMsgProtocol["SynchPurOrderDisposal"] = 205] = "SynchPurOrderDisposal";
    ShortMsgProtocol[ShortMsgProtocol["UpdatePurOrderDisposal"] = 206] = "UpdatePurOrderDisposal";
    ShortMsgProtocol[ShortMsgProtocol["UpdatePurOrder"] = 207] = "UpdatePurOrder";
    ShortMsgProtocol[ShortMsgProtocol["SynchAliTradeID"] = 208] = "SynchAliTradeID";
})(ShortMsgProtocol || (ShortMsgProtocol = {}));
var LaterBusinessType;
(function (LaterBusinessType) {
    LaterBusinessType[LaterBusinessType["ExecuteBusinessScript"] = 1] = "ExecuteBusinessScript";
})(LaterBusinessType || (LaterBusinessType = {}));
var LongMsgProtocol;
(function (LongMsgProtocol) {
    LongMsgProtocol[LongMsgProtocol["NewConnect"] = 1] = "NewConnect";
    LongMsgProtocol[LongMsgProtocol["Disconnect"] = 2] = "Disconnect";
})(LongMsgProtocol || (LongMsgProtocol = {}));
var LongMsgSendType;
(function (LongMsgSendType) {
    LongMsgSendType[LongMsgSendType["Appoint"] = 1] = "Appoint";
    LongMsgSendType[LongMsgSendType["Broadcast"] = 2] = "Broadcast";
})(LongMsgSendType || (LongMsgSendType = {}));
var HttpRequestType;
(function (HttpRequestType) {
    HttpRequestType["Get"] = "GET";
    HttpRequestType["Post"] = "POST";
})(HttpRequestType || (HttpRequestType = {}));
var GoodsType;
(function (GoodsType) {
    GoodsType[GoodsType["_1688"] = 1] = "_1688";
    GoodsType[GoodsType["TaoBao"] = 2] = "TaoBao";
    GoodsType[GoodsType["Tmall"] = 3] = "Tmall";
    GoodsType[GoodsType["PDD"] = 4] = "PDD";
    GoodsType[GoodsType["Shopee"] = 5] = "Shopee";
})(GoodsType || (GoodsType = {}));
var OrderCgType;
(function (OrderCgType) {
    OrderCgType[OrderCgType["TaoBao"] = 1] = "TaoBao";
    OrderCgType[OrderCgType["Pdd"] = 26] = "Pdd";
    OrderCgType[OrderCgType["Alibaba"] = 7] = "Alibaba";
    OrderCgType[OrderCgType["Jd"] = 9] = "Jd";
    OrderCgType[OrderCgType["TaoBaoKjHy"] = 61] = "TaoBaoKjHy";
    OrderCgType[OrderCgType["KuaiShou"] = 6] = "KuaiShou";
    OrderCgType[OrderCgType["Dy"] = 50] = "Dy";
    OrderCgType[OrderCgType["Shpee"] = 998] = "Shpee";
})(OrderCgType || (OrderCgType = {}));
var CustomEventType;
(function (CustomEventType) {
    CustomEventType["PageLoadEnd"] = "PageLoadEnd";
    CustomEventType["UpdateShopData"] = "UpdateShopData";
    CustomEventType["PageScriptLoadEnd"] = "PageScriptLoadEnd";
})(CustomEventType || (CustomEventType = {}));
var TabTaskType;
(function (TabTaskType) {
    TabTaskType[TabTaskType["TaobaoAllShopCollection"] = 1] = "TaobaoAllShopCollection";
    TabTaskType[TabTaskType["TmallAllShopCollection"] = 2] = "TmallAllShopCollection";
    TabTaskType[TabTaskType["_1688AllShopCollection"] = 3] = "_1688AllShopCollection";
    TabTaskType[TabTaskType["_1688ApplyConsignment"] = 4] = "_1688ApplyConsignment";
    TabTaskType[TabTaskType["GetDataOfShopee"] = 5] = "GetDataOfShopee";
    TabTaskType[TabTaskType["Get1688ShopItemsOfDevtools"] = 6] = "Get1688ShopItemsOfDevtools";
    TabTaskType[TabTaskType["GetNavigatorOf360HomePage"] = 7] = "GetNavigatorOf360HomePage";
    TabTaskType[TabTaskType["GetLoginInfo"] = 8] = "GetLoginInfo";
    TabTaskType[TabTaskType["GetPurOrderList"] = 9] = "GetPurOrderList";
    TabTaskType[TabTaskType["UpdatePurOrder"] = 10] = "UpdatePurOrder";
    TabTaskType[TabTaskType["SynchAliTradeID"] = 11] = "SynchAliTradeID";
    TabTaskType[TabTaskType["ShopeeAllShopCollection"] = 12] = "ShopeeAllShopCollection";
})(TabTaskType || (TabTaskType = {}));
var InsidePlatformType;
(function (InsidePlatformType) {
    InsidePlatformType[InsidePlatformType["Plugin"] = 0] = "Plugin";
    InsidePlatformType[InsidePlatformType["SsphTB"] = 1] = "SsphTB";
    InsidePlatformType[InsidePlatformType["SsphPDD"] = 2] = "SsphPDD";
    InsidePlatformType[InsidePlatformType["Dysh"] = 3] = "Dysh";
    InsidePlatformType[InsidePlatformType["Kssh"] = 4] = "Kssh";
    InsidePlatformType[InsidePlatformType["KuaJing"] = 5] = "KuaJing";
    InsidePlatformType[InsidePlatformType["Alish"] = 7] = "Alish";
    InsidePlatformType[InsidePlatformType["WeiDian"] = 10] = "WeiDian";
    InsidePlatformType[InsidePlatformType["Xhssh"] = 12] = "Xhssh";
    InsidePlatformType[InsidePlatformType["DySuppliersh"] = 13] = "DySuppliersh";
    InsidePlatformType[InsidePlatformType["Ttsh"] = 14] = "Ttsh";
    InsidePlatformType[InsidePlatformType["Sphsh"] = 15] = "Sphsh";
    InsidePlatformType[InsidePlatformType["Jdsh"] = 16] = "Jdsh";
})(InsidePlatformType || (InsidePlatformType = {}));
var BatchCollectionResultType;
(function (BatchCollectionResultType) {
    BatchCollectionResultType[BatchCollectionResultType["Default"] = 0] = "Default";
    BatchCollectionResultType[BatchCollectionResultType["Fail"] = -1] = "Fail";
    BatchCollectionResultType[BatchCollectionResultType["Success"] = 1] = "Success";
    BatchCollectionResultType[BatchCollectionResultType["SuccessOfFrontPages"] = 2] = "SuccessOfFrontPages";
    BatchCollectionResultType[BatchCollectionResultType["NoDefaultShop"] = -2] = "NoDefaultShop";
})(BatchCollectionResultType || (BatchCollectionResultType = {}));
var BrowserType;
(function (BrowserType) {
    BrowserType[BrowserType["GoogleChrome"] = 1] = "GoogleChrome";
    BrowserType[BrowserType["Edge"] = 2] = "Edge";
    BrowserType[BrowserType["Sogou"] = 3] = "Sogou";
    BrowserType[BrowserType["QQ"] = 4] = "QQ";
    BrowserType[BrowserType["_360SE"] = 5] = "_360SE";
    BrowserType[BrowserType["_360EE"] = 6] = "_360EE";
    BrowserType[BrowserType["Other"] = 99] = "Other";
})(BrowserType || (BrowserType = {}));
var ExtensionShortMessage;
(function (ExtensionShortMessage) {
    class RequestData {
    }
    ExtensionShortMessage.RequestData = RequestData;
    class AjaxProtocolRequest {
    }
    ExtensionShortMessage.AjaxProtocolRequest = AjaxProtocolRequest;
    class AjaxProtocolResponse {
    }
    ExtensionShortMessage.AjaxProtocolResponse = AjaxProtocolResponse;
    class OpenUrlRequest {
    }
    ExtensionShortMessage.OpenUrlRequest = OpenUrlRequest;
    class OpenUrlResponse {
    }
    ExtensionShortMessage.OpenUrlResponse = OpenUrlResponse;
    class UpdateWindowRequest {
    }
    ExtensionShortMessage.UpdateWindowRequest = UpdateWindowRequest;
    class CloseWindowRequest {
    }
    ExtensionShortMessage.CloseWindowRequest = CloseWindowRequest;
    class UpdateTabRequest {
    }
    ExtensionShortMessage.UpdateTabRequest = UpdateTabRequest;
    class CloseTabRequest {
    }
    ExtensionShortMessage.CloseTabRequest = CloseTabRequest;
    class SetCacheDataRequest {
    }
    ExtensionShortMessage.SetCacheDataRequest = SetCacheDataRequest;
    class ExecuteScriptRequest {
    }
    ExtensionShortMessage.ExecuteScriptRequest = ExecuteScriptRequest;
    class ScriptData {
    }
    ExtensionShortMessage.ScriptData = ScriptData;
    class GetCookieRequest {
    }
    ExtensionShortMessage.GetCookieRequest = GetCookieRequest;
    class GetDataOfPddGoodsDetailResponse {
    }
    ExtensionShortMessage.GetDataOfPddGoodsDetailResponse = GetDataOfPddGoodsDetailResponse;
    class GetDataOfPddLoginPageResponse {
    }
    ExtensionShortMessage.GetDataOfPddLoginPageResponse = GetDataOfPddLoginPageResponse;
    class GetDataOfPddVerifyPageResponse {
    }
    ExtensionShortMessage.GetDataOfPddVerifyPageResponse = GetDataOfPddVerifyPageResponse;
    class GetBaseDataResponse {
    }
    ExtensionShortMessage.GetBaseDataResponse = GetBaseDataResponse;
    class GetShopDataRequest {
    }
    ExtensionShortMessage.GetShopDataRequest = GetShopDataRequest;
    class GetShopDataResponse {
    }
    ExtensionShortMessage.GetShopDataResponse = GetShopDataResponse;
    class SendPddUrlListRequest {
    }
    ExtensionShortMessage.SendPddUrlListRequest = SendPddUrlListRequest;
    class GoodsUrlInfo {
    }
    ExtensionShortMessage.GoodsUrlInfo = GoodsUrlInfo;
    class SendPddUrlListResponse {
    }
    ExtensionShortMessage.SendPddUrlListResponse = SendPddUrlListResponse;
    class OpenLoginPageRequest {
    }
    ExtensionShortMessage.OpenLoginPageRequest = OpenLoginPageRequest;
    class OpenLoginPageResponse {
    }
    ExtensionShortMessage.OpenLoginPageResponse = OpenLoginPageResponse;
    class GetLoginAccountInfoRequest {
    }
    ExtensionShortMessage.GetLoginAccountInfoRequest = GetLoginAccountInfoRequest;
    class GetLoginAccountInfoResponse {
    }
    ExtensionShortMessage.GetLoginAccountInfoResponse = GetLoginAccountInfoResponse;
    class GetDataOfTaobaoHomePageResponse {
    }
    ExtensionShortMessage.GetDataOfTaobaoHomePageResponse = GetDataOfTaobaoHomePageResponse;
    class GetDataOfPddHomePageResponse {
    }
    ExtensionShortMessage.GetDataOfPddHomePageResponse = GetDataOfPddHomePageResponse;
    class LoginPluginRequest {
    }
    ExtensionShortMessage.LoginPluginRequest = LoginPluginRequest;
    class LoginPluginResponse {
    }
    ExtensionShortMessage.LoginPluginResponse = LoginPluginResponse;
    class LoginPluginOfSSDZRequest {
    }
    ExtensionShortMessage.LoginPluginOfSSDZRequest = LoginPluginOfSSDZRequest;
    class DefaultPuhuoShopChangeRequest {
    }
    ExtensionShortMessage.DefaultPuhuoShopChangeRequest = DefaultPuhuoShopChangeRequest;
    class DefaultPuhuoShopChangeResponse {
    }
    ExtensionShortMessage.DefaultPuhuoShopChangeResponse = DefaultPuhuoShopChangeResponse;
    class SendPddGrabTaskRequest {
    }
    ExtensionShortMessage.SendPddGrabTaskRequest = SendPddGrabTaskRequest;
    class GetDistributionLinksAndClickRequest {
    }
    ExtensionShortMessage.GetDistributionLinksAndClickRequest = GetDistributionLinksAndClickRequest;
    class ApplyConsignmentRequest {
    }
    ExtensionShortMessage.ApplyConsignmentRequest = ApplyConsignmentRequest;
    class SendApplyConsignmentResultRequest {
    }
    ExtensionShortMessage.SendApplyConsignmentResultRequest = SendApplyConsignmentResultRequest;
    class GetDataOfShopeeRequest {
    }
    ExtensionShortMessage.GetDataOfShopeeRequest = GetDataOfShopeeRequest;
    class SendGetDataOfShopeeResultRequest {
    }
    ExtensionShortMessage.SendGetDataOfShopeeResultRequest = SendGetDataOfShopeeResultRequest;
    class DeleteShopRequest {
    }
    ExtensionShortMessage.DeleteShopRequest = DeleteShopRequest;
    class DeleteShopResponse {
    }
    ExtensionShortMessage.DeleteShopResponse = DeleteShopResponse;
    class AddPurAccountRequest {
    }
    ExtensionShortMessage.AddPurAccountRequest = AddPurAccountRequest;
    class AddPurAccountResponse {
    }
    ExtensionShortMessage.AddPurAccountResponse = AddPurAccountResponse;
    class AddPurAccountDisposalRequest {
    }
    ExtensionShortMessage.AddPurAccountDisposalRequest = AddPurAccountDisposalRequest;
    class SynchPurOrderRequest {
    }
    ExtensionShortMessage.SynchPurOrderRequest = SynchPurOrderRequest;
    class SynchPurOrderResponse {
    }
    ExtensionShortMessage.SynchPurOrderResponse = SynchPurOrderResponse;
    class SynchPurOrderDisposalRequest {
    }
    ExtensionShortMessage.SynchPurOrderDisposalRequest = SynchPurOrderDisposalRequest;
    class UpdatePurOrderRequest {
    }
    ExtensionShortMessage.UpdatePurOrderRequest = UpdatePurOrderRequest;
    class UpdatePurOrderDisposalRequest {
        constructor() {
            this.IsSuc = true;
        }
    }
    ExtensionShortMessage.UpdatePurOrderDisposalRequest = UpdatePurOrderDisposalRequest;
    class LogisticsTrack {
    }
    ExtensionShortMessage.LogisticsTrack = LogisticsTrack;
    class SynchAliTradeIDRequest {
    }
    ExtensionShortMessage.SynchAliTradeIDRequest = SynchAliTradeIDRequest;
    class OpenPopupRequest {
    }
    ExtensionShortMessage.OpenPopupRequest = OpenPopupRequest;
    class HasExecuteScriptResponse {
    }
    ExtensionShortMessage.HasExecuteScriptResponse = HasExecuteScriptResponse;
    class YangkeduoCaiGouInfo {
    }
    ExtensionShortMessage.YangkeduoCaiGouInfo = YangkeduoCaiGouInfo;
    class YangkeduoCaiGouOrderInfo {
    }
    ExtensionShortMessage.YangkeduoCaiGouOrderInfo = YangkeduoCaiGouOrderInfo;
    class SearchImgRequest {
    }
    ExtensionShortMessage.SearchImgRequest = SearchImgRequest;
    class CancelPurOrderRequest {
    }
    ExtensionShortMessage.CancelPurOrderRequest = CancelPurOrderRequest;
})(ExtensionShortMessage || (ExtensionShortMessage = {}));
var ExtensionLongMessage;
(function (ExtensionLongMessage) {
    class BaseData {
    }
    ExtensionLongMessage.BaseData = BaseData;
    class NewConnect {
    }
    ExtensionLongMessage.NewConnect = NewConnect;
    class Disconnect {
    }
    ExtensionLongMessage.Disconnect = Disconnect;
})(ExtensionLongMessage || (ExtensionLongMessage = {}));
class HttpClient {
    constructor() {
        this.businessControllerName = "WebApiService";
        this.businessActionName = "ProcessBusiness";
    }
    static get Instance() {
        return this._instance;
    }
    AjaxProtocol(protocol, body, call, needDecrypt = true) {
        let response = new ExtensionShortMessage.AjaxProtocolResponse();
        let head = new HttpMessage.HttpRequestData;
        head.Protocol = protocol;
        head.Data = pke1(JSON.stringify(body), pkd1(RunData.px_key, RunData.akey, RunData.aiv), pkd1(RunData.px_iv, RunData.akey, RunData.aiv));
        head.Timestamp = String(HttpClient.timestampServer + Math.floor(new Date().getTime() / 1000) - HttpClient.timestampClient);
        let sign = String(protocol);
        sign += head.Data;
        sign += pkd1(RunData.signkey, RunData.akey, RunData.aiv);
        sign += head.Timestamp;
        head.Sign = md5(sign);
        $.ajax({
            type: "POST",
            url: RunData.server_url + "api/" + HttpClient.Instance.businessControllerName + "/" + HttpClient.Instance.businessActionName,
            data: head,
            success: function (result) {
                if (result.code == 1) {
                    let responseData = needDecrypt ? JSON.parse(pkd1(result.data, pkd1(RunData.px_key, RunData.akey, RunData.aiv), pkd1(RunData.px_iv, RunData.akey, RunData.aiv))) : result.data;
                    response.IsSuccess = true;
                    response.Data = responseData;
                }
                else {
                    response.IsSuccess = false;
                    response.ErrorMsg = "接口访问异常";
                }
                call(response);
            },
            error: function (e) {
                console.log(e);
                response.IsSuccess = false;
                response.ErrorMsg = "http请求失败";
                call(response);
            }
        });
    }
    AjaxGet(url, body, sendResponse) {
        $.ajax({
            type: "GET",
            url: url,
            success: function (result) {
                sendResponse(result);
            },
            error: function (e) {
                console.log(e);
                sendResponse(null);
            }
        });
    }
}
HttpClient.timestampClient = 0;
HttpClient.timestampServer = 0;
HttpClient._instance = new HttpClient();
var HttpMessage;
(function (HttpMessage) {
    class HttpRequestData {
    }
    HttpMessage.HttpRequestData = HttpRequestData;
    class HttpResponseData {
    }
    HttpMessage.HttpResponseData = HttpResponseData;
    class BaseMsg {
    }
    HttpMessage.BaseMsg = BaseMsg;
    class GetBasicInfoRequet_3 {
    }
    HttpMessage.GetBasicInfoRequet_3 = GetBasicInfoRequet_3;
    class GetBasicInfoResponse_3 extends BaseMsg {
    }
    HttpMessage.GetBasicInfoResponse_3 = GetBasicInfoResponse_3;
    class GetVersionResponse_4 extends BaseMsg {
    }
    HttpMessage.GetVersionResponse_4 = GetVersionResponse_4;
    class PluginVersion {
    }
    HttpMessage.PluginVersion = PluginVersion;
    class GetUserInfoRequet_1001 {
    }
    HttpMessage.GetUserInfoRequet_1001 = GetUserInfoRequet_1001;
    class GetUserInfoResponse_1001 extends BaseMsg {
    }
    HttpMessage.GetUserInfoResponse_1001 = GetUserInfoResponse_1001;
    class GetExecuteScriptRuleRequet_1101 {
    }
    HttpMessage.GetExecuteScriptRuleRequet_1101 = GetExecuteScriptRuleRequet_1101;
    class GetExecuteScriptRuleResponse_1101 extends BaseMsg {
    }
    HttpMessage.GetExecuteScriptRuleResponse_1101 = GetExecuteScriptRuleResponse_1101;
    class GetAllScriptCodeRequet_1102 {
    }
    HttpMessage.GetAllScriptCodeRequet_1102 = GetAllScriptCodeRequet_1102;
    class GetAllScriptCodeResponse_1102 extends BaseMsg {
    }
    HttpMessage.GetAllScriptCodeResponse_1102 = GetAllScriptCodeResponse_1102;
    class ScriptInfo {
    }
    HttpMessage.ScriptInfo = ScriptInfo;
    class GetScriptNameRequet_1103 {
    }
    HttpMessage.GetScriptNameRequet_1103 = GetScriptNameRequet_1103;
    class GetScriptNameResponse_1103 extends BaseMsg {
    }
    HttpMessage.GetScriptNameResponse_1103 = GetScriptNameResponse_1103;
    class GetPluginClientInfoRequet_1104 {
    }
    HttpMessage.GetPluginClientInfoRequet_1104 = GetPluginClientInfoRequet_1104;
    class GetPluginClientInfoResponse_1104 extends BaseMsg {
    }
    HttpMessage.GetPluginClientInfoResponse_1104 = GetPluginClientInfoResponse_1104;
    class GetAccountDataRequet_1105 {
    }
    HttpMessage.GetAccountDataRequet_1105 = GetAccountDataRequet_1105;
    class GetAccountDataResponse_1105 extends BaseMsg {
    }
    HttpMessage.GetAccountDataResponse_1105 = GetAccountDataResponse_1105;
    class SendVerifCodeRequet_1106 {
    }
    HttpMessage.SendVerifCodeRequet_1106 = SendVerifCodeRequet_1106;
    class SendVerifCodeResponse_1106 extends BaseMsg {
    }
    HttpMessage.SendVerifCodeResponse_1106 = SendVerifCodeResponse_1106;
    class LoginPluginRequet_1107 {
    }
    HttpMessage.LoginPluginRequet_1107 = LoginPluginRequet_1107;
    class LoginPluginResponse_1107 extends BaseMsg {
    }
    HttpMessage.LoginPluginResponse_1107 = LoginPluginResponse_1107;
    class LoginPluginOfSSDZRequet_1109 {
    }
    HttpMessage.LoginPluginOfSSDZRequet_1109 = LoginPluginOfSSDZRequet_1109;
    class DefaultPuhuoShopChangeRequet_1108 {
    }
    HttpMessage.DefaultPuhuoShopChangeRequet_1108 = DefaultPuhuoShopChangeRequet_1108;
    class DefaultPuhuoShopChangeResponse_1108 extends BaseMsg {
    }
    HttpMessage.DefaultPuhuoShopChangeResponse_1108 = DefaultPuhuoShopChangeResponse_1108;
    class GetPDDTaskRequet_1201 {
    }
    HttpMessage.GetPDDTaskRequet_1201 = GetPDDTaskRequet_1201;
    class GetPDDTaskResponse_1201 extends BaseMsg {
    }
    HttpMessage.GetPDDTaskResponse_1201 = GetPDDTaskResponse_1201;
    class SendPDDGoodsDetailDataRequet_1202 {
    }
    HttpMessage.SendPDDGoodsDetailDataRequet_1202 = SendPDDGoodsDetailDataRequet_1202;
    class SendPDDGoodsDetailDataResponse_1202 extends BaseMsg {
    }
    HttpMessage.SendPDDGoodsDetailDataResponse_1202 = SendPDDGoodsDetailDataResponse_1202;
    class SavaGrabGoodsTaskRequet_1204 {
    }
    HttpMessage.SavaGrabGoodsTaskRequet_1204 = SavaGrabGoodsTaskRequet_1204;
    class GoodsTask {
    }
    HttpMessage.GoodsTask = GoodsTask;
    class SavaGrabGoodsTaskResponse_1204 extends BaseMsg {
    }
    HttpMessage.SavaGrabGoodsTaskResponse_1204 = SavaGrabGoodsTaskResponse_1204;
    class GetGrabGoodsNoCompleteTaskRequet_1205 {
    }
    HttpMessage.GetGrabGoodsNoCompleteTaskRequet_1205 = GetGrabGoodsNoCompleteTaskRequet_1205;
    class GetGrabGoodsNoCompleteTaskResponse_1205 extends BaseMsg {
    }
    HttpMessage.GetGrabGoodsNoCompleteTaskResponse_1205 = GetGrabGoodsNoCompleteTaskResponse_1205;
    class SendCollectionUrlDataRequet_1206 {
    }
    HttpMessage.SendCollectionUrlDataRequet_1206 = SendCollectionUrlDataRequet_1206;
    class SendCollectionUrlDataResponse_1206 extends BaseMsg {
    }
    HttpMessage.SendCollectionUrlDataResponse_1206 = SendCollectionUrlDataResponse_1206;
    class GetNeedGrabGoodsIDRequet_1207 {
    }
    HttpMessage.GetNeedGrabGoodsIDRequet_1207 = GetNeedGrabGoodsIDRequet_1207;
    class GetNeedGrabGoodsIDResponse_1207 extends BaseMsg {
    }
    HttpMessage.GetNeedGrabGoodsIDResponse_1207 = GetNeedGrabGoodsIDResponse_1207;
    class GetAuthUrlRequet_1301 {
    }
    HttpMessage.GetAuthUrlRequet_1301 = GetAuthUrlRequet_1301;
    class GetAuthUrlResponse_1301 extends BaseMsg {
    }
    HttpMessage.GetAuthUrlResponse_1301 = GetAuthUrlResponse_1301;
    class GetBindShopListRequet_1302 {
    }
    HttpMessage.GetBindShopListRequet_1302 = GetBindShopListRequet_1302;
    class GetBindShopListResponse_1302 extends BaseMsg {
    }
    HttpMessage.GetBindShopListResponse_1302 = GetBindShopListResponse_1302;
    class ShopInfo {
    }
    HttpMessage.ShopInfo = ShopInfo;
    class RemoveBindShopOfPluginRequet_1303 {
    }
    HttpMessage.RemoveBindShopOfPluginRequet_1303 = RemoveBindShopOfPluginRequet_1303;
    class RemoveBindShopOfPluginResponse_1303 extends BaseMsg {
    }
    HttpMessage.RemoveBindShopOfPluginResponse_1303 = RemoveBindShopOfPluginResponse_1303;
    class SendXdOrderOpeRequet_1401 {
    }
    HttpMessage.SendXdOrderOpeRequet_1401 = SendXdOrderOpeRequet_1401;
    class YangkeduoCaiGouOrderInfo {
    }
    HttpMessage.YangkeduoCaiGouOrderInfo = YangkeduoCaiGouOrderInfo;
    class SendXdOrderOpeResponse_1401 extends BaseMsg {
    }
    HttpMessage.SendXdOrderOpeResponse_1401 = SendXdOrderOpeResponse_1401;
    class SendUpdateExpressNumberRequest_1402 {
    }
    HttpMessage.SendUpdateExpressNumberRequest_1402 = SendUpdateExpressNumberRequest_1402;
    class SendUpdateExpressNumberResponse_1402 extends BaseMsg {
    }
    HttpMessage.SendUpdateExpressNumberResponse_1402 = SendUpdateExpressNumberResponse_1402;
    class SendUpdatePayStateRequest_1402 {
    }
    HttpMessage.SendUpdatePayStateRequest_1402 = SendUpdatePayStateRequest_1402;
    class SendUpdatePayStateResponse_1402 extends BaseMsg {
    }
    HttpMessage.SendUpdatePayStateResponse_1402 = SendUpdatePayStateResponse_1402;
    class SendOrderPaySuccRequest_1403 {
    }
    HttpMessage.SendOrderPaySuccRequest_1403 = SendOrderPaySuccRequest_1403;
    class SendOrderPaySuccResponse_1403 extends BaseMsg {
    }
    HttpMessage.SendOrderPaySuccResponse_1403 = SendOrderPaySuccResponse_1403;
    class GetProvinceCityCountyCodeRequest_1501 {
    }
    HttpMessage.GetProvinceCityCountyCodeRequest_1501 = GetProvinceCityCountyCodeRequest_1501;
    class GetProvinceCityCountyCodeResponse_1401 extends BaseMsg {
    }
    HttpMessage.GetProvinceCityCountyCodeResponse_1401 = GetProvinceCityCountyCodeResponse_1401;
    class GetPurOrderListRequest_1404 {
    }
    HttpMessage.GetPurOrderListRequest_1404 = GetPurOrderListRequest_1404;
    class GetPurOrderListResponse_1404 extends BaseMsg {
    }
    HttpMessage.GetPurOrderListResponse_1404 = GetPurOrderListResponse_1404;
    class PurOrderInfo {
    }
    HttpMessage.PurOrderInfo = PurOrderInfo;
    class UpdatePurOrderRequest_1405 {
    }
    HttpMessage.UpdatePurOrderRequest_1405 = UpdatePurOrderRequest_1405;
    class LogisticsTrack {
    }
    HttpMessage.LogisticsTrack = LogisticsTrack;
    class UpdatePurOrderResponse_1405 extends BaseMsg {
    }
    HttpMessage.UpdatePurOrderResponse_1405 = UpdatePurOrderResponse_1405;
    class CancelPurOrderRequest_1406 {
    }
    HttpMessage.CancelPurOrderRequest_1406 = CancelPurOrderRequest_1406;
    class CancelPurOrderResponse_1406 extends BaseMsg {
    }
    HttpMessage.CancelPurOrderResponse_1406 = CancelPurOrderResponse_1406;
    class GetDistributionLinksRequet_1601 {
    }
    HttpMessage.GetDistributionLinksRequet_1601 = GetDistributionLinksRequet_1601;
    class GetDistributionLinksResponse_1601 extends BaseMsg {
    }
    HttpMessage.GetDistributionLinksResponse_1601 = GetDistributionLinksResponse_1601;
    class DistributionLinkInfo {
    }
    HttpMessage.DistributionLinkInfo = DistributionLinkInfo;
    class GetShopAllGoodsOf1688Request_1701 {
    }
    HttpMessage.GetShopAllGoodsOf1688Request_1701 = GetShopAllGoodsOf1688Request_1701;
    class GetShopAllGoodsOf1688Response_1701 extends BaseMsg {
    }
    HttpMessage.GetShopAllGoodsOf1688Response_1701 = GetShopAllGoodsOf1688Response_1701;
    class GoodsOf1688Info {
    }
    HttpMessage.GoodsOf1688Info = GoodsOf1688Info;
    class SaveCookieRequet_1901 {
    }
    HttpMessage.SaveCookieRequet_1901 = SaveCookieRequet_1901;
    class SaveCookieResponse_1901 extends BaseMsg {
    }
    HttpMessage.SaveCookieResponse_1901 = SaveCookieResponse_1901;
    class SendTaobaoCookieRequet_1903 {
    }
    HttpMessage.SendTaobaoCookieRequet_1903 = SendTaobaoCookieRequet_1903;
    class SendTaobaoCookieResponse_1903 extends BaseMsg {
    }
    HttpMessage.SendTaobaoCookieResponse_1903 = SendTaobaoCookieResponse_1903;
})(HttpMessage || (HttpMessage = {}));
var Model;
(function (Model) {
    class PortInfo {
    }
    Model.PortInfo = PortInfo;
    class Window {
    }
    Model.Window = Window;
    class Tab {
    }
    Model.Tab = Tab;
    class Cookie {
    }
    Model.Cookie = Cookie;
    class Cookie1 {
    }
    Model.Cookie1 = Cookie1;
    class CollectionUrlInfo {
    }
    Model.CollectionUrlInfo = CollectionUrlInfo;
    class GoodsCollectionInfo {
    }
    Model.GoodsCollectionInfo = GoodsCollectionInfo;
    class TabTaskInfo {
    }
    Model.TabTaskInfo = TabTaskInfo;
    class GoodsInfo {
    }
    Model.GoodsInfo = GoodsInfo;
    class SearchImgGoodsInfo {
    }
    Model.SearchImgGoodsInfo = SearchImgGoodsInfo;
})(Model || (Model = {}));
class RunData {
}
RunData.akey = "4wedg#6h^sdfeWSDvfdewr%gdf%-Sfd-";
RunData.aiv = "jRsx*gffd+eww3B2";
RunData.signkey = "wwLznSYPPepf28rTnkh0Zw==";
RunData.px_key = "xiVxHvcfOrrS/ftsS8dWuN7z3/hq6nf1O76KLdF4VykHiEJgRI4IX6SGjNjROxyG";
RunData.px_iv = "9WCKSHMSNtbu0U6KBJp6cW+S1rRUBNzW00T2EK/fnhg=";
RunData.server_url = "https://plugapi.shuaishou.com/";
RunData.res_url = "https://plugapi.shuaishou.com/";
RunData.synchCookieUrls = [
    "https://dz.shuaishou.com",
    "https://dysh.shuaishou.com",
    "http://dysh.shuaishou.com",
    "https://dysh1.shuaishou.com",
    "https://sale.51miniapps.com",
    "https://puhuo.shuaishou.com",
    "https://puhuo.zhufa139.com",
    "http://dyshtest.shuaishou.com",
    "https://dyddtest.shuaishou.com",
    "https://dydd.shuaishou.com",
    "https://cggltest.shuaishou.com",
    "https://cggl.shuaishou.com",
    "http://ksshtest.shuaishou.com",
    "http://kssh.shuaishou.com",
    "https://kssh.shuaishou.com",
    "http://alishtest.shuaishou.com",
    "http://alish.shuaishou.com",
    "https://alish.shuaishou.com",
    "http://wdshtest.shuaishou.com",
    "http://wdsh.shuaishou.com",
    "https://wdsh.shuaishou.com",
    "https://wdddtest.shuaishou.com",
    "https://wddd.shuaishou.com",
    "http://tbshtest.zhufa139.com/",
    "http://tbsh.zhufa139.com/",
    "https://tbshtest.zhufa139.com/",
    "https://tbsh.zhufa139.com/",
    "https://dyshgyltest.shuaishou.com",
    "https://dyshgyl.shuaishou.com",
    "https://xhsshtest.shuaishou.com",
    "https://xhssh.shuaishou.com",
    "https://xhsddtest.shuaishou.com",
    "https://xhsdd.shuaishou.com",
    "https://tbddtest.shuaishou.com",
    "https://tbdd.shuaishou.com",
    "https://tbddtest.zhufa139.com",
    "https://tbdd.zhufa139.com",
    "https://ttshtest.shuaishou.com",
    "https://ttsh.shuaishou.com",
    "https://sphshtest.shuaishou.com",
    "https://sphsh.shuaishou.com",
    "https://sphddtest.shuaishou.com",
    "https://sphdd.shuaishou.com",
    "https://jdshtest.shuaishou.com",
    "https://jdsh.shuaishou.com",
    "https://elmsh.shuaishou.com/",
    "https://elmshtest.shuaishou.com/",
    "https://elmxd.shuaishou.com/",
    "https://elmxdtest.shuaishou.com/",
    "http://localhost",
    "http://127.0.0.1",
    "http://192.168.3.173",
    "http://192.168.3.253",
    "http://192.168.3.178",
    "http://192.168.3.174",
    "http://192.168.3.175",
    "http://192.168.3.33",
    "http://192.168.3.234:8888/",
    "http://192.168.3.175:8888/",
];
RunData.autoExecuteUrls = [
    "shuaishou.com",
    "zhufa139.com",
    "localhost",
    "127.0.0.1"
];
class Utils {
    static get Instance() {
        return this._instance;
    }
    GetBrowserFingerprint(call) {
        const start = new Date().getTime();
        let excludes = {};
        excludes.canvas = true;
        let options = { excludes: excludes };
        Fingerprint2.get(options, function (components) {
            const values = components.map(function (component) {
                if (component.key != "webgl") {
                    component.value = "";
                }
                return component.value;
            });
            const fingerprint = Fingerprint2.x64hash128(values.join(''), 31);
            console.log('<p>指纹 : ' + fingerprint + '</p>');
            console.log('<p>消耗 : ' + (new Date().getTime() - start) + ' 毫秒</p>');
            call(fingerprint);
        });
    }
    GetDateStr(date, format) {
        var year = date.getFullYear();
        var month = date.getMonth() + 1;
        var day = date.getDate();
        var h = date.getHours();
        var m = date.getMinutes();
        var s = date.getSeconds();
        var str = "";
        switch (format) {
            case "yyyy-MM-DD HH:mm:ss":
                str = year + '-' + Utils.Instance.GetNow(month) + "-" + Utils.Instance.GetNow(day) + " " + Utils.Instance.GetNow(h) + ':' + Utils.Instance.GetNow(m) + ":" + Utils.Instance.GetNow(s);
                break;
            case "yyyy-MM-DD":
                str = year + '-' + Utils.Instance.GetNow(month) + "-" + Utils.Instance.GetNow(day);
                break;
            case "HH:mm:ss":
                str = Utils.Instance.GetNow(h) + ':' + Utils.Instance.GetNow(m) + ":" + Utils.Instance.GetNow(s);
                break;
            case "yyyy年MM月DD日":
                str = year + '年' + Utils.Instance.GetNow(month) + "月" + Utils.Instance.GetNow(day) + "日";
                break;
        }
        return str;
    }
    GetNow(s) {
        return s < 10 ? '0' + s : '' + s;
    }
    FunGetDateStr(p_count) {
        var dd = new Date();
        dd.setDate(dd.getDate() + p_count);
        return dd;
    }
}
Utils._instance = new Utils();
var WebApiProtocol;
(function (WebApiProtocol) {
    WebApiProtocol[WebApiProtocol["GetIP_1"] = 1] = "GetIP_1";
    WebApiProtocol[WebApiProtocol["GetServerTimeForPlugin_2"] = 2] = "GetServerTimeForPlugin_2";
    WebApiProtocol[WebApiProtocol["GetBasicInfo_3"] = 3] = "GetBasicInfo_3";
    WebApiProtocol[WebApiProtocol["GetVersion_4"] = 4] = "GetVersion_4";
    WebApiProtocol[WebApiProtocol["P_GetUserInfo_1001"] = 1001] = "P_GetUserInfo_1001";
    WebApiProtocol[WebApiProtocol["GetExecuteScriptRule_1101"] = 1101] = "GetExecuteScriptRule_1101";
    WebApiProtocol[WebApiProtocol["GetAllScriptCode_1102"] = 1102] = "GetAllScriptCode_1102";
    WebApiProtocol[WebApiProtocol["GetScriptName_1103"] = 1103] = "GetScriptName_1103";
    WebApiProtocol[WebApiProtocol["GetPluginClientInfo_1104"] = 1104] = "GetPluginClientInfo_1104";
    WebApiProtocol[WebApiProtocol["GetAccountData_1105"] = 1105] = "GetAccountData_1105";
    WebApiProtocol[WebApiProtocol["SendVerifCode_1106"] = 1106] = "SendVerifCode_1106";
    WebApiProtocol[WebApiProtocol["LoginPlugin_1107"] = 1107] = "LoginPlugin_1107";
    WebApiProtocol[WebApiProtocol["DefaultPuhuoShopChange_1108"] = 1108] = "DefaultPuhuoShopChange_1108";
    WebApiProtocol[WebApiProtocol["LoginPluginOfSSDZ_1109"] = 1109] = "LoginPluginOfSSDZ_1109";
    WebApiProtocol[WebApiProtocol["GetPDDTask_1201"] = 1201] = "GetPDDTask_1201";
    WebApiProtocol[WebApiProtocol["SendPDDGoodsDetailData_1202"] = 1202] = "SendPDDGoodsDetailData_1202";
    WebApiProtocol[WebApiProtocol["SavaGrabGoodsTask_1204"] = 1204] = "SavaGrabGoodsTask_1204";
    WebApiProtocol[WebApiProtocol["GetGrabGoodsNoCompleteTask_1205"] = 1205] = "GetGrabGoodsNoCompleteTask_1205";
    WebApiProtocol[WebApiProtocol["SendCollectionUrlData_1206"] = 1206] = "SendCollectionUrlData_1206";
    WebApiProtocol[WebApiProtocol["GetNeedGrabGoodsID_1207"] = 1207] = "GetNeedGrabGoodsID_1207";
    WebApiProtocol[WebApiProtocol["GetAuthUrl_1301"] = 1301] = "GetAuthUrl_1301";
    WebApiProtocol[WebApiProtocol["GetBindShopList_1302"] = 1302] = "GetBindShopList_1302";
    WebApiProtocol[WebApiProtocol["RemoveBindShopOfPlugin_1303"] = 1303] = "RemoveBindShopOfPlugin_1303";
    WebApiProtocol[WebApiProtocol["SendXdOrderOpe_1401"] = 1401] = "SendXdOrderOpe_1401";
    WebApiProtocol[WebApiProtocol["SendUpdateExpressNumber_1402"] = 1402] = "SendUpdateExpressNumber_1402";
    WebApiProtocol[WebApiProtocol["SendOrderPaySucc_1403"] = 1403] = "SendOrderPaySucc_1403";
    WebApiProtocol[WebApiProtocol["GetPurOrderList_1404"] = 1404] = "GetPurOrderList_1404";
    WebApiProtocol[WebApiProtocol["UpdatePurOrder_1405"] = 1405] = "UpdatePurOrder_1405";
    WebApiProtocol[WebApiProtocol["CancelPurOrder_1406"] = 1406] = "CancelPurOrder_1406";
    WebApiProtocol[WebApiProtocol["GetProvinceCityCountyCode_1501"] = 1501] = "GetProvinceCityCountyCode_1501";
    WebApiProtocol[WebApiProtocol["GetDistributionLinks_1601"] = 1601] = "GetDistributionLinks_1601";
    WebApiProtocol[WebApiProtocol["GetShopAllGoodsOf1688_1701"] = 1701] = "GetShopAllGoodsOf1688_1701";
    WebApiProtocol[WebApiProtocol["SaveCookie_1901"] = 1901] = "SaveCookie_1901";
    WebApiProtocol[WebApiProtocol["SendTaobaoCookie_1903"] = 1903] = "SendTaobaoCookie_1903";
    WebApiProtocol[WebApiProtocol["GetLatestVersion"] = 1904] = "GetLatestVersion";
    WebApiProtocol[WebApiProtocol["GetShopAllGoodsOfTb_2001"] = 1901] = "GetShopAllGoodsOfTb_2001";
})(WebApiProtocol || (WebApiProtocol = {}));
class AccountHandler {
    constructor() {
        this.isLoadBaseDataEnd = false;
        this.shopList = [];
    }
    Init() {
        const that = this;
        console.log("AccountHandler - begin");
        this.GetAccountData(null);
    }
    CheckLogin() {
        if (BackGround.Instance.clientId) {
            return true;
        }
        return false;
    }
    GetAccountData(call) {
        const that = this;
        let body = new HttpMessage.GetAccountDataRequet_1105();
        body.ClientID = BackGround.Instance.clientId;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetAccountData_1105, body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    that.shopList = data.ShopInfoList;
                    if (call != null)
                        call(true);
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                    if (call != null)
                        call(false);
                }
            }
            else {
                console.log(response.ErrorMsg);
                if (call != null)
                    call(false);
            }
            that.isLoadBaseDataEnd = true;
        });
    }
    SavePluginID() {
        let cookie = new Model.Cookie1;
        cookie.url = BackGround.Instance.mainTabUrl;
        cookie.name = "PluginClientID";
        cookie.value = BackGround.Instance.clientId;
        cookie.expirationDate = HttpClient.timestampServer + 3650 * 24 * 60 * 60;
        BackGround.apiObj.cookies.set(cookie);
        for (var i = 0; i < RunData.synchCookieUrls.length; i++) {
            cookie.url = RunData.synchCookieUrls[i];
            BackGround.apiObj.cookies.set(cookie);
        }
    }
    GetBaseData(body, sender, sendResponse) {
        let response = new ExtensionShortMessage.GetBaseDataResponse();
        response.WinId = sender.tab.windowId;
        response.TabId = sender.tab.id;
        response.ClientID = BackGround.Instance.clientId;
        response.ClientIP = HttpClient.clientIP;
        response.ServerUrl = RunData.server_url;
        response.ResUrl = RunData.res_url;
        response.PluginName = BackGround.Instance.manifestInfo.name;
        response.ShopInfoList = this.shopList;
        response.PluginVersion = BackGround.Instance.manifestInfo.version;
        sendResponse(response);
    }
    GetShopData(body, sender, sendResponse) {
        const that = this;
        let response = new ExtensionShortMessage.GetShopDataResponse();
        if (body.IsRequestServer) {
            this.GetAccountData(function (res) {
                response.ShopInfoList = that.shopList;
                sendResponse(response);
            });
        }
        else {
            response.ShopInfoList = that.shopList;
            sendResponse(response);
        }
    }
    LoginPlugin(body, sender, sendResponse) {
        const that = this;
        let _response = new ExtensionShortMessage.LoginPluginResponse();
        let _body = new HttpMessage.LoginPluginRequet_1107();
        _body.PhoneNumber = body.PhoneNumber;
        _body.VerifCode = body.VerifCode;
        _body.PluginVersionNum = BackGround.Instance.manifestInfo.version;
        _body.ClientIP = HttpClient.clientIP;
        _body.BrowserFingerprint = BackGround.Instance.fingerprint;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.LoginPlugin_1107, _body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    BackGround.Instance.clientId = data.ClientID;
                    BackGround.Instance.maskClientAccount = data.MaskClientAccount;
                    that.SavePluginID();
                    BusinessHubHandler.Instance.Init();
                    _response.IsSuc = true;
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                    _response.IsSuc = false;
                    _response.Msg = data.Msg;
                }
            }
            else {
                console.log(response.ErrorMsg);
                _response.IsSuc = false;
                _response.Msg = response.ErrorMsg;
            }
            if (_response.IsSuc) {
                let loadBaseDataTimer = window.setInterval(function () {
                    if (that.isLoadBaseDataEnd) {
                        window.clearInterval(loadBaseDataTimer);
                        sendResponse(_response);
                    }
                }, 100);
            }
            else {
                sendResponse(_response);
            }
        });
    }
    LoginPluginOfSSDZ(body, sender, sendResponse) {
        const that = this;
        let _response = new ExtensionShortMessage.LoginPluginResponse();
        let _body = new HttpMessage.LoginPluginOfSSDZRequet_1109();
        _body.Code = body.Code;
        _body.PluginVersionNum = BackGround.Instance.manifestInfo.version;
        _body.ClientIP = HttpClient.clientIP;
        _body.BrowserFingerprint = BackGround.Instance.fingerprint;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.LoginPluginOfSSDZ_1109, _body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    BackGround.Instance.clientId = data.ClientID;
                    BackGround.Instance.maskClientAccount = data.MaskClientAccount;
                    that.SavePluginID();
                    BusinessHubHandler.Instance.Init();
                    _response.IsSuc = true;
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                    _response.IsSuc = false;
                    _response.Msg = data.Msg;
                }
            }
            else {
                console.log(response.ErrorMsg);
                _response.IsSuc = false;
                _response.Msg = response.ErrorMsg;
            }
            if (_response.IsSuc) {
                let loadBaseDataTimer = window.setInterval(function () {
                    if (that.isLoadBaseDataEnd) {
                        window.clearInterval(loadBaseDataTimer);
                        sendResponse(_response);
                    }
                }, 100);
            }
            else {
                sendResponse(_response);
            }
        });
    }
    DefaultPuhuoShopChange(body, sender, sendResponse) {
        const that = this;
        let _response = new ExtensionShortMessage.DefaultPuhuoShopChangeResponse();
        let _body = new HttpMessage.DefaultPuhuoShopChangeRequet_1108();
        _body.ClientID = BackGround.Instance.clientId;
        _body.CheckedShopIds = body.CheckedShopIds;
        _body.UncheckedShopIds = body.UncheckedShopIds;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.DefaultPuhuoShopChange_1108, _body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    _response.IsSuc = true;
                    that.GetAccountData(function (res) {
                        _response.ShopList = that.shopList;
                        sendResponse(_response);
                    });
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                    _response.IsSuc = false;
                    _response.Msg = data.Msg;
                    sendResponse(_response);
                }
            }
            else {
                console.log(response.ErrorMsg);
                _response.IsSuc = false;
                _response.Msg = response.ErrorMsg;
                sendResponse(_response);
            }
        });
    }
    DeleteShop(body, sender, sendResponse) {
        const that = this;
        let _response = new ExtensionShortMessage.DeleteShopResponse();
        let _body = new HttpMessage.RemoveBindShopOfPluginRequet_1303();
        _body.ClientID = BackGround.Instance.clientId;
        _body.RemoveShopID = body.ShopId;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.RemoveBindShopOfPlugin_1303, _body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    _response.IsSuc = true;
                    that.GetAccountData(function (res) {
                        _response.ShopList = that.shopList;
                        sendResponse(_response);
                    });
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                    _response.IsSuc = false;
                    _response.Msg = data.Msg;
                    sendResponse(_response);
                }
            }
            else {
                console.log(response.ErrorMsg);
                _response.IsSuc = false;
                _response.Msg = response.ErrorMsg;
                sendResponse(_response);
            }
        });
    }
}
class ApplyConsignmentHandler {
    constructor() {
        this.applyItemUrlList = [];
        this.backWinId = 0;
        this.backTabId = 0;
        this.currLaunchTabId = 0;
    }
    Init() {
        const that = this;
        console.log("ApplyConsignmentHandler - begin");
    }
    ApplyConsignment(body, sender, sendResponse) {
        if (body.ItemUrlList == null || body.ItemUrlList.length == 0)
            return;
        const that = this;
        for (var i = 0; i < body.ItemUrlList.length; i++) {
            that.applyItemUrlList.push(body.ItemUrlList[i]);
        }
        that.currLaunchTabId = sender.tab.id;
        if (that.backTabId == 0) {
            let url = that.applyItemUrlList.splice(0, 1)[0];
            console.log("链接：", url);
            let request = new ExtensionShortMessage.OpenUrlRequest();
            request.Url = url;
            BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                that.backWinId = win.id;
                that.backTabId = tab.id;
                let tabTaskInfo = new Model.TabTaskInfo();
                tabTaskInfo.TabTaskType = TabTaskType._1688ApplyConsignment;
                tabTaskInfo.TabId = tab.id;
                tabTaskInfo.WinId = win.id;
                BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
            });
        }
    }
    ApplyConsignmentResult(body, sender, sendResponse) {
        const that = this;
        if (body.State == 1) {
            BackGround.apiObj.windows.update(sender.tab.windowId, {
                focused: true, drawAttention: true, state: "maximized"
            }, function (win) {
            });
        }
        else {
            if (that.applyItemUrlList.length == 0) {
                if (that.backWinId > 0) {
                    BackGround.apiObj.windows.remove(that.backWinId, function () { });
                    BusinessHubHandler.Instance.RemoveTabTask(that.backTabId);
                    that.backWinId = 0;
                    that.backTabId = 0;
                }
            }
            else {
                let url = that.applyItemUrlList.splice(0, 1)[0];
                console.log("链接：", url);
                if (that.backTabId > 0) {
                    let request = new ExtensionShortMessage.UpdateTabRequest();
                    request.TabId = that.backTabId;
                    request.url = url;
                    request.pinned = false;
                    request.selected = false;
                    BackGround.Instance.UpdateTab(request, function (tab) { });
                }
                else {
                    let request = new ExtensionShortMessage.OpenUrlRequest();
                    request.Url = url;
                    BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                        that.backWinId = win.id;
                        that.backTabId = tab.id;
                    });
                }
            }
            let data = new ExtensionShortMessage.RequestData();
            data.Body = body;
            data.Protocol = ShortMsgProtocol.ApplyConsignmentResult;
            BackGround.apiObj.tabs.sendMessage(this.currLaunchTabId, data, null);
        }
    }
}
class BusinessHubHandler {
    static get Instance() {
        return this._instance;
    }
    constructor() {
        this.tabTaskList = [];
        let accountHandlerTimer = window.setInterval(function () {
            if (typeof (AccountHandler) != "undefined") {
                BusinessHubHandler.Instance.accountHandler = new AccountHandler();
                window.clearInterval(accountHandlerTimer);
            }
        }, 100);
        let popupHandlerTimer = window.setInterval(function () {
            if (typeof (PopupHandler) != "undefined") {
                BusinessHubHandler.Instance.popupHandler = new PopupHandler();
                window.clearInterval(popupHandlerTimer);
            }
        }, 100);
        let pddGoodsHandlerTimer = window.setInterval(function () {
            if (typeof (PddGoodsHandler) != "undefined") {
                BusinessHubHandler.Instance.pddGoodHandler = new PddGoodsHandler();
                window.clearInterval(pddGoodsHandlerTimer);
            }
        }, 100);
        let taobaoGoodsHandlerTimer = window.setInterval(function () {
            if (typeof (TaobaoGoodsHandler) != "undefined") {
                BusinessHubHandler.Instance.taobaoGoodsHandler = new TaobaoGoodsHandler();
                window.clearInterval(taobaoGoodsHandlerTimer);
            }
        }, 100);
        let yangkeduoCaigouHandlerTimer = window.setInterval(function () {
            if (typeof (YangkeduoCaigouHandler) != "undefined") {
                BusinessHubHandler.Instance.yangkeduoCaigouHandler = new YangkeduoCaigouHandler();
                window.clearInterval(yangkeduoCaigouHandlerTimer);
            }
        }, 100);
        let goodsCollectionHandlerTimer = window.setInterval(function () {
            if (typeof (GoodsCollectionHandler) != "undefined") {
                BusinessHubHandler.Instance.goodsCollectionHandler = new GoodsCollectionHandler();
                window.clearInterval(goodsCollectionHandlerTimer);
            }
        }, 100);
        let distributionHandlerTimer = window.setInterval(function () {
            if (typeof (DistributionHandler) != "undefined") {
                BusinessHubHandler.Instance.distributionHandler = new DistributionHandler();
                window.clearInterval(distributionHandlerTimer);
            }
        }, 100);
        let applyConsignmentHandlerTimer = window.setInterval(function () {
            if (typeof (ApplyConsignmentHandler) != "undefined") {
                BusinessHubHandler.Instance.applyConsignmentHandler = new ApplyConsignmentHandler();
                window.clearInterval(applyConsignmentHandlerTimer);
            }
        }, 100);
        let purManageHandlerTimer = window.setInterval(function () {
            if (typeof (PurManageHandler) != "undefined") {
                BusinessHubHandler.Instance.purManageHandler = new PurManageHandler();
                window.clearInterval(purManageHandlerTimer);
            }
        }, 100);
        let otherHandlerTimer = window.setInterval(function () {
            if (typeof (OtherHandler) != "undefined") {
                BusinessHubHandler.Instance.otherHandler = new OtherHandler();
                window.clearInterval(otherHandlerTimer);
            }
        }, 100);
        let localStorageGoodsInfoHandlerTimer = window.setInterval(function () {
            if (typeof (LocalStorageGoodsInfoHandler) != "undefined") {
                BusinessHubHandler.Instance.localStorageGoodsInfoHandler = new LocalStorageGoodsInfoHandler();
                window.clearInterval(localStorageGoodsInfoHandlerTimer);
            }
        }, 100);
        let searchGoodsByImgHandlerTimer = window.setInterval(function () {
            if (typeof (SearchGoodsByImgHandler) != "undefined") {
                BusinessHubHandler.Instance.searchGoodsByImgHandler = new SearchGoodsByImgHandler();
                window.clearInterval(searchGoodsByImgHandlerTimer);
            }
        }, 100);
    }
    Init() {
        if (!this.isInitEnd) {
            console.log("BusinessHubHandler - begin");
            BusinessHubHandler.Instance.accountHandler.Init();
            BusinessHubHandler.Instance.popupHandler.Init();
            BusinessHubHandler.Instance.pddGoodHandler.Init();
            BusinessHubHandler.Instance.taobaoGoodsHandler.Init();
            BusinessHubHandler.Instance.yangkeduoCaigouHandler.Init();
            BusinessHubHandler.Instance.goodsCollectionHandler.Init();
            BusinessHubHandler.Instance.distributionHandler.Init();
            BusinessHubHandler.Instance.applyConsignmentHandler.Init();
            BusinessHubHandler.Instance.purManageHandler.Init();
            BusinessHubHandler.Instance.otherHandler.Init();
            this.isInitEnd = true;
        }
    }
    OnGoodsUrlListEvent(body, sender, sendResponse, isInit = false) {
        console.log(1, body);
        if (body.List != null && body.List.length > 0) {
            if (!isInit) {
                let _body = new HttpMessage.SavaGrabGoodsTaskRequet_1204();
                _body.ClientID = BackGround.Instance.clientId;
                _body.ClientIP = HttpClient.clientIP;
                _body.GoodsTaskList = [];
                for (var i = 0; i < body.List.length; i++) {
                    let item = new HttpMessage.GoodsTask();
                    item.GoodsID = Number(body.List[i].itemKey);
                    item.GoodsUrl = body.List[i].itemUrl;
                    item.ToSysID = body.List[i].toSysId;
                    item.OuterTaskID = body.List[i].uploadingId;
                    item.PlatID = body.List[i].sysId;
                    _body.GoodsTaskList.push(item);
                }
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.SavaGrabGoodsTask_1204, _body, function (response) {
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                        }
                        else {
                            console.log("接口返回错误:" + data.Msg);
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                    }
                });
            }
            let pddUrlObj = new ExtensionShortMessage.SendPddUrlListRequest();
            pddUrlObj.Type = body.Type;
            pddUrlObj.List = [];
            let tbOrTmallUrlObj = new ExtensionShortMessage.SendPddUrlListRequest();
            tbOrTmallUrlObj.Type = body.Type;
            tbOrTmallUrlObj.List = [];
            for (var i = 0; i < body.List.length; i++) {
                if (body.List[i].itemUrl.indexOf('pinduoduo') > -1) {
                    pddUrlObj.List.push(body.List[i]);
                }
                else if (body.List[i].itemUrl.indexOf('yangkeduo') > -1) {
                    pddUrlObj.List.push(body.List[i]);
                }
                else if (body.List[i].itemUrl.indexOf('taobao') > -1) {
                    tbOrTmallUrlObj.List.push(body.List[i]);
                }
                else if (body.List[i].itemUrl.indexOf('tmall') > -1) {
                    tbOrTmallUrlObj.List.push(body.List[i]);
                }
            }
            console.log(2, pddUrlObj);
            if (pddUrlObj.List.length > 0) {
                BusinessHubHandler.Instance.pddGoodHandler.OnPddUrlListEvent(pddUrlObj, sender, sendResponse);
            }
            if (tbOrTmallUrlObj.List.length > 0) {
                BusinessHubHandler.Instance.taobaoGoodsHandler.OnTaobaoUrlListEvent(tbOrTmallUrlObj, sender, sendResponse);
            }
        }
    }
    GetGrabGoodsNoCompleteTask() {
        let body = new HttpMessage.GetGrabGoodsNoCompleteTaskRequet_1205();
        body.ClientID = BackGround.Instance.clientId;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetGrabGoodsNoCompleteTask_1205, body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    let _body = new ExtensionShortMessage.SendPddUrlListRequest();
                    _body.Type = 1;
                    _body.List = [];
                    for (var i = 0; i < data.GoodsTaskList.length; i++) {
                        let item = new ExtensionShortMessage.GoodsUrlInfo();
                        item.itemKey = data.GoodsTaskList[i].GoodsID.toString();
                        item.sysId = data.GoodsTaskList[i].PlatID;
                        item.toSysId = data.GoodsTaskList[i].ToSysID;
                        item.itemUrl = data.GoodsTaskList[i].GoodsUrl;
                        item.uploadingId = data.GoodsTaskList[i].OuterTaskID;
                        _body.List.push(item);
                    }
                    BusinessHubHandler.Instance.OnGoodsUrlListEvent(_body, null, null, true);
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                }
            }
            else {
                console.log(response.ErrorMsg);
            }
        });
    }
    DispatchEvent(eventName, detail) {
        var event = new CustomEvent(eventName, { detail: detail });
        window.dispatchEvent(event);
    }
    AddTabTask(tabTaskInfo) {
        if (tabTaskInfo.TabId > 0)
            this.tabTaskList[tabTaskInfo.TabId] = tabTaskInfo;
    }
    RemoveTabTask(tabId) {
        if (tabId > 0)
            this.tabTaskList[tabId] = null;
    }
    GetTabTask(tabId) {
        if (tabId > 0)
            return this.tabTaskList[tabId];
        else
            return null;
    }
    OnTabRemove(tabId) {
        if (tabId > 0) {
            let task = this.tabTaskList[tabId];
            if (task && task.RemoveCall) {
                task.RemoveCall();
            }
        }
        return;
    }
    PageStateVerifyAbnormal(body, sender, sendResponse) {
        BackGround.apiObj.windows.update(sender.tab.windowId, {
            focused: true, drawAttention: true, state: "maximized"
        }, function (win) {
        });
    }
}
BusinessHubHandler._instance = new BusinessHubHandler();
class CaigouHandler {
    static get Instance() {
        return this._instance;
    }
    constructor() {
        this.winId = 0;
        this.tabId = 0;
    }
    Init() {
        const that = this;
        console.log("CaigouHandler - begin");
    }
    GetPddSelectCgNumber(body, sender, callback) {
        var selectCgNumber = window.localStorage.getItem("selectCgNumber");
        var selectCgNumberJson = null;
        if (selectCgNumber != null) {
            var pddLoginInfo = window.localStorage.getItem("pddLoginInfo");
            if (pddLoginInfo != "" && pddLoginInfo != null) {
                var pddLoginInfo = JSON.parse(pddLoginInfo);
                for (var i = 0; i < pddLoginInfo.length; i++) {
                    if (pddLoginInfo[i].mobile == selectCgNumber) {
                        selectCgNumberJson = pddLoginInfo[i];
                        break;
                    }
                }
                if (selectCgNumberJson == null) {
                    selectCgNumberJson = { "mobile": "" + selectCgNumber + "", "token": "", "cookie": "" };
                    pddLoginInfo.push(selectCgNumberJson);
                }
            }
            else {
                selectCgNumberJson = { "mobile": "" + selectCgNumber + "", "token": "", "cookie": "" };
                pddLoginInfo = [{ "mobile": "" + selectCgNumber + "", "token": "", "cookie": "" }];
            }
            window.localStorage.setItem("pddLoginInfo", JSON.stringify(pddLoginInfo));
        }
    }
    GetTaobaoSelectCgNumber(body, sender, callback) {
        var selectTaoBaoCgNumber = window.localStorage.getItem("selectTaoBaoCgNumber");
        var selectTaoBaoCgNumberJson = null;
        if (selectTaoBaoCgNumber != null) {
            var taobaoLoginInfo = window.localStorage.getItem("taobaoLoginInfo");
            if (taobaoLoginInfo != "" && taobaoLoginInfo != null) {
                var taobaoLoginInfo = JSON.parse(taobaoLoginInfo);
                for (var i = 0; i < taobaoLoginInfo.length; i++) {
                    if (taobaoLoginInfo[i].mobile == selectTaoBaoCgNumber) {
                        selectTaoBaoCgNumberJson = taobaoLoginInfo[i];
                        break;
                    }
                }
                if (selectTaoBaoCgNumberJson == null) {
                    selectTaoBaoCgNumberJson = { "name": "" + selectTaoBaoCgNumber + "", "token": "", "cookie": "" };
                    taobaoLoginInfo.push(selectTaoBaoCgNumberJson);
                }
            }
            else {
                selectTaoBaoCgNumberJson = { "name": "" + selectTaoBaoCgNumber + "", "token": "", "cookie": "" };
                taobaoLoginInfo = [{ "name": "" + selectTaoBaoCgNumber + "", "token": "", "cookie": "" }];
            }
            window.localStorage.setItem("taobaoLoginInfo", JSON.stringify(taobaoLoginInfo));
        }
    }
    GetAlibbSelectCgNumber(body, sender, callback) {
        var selectAlibbCgNumber = window.localStorage.getItem("selectAlibbCgNumber");
        var selectAlibbCgNumberJson = null;
        if (selectAlibbCgNumber != null) {
            var alibbLoginInfo = window.localStorage.getItem("alibbLoginInfo");
            if (alibbLoginInfo != "" && alibbLoginInfo != null) {
                var alibbLoginInfo = JSON.parse(alibbLoginInfo);
                for (var i = 0; i < alibbLoginInfo.length; i++) {
                    if (alibbLoginInfo[i].mobile == selectAlibbCgNumber) {
                        selectAlibbCgNumberJson = alibbLoginInfo[i];
                        break;
                    }
                }
                if (selectAlibbCgNumberJson == null) {
                    selectAlibbCgNumberJson = { "mobile": "" + selectAlibbCgNumber + "", "token": "", "cookie": "" };
                    alibbLoginInfo.push(selectAlibbCgNumberJson);
                }
            }
            else {
                selectAlibbCgNumberJson = { "mobile": "" + selectAlibbCgNumber + "", "token": "", "cookie": "" };
                alibbLoginInfo = [{ "mobile": "" + selectAlibbCgNumber + "", "token": "", "cookie": "" }];
            }
            window.localStorage.setItem("alibbLoginInfo", JSON.stringify(alibbLoginInfo));
        }
    }
}
CaigouHandler._instance = new CaigouHandler();
class DistributionHandler {
    constructor() {
        this.distributionLinkInfoList = [];
        this.backWinId = 0;
        this.backTabId = 0;
        this.clickTimer = 0;
    }
    Init() {
        const that = this;
        console.log("DistributionHandler - begin");
    }
    ClickNextLink() {
        const that = this;
        if (that.distributionLinkInfoList.length == 0) {
            if (that.backWinId > 0) {
                BackGround.apiObj.windows.remove(that.backWinId, function () { });
                that.backWinId = 0;
                that.backTabId = 0;
            }
            if (that.clickTimer > 0) {
                window.clearInterval(that.clickTimer);
                that.clickTimer = 0;
            }
            return;
        }
        let distributionLinkInfo = that.distributionLinkInfoList.splice(0, 1)[0];
        console.log("链接：", distributionLinkInfo);
        if (that.backTabId > 0) {
            let request = new ExtensionShortMessage.UpdateTabRequest();
            request.TabId = that.backTabId;
            request.url = distributionLinkInfo.DistributionLink;
            request.pinned = false;
            request.selected = false;
            BackGround.Instance.UpdateTab(request, function (tab) { });
        }
        else {
            let request = new ExtensionShortMessage.OpenUrlRequest();
            request.Url = distributionLinkInfo.DistributionLink;
            BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                that.backWinId = win.id;
                that.backTabId = tab.id;
            });
        }
    }
    GetDistributionLinksAndClick(body, sender, sendResponse) {
        const that = this;
        let request = new HttpMessage.GetDistributionLinksRequet_1601();
        request.ItemIDList = body.ItemIDList;
        request.PlatID = body.PlatID;
        console.log("GetDistributionLinks:Protocol:" + WebApiProtocol.GetDistributionLinks_1601 + ";Body:" + JSON.stringify(request));
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetDistributionLinks_1601, request, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    console.log("获取分销链接成功");
                    that.ClickDistributionLinks(data.DistributionLinkList);
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                }
            }
            else {
                console.log(response.ErrorMsg);
                console.log("获取分销链接失败");
            }
        });
    }
    ClickDistributionLinks(list) {
        if (list == null || list.length == 0)
            return;
        let that = this;
        for (var i = 0; i < list.length; i++) {
            that.distributionLinkInfoList.push(list[i]);
        }
        if (that.clickTimer == 0) {
            that.clickTimer = window.setInterval(function () {
                that.ClickNextLink();
            }, 5000);
        }
    }
}
class GoodsCollectionHandler {
    constructor() {
        this.collectionList = [];
        this.currLaunchTabId = 0;
    }
    Init() {
        const that = this;
        console.log("GoodsCollectionHandler - begin");
    }
    CollectionUrlInfo(body, sender, sendResponse) {
        const that = this;
        let needNotice = false;
        let noticeType = BatchCollectionResultType.Default;
        if (body.IsAll) {
            if (body.CurrPage == 0 || body.TotalPage == 0 || (body.IsBackground && body.CurrPage == body.TotalPage) || (!body.IsBackground && body.TotalPage == 1)) {
                if (body.IsBackground) {
                    BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                    BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
                }
                else {
                    that.currLaunchTabId = sender.tab.id;
                }
                needNotice = true;
            }
            else if (body.IsBackground && (body.GoodsType == GoodsType.TaoBao || body.GoodsType == GoodsType.Tmall || body.GoodsType == GoodsType.Shopee) && body.CurrPage == 5) {
                BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
                needNotice = true;
                noticeType = BatchCollectionResultType.SuccessOfFrontPages;
            }
            else {
                if (!body.IsBackground) {
                    that.currLaunchTabId = sender.tab.id;
                    let request = new ExtensionShortMessage.OpenUrlRequest();
                    request.Url = body.NextPageUrl;
                    BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                        let tabTaskInfo = new Model.TabTaskInfo();
                        tabTaskInfo.WinId = win.id;
                        tabTaskInfo.TabId = tab.id;
                        tabTaskInfo.InsidePlatformType = body.InsidePlatformType;
                        switch (body.GoodsType) {
                            case GoodsType.TaoBao:
                                tabTaskInfo.TabTaskType = TabTaskType.TaobaoAllShopCollection;
                                break;
                            case GoodsType.Tmall:
                                tabTaskInfo.TabTaskType = TabTaskType.TmallAllShopCollection;
                                break;
                            case GoodsType.PDD:
                                break;
                            case GoodsType._1688:
                                tabTaskInfo.TabTaskType = TabTaskType._1688AllShopCollection;
                                break;
                            case GoodsType.Shopee:
                                tabTaskInfo.TabTaskType = TabTaskType.ShopeeAllShopCollection;
                                BackGround.apiObj.windows.update(win.id, {
                                    focused: true, drawAttention: true, state: "maximized"
                                }, function (win) {
                                });
                                break;
                        }
                        BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
                    });
                }
                else {
                    sendResponse(2);
                }
            }
        }
        else {
            if (body.IsBackground) {
                BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
            }
            else {
                that.currLaunchTabId = sender.tab.id;
            }
            needNotice = true;
        }
        if (body.Urls.length > 0) {
            if ((body.InsidePlatformType == InsidePlatformType.Dysh
                || body.InsidePlatformType == InsidePlatformType.Kssh
                || body.InsidePlatformType == InsidePlatformType.Alish
                || body.InsidePlatformType == InsidePlatformType.WeiDian
                || body.InsidePlatformType == InsidePlatformType.Xhssh
                || body.InsidePlatformType == InsidePlatformType.DySuppliersh
                || body.InsidePlatformType == InsidePlatformType.Ttsh
                || body.InsidePlatformType == InsidePlatformType.Sphsh
                || body.InsidePlatformType == InsidePlatformType.Jdsh) && body.IsBackground) {
                let data = new ExtensionShortMessage.RequestData();
                data.Body = body;
                data.Protocol = ShortMsgProtocol.BatchCollectionCallBack;
                BackGround.apiObj.tabs.sendMessage(this.currLaunchTabId, data, null);
                console.log("抖音、快手、阿里、微店上货--》采集成功");
                that.SendResponseOfCollectionUrls(needNotice, BatchCollectionResultType.Success, sendResponse);
                return;
            }
            that.CollectionUrls(body.IsBackground, needNotice, noticeType, body, sender, sendResponse);
        }
    }
    CollectionUrls(isBackground, needNotice, noticeType, body, sender, sendResponse) {
        const that = this;
        let tabTask = BusinessHubHandler.Instance.GetTabTask(sender.tab.id);
        let shopIds = "";
        let hasSspuTbShops = false;
        if (BusinessHubHandler.Instance.accountHandler.shopList && BusinessHubHandler.Instance.accountHandler.shopList.length > 0) {
            for (var i = 0; i < BusinessHubHandler.Instance.accountHandler.shopList.length; i++) {
                let shopInfo = BusinessHubHandler.Instance.accountHandler.shopList[i];
                if (shopInfo.IsDefaultPuHuo) {
                    shopIds = shopIds + shopInfo.ShopID + ",";
                    if (shopInfo.PlatID == 1) {
                        hasSspuTbShops = true;
                    }
                }
            }
        }
        if (shopIds.length > 1) {
            shopIds = shopIds.substr(0, shopIds.length - 1);
        }
        if (shopIds.length == 0 && !(tabTask != null && (tabTask.InsidePlatformType == InsidePlatformType.Dysh
            || tabTask.InsidePlatformType == InsidePlatformType.Kssh
            || tabTask.InsidePlatformType == InsidePlatformType.Alish
            || tabTask.InsidePlatformType == InsidePlatformType.WeiDian
            || tabTask.InsidePlatformType == InsidePlatformType.Xhssh
            || tabTask.InsidePlatformType == InsidePlatformType.DySuppliersh
            || tabTask.InsidePlatformType == InsidePlatformType.Ttsh
            || tabTask.InsidePlatformType == InsidePlatformType.Sphsh
            || body.InsidePlatformType == InsidePlatformType.Jdsh))) {
            that.SendResponseOfCollectionUrls(needNotice, BatchCollectionResultType.NoDefaultShop, sendResponse);
            that.collectionList = [];
            return;
        }
        else {
            let data = new HttpMessage.SendCollectionUrlDataRequet_1206();
            data.ClientID = BackGround.Instance.clientId;
            data.ShopIds = shopIds;
            data.GoodsType = body.GoodsType;
            data.InsidePlatformType = body.InsidePlatformType;
            data.Urls = body.Urls;
            console.log("CollectionUrls:Protocol:" + WebApiProtocol.SendCollectionUrlData_1206 + ";Body:" + JSON.stringify(data));
            HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendCollectionUrlData_1206, data, function (response) {
                if (response.IsSuccess) {
                    let data = response.Data;
                    if (data.Code == 1) {
                        console.log("采集成功");
                        if (noticeType == BatchCollectionResultType.Default)
                            noticeType = BatchCollectionResultType.Success;
                        if (noticeType == BatchCollectionResultType.SuccessOfFrontPages)
                            needNotice = true;
                        that.SendResponseOfCollectionUrls(needNotice, noticeType, sendResponse);
                        if (hasSspuTbShops && body.GoodsType == GoodsType._1688) {
                            let request = new ExtensionShortMessage.ApplyConsignmentRequest();
                            request.ItemUrlList = [body.Urls[0]];
                            BusinessHubHandler.Instance.applyConsignmentHandler.ApplyConsignment(request, sender, sendResponse);
                        }
                    }
                    else {
                        console.log("接口返回错误:" + data.Msg);
                        console.log("采集失败");
                        that.SendResponseOfCollectionUrls(true, data.Code + ",,," + data.Msg, sendResponse);
                        if (isBackground) {
                            BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                            BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
                        }
                    }
                }
                else {
                    console.log(response.ErrorMsg);
                    console.log("采集失败");
                    that.SendResponseOfCollectionUrls(true, response.ErrorMsg, sendResponse);
                    if (isBackground) {
                        BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                        BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
                    }
                }
            });
            that.collectionList = [];
        }
    }
    SendResponseOfCollectionUrls(needNotice, body, sendResponse) {
        sendResponse(body);
        if (needNotice) {
            let data = new ExtensionShortMessage.RequestData();
            data.Body = body;
            data.Protocol = ShortMsgProtocol.BatchCollectionEnd;
            BackGround.apiObj.tabs.sendMessage(this.currLaunchTabId, data, null);
        }
    }
    PageStateVerifyAbnormal(body, sender, sendResponse) {
        const that = this;
        let needNotice = false;
        let noticeType = BatchCollectionResultType.Default;
        if (body.IsAll) {
            if (body.CurrPage == 0 || body.TotalPage == 0 || (body.IsBackground && body.CurrPage == body.TotalPage) || (!body.IsBackground && body.TotalPage == 1)) {
                if (body.IsBackground) {
                    BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                    BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
                }
                else {
                    that.currLaunchTabId = sender.tab.id;
                }
                needNotice = true;
            }
            else if (body.IsBackground && (body.GoodsType == GoodsType.TaoBao || body.GoodsType == GoodsType.Tmall) && body.CurrPage == 5) {
                BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
                needNotice = true;
                noticeType = BatchCollectionResultType.SuccessOfFrontPages;
            }
            else {
                if (!body.IsBackground) {
                    that.currLaunchTabId = sender.tab.id;
                    let request = new ExtensionShortMessage.OpenUrlRequest();
                    request.Url = body.NextPageUrl;
                    BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                        let tabTaskInfo = new Model.TabTaskInfo();
                        tabTaskInfo.WinId = win.id;
                        tabTaskInfo.TabId = tab.id;
                        switch (body.GoodsType) {
                            case GoodsType.TaoBao:
                                tabTaskInfo.TabTaskType = TabTaskType.TaobaoAllShopCollection;
                                break;
                            case GoodsType.Tmall:
                                tabTaskInfo.TabTaskType = TabTaskType.TmallAllShopCollection;
                                break;
                            case GoodsType.PDD:
                                break;
                            case GoodsType._1688:
                                tabTaskInfo.TabTaskType = TabTaskType._1688AllShopCollection;
                                break;
                        }
                        BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
                    });
                }
                else {
                    sendResponse(2);
                }
            }
        }
        else {
            if (body.IsBackground) {
                BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                BusinessHubHandler.Instance.RemoveTabTask(sender.tab.id);
            }
            else {
                that.currLaunchTabId = sender.tab.id;
            }
            needNotice = true;
        }
        if (body.Urls.length > 0)
            that.CollectionUrls(body.IsBackground, needNotice, noticeType, body, sender, sendResponse);
    }
}
class LocalStorageGoodsInfoHandler {
    Init() {
        const that = this;
        console.log("LocalStorageGoodsInfoHandler - begin");
    }
    GetLocalStorageGoodsInfo() {
        try {
            let data = localStorage.getItem('goodsAll');
            if (data) {
                let goodsData = JSON.parse(data);
                return goodsData;
            }
        }
        catch (error) {
            console.log('获取商品信息缓存错误', error);
        }
        return [];
    }
    AddLocalStorageGoodsInfo(goodsArr, sender, sendResponse) {
        try {
            let goodsData = this.GetLocalStorageGoodsInfo();
            goodsArr.forEach((item) => {
                goodsData.push(item);
            });
            const res = new Map();
            goodsData = goodsData.filter(item => !res.has(item.OnlineKey) && res.set(item.OnlineKey, 1));
            localStorage.setItem('goodsAll', JSON.stringify(goodsData));
            sendResponse(true);
        }
        catch (error) {
            console.log('添加商品信息缓存错误', error);
        }
        sendResponse(true);
    }
    DelLocalStorageGoodsInfo(ids, sender, sendResponse) {
        try {
            let goodsData = this.GetLocalStorageGoodsInfo();
            goodsData = goodsData.filter(item => {
                if (!ids.includes(item.OnlineKey)) {
                    return item;
                }
            });
            if (goodsData && goodsData.length > 0) {
                localStorage.setItem('goodsAll', JSON.stringify(goodsData));
            }
            else {
                this.ClearLocalStorageGoodsInfo();
            }
            sendResponse(true);
        }
        catch (error) {
            console.log('删除商品信息缓存错误', error);
        }
        sendResponse(false);
    }
    ClearLocalStorageGoodsInfo() {
        localStorage.removeItem('goodsAll');
    }
}
class OtherHandler {
    constructor() {
        this.backWinId_GetDataOfShopee = 0;
        this.backTabId_GetDataOfShopee = 0;
        this.currLaunchTabId_GetDataOfShopee = 0;
    }
    Init() {
        const that = this;
        console.log("OtherHandler - begin");
    }
    GetDataOfShopee(body, sender, sendResponse) {
        const that = this;
        that.currLaunchTabId_GetDataOfShopee = sender.tab.id;
        chrome.tabs.getAllInWindow(function callback(tabs) {
            let conversionTab = null;
            for (let index = 0; index < tabs.length; index++) {
                const tab = tabs[index];
                if (tab.url.indexOf("https://seller.shopee.cn/portal/merchant/setting/listing-price-conversion") > -1) {
                    conversionTab = tab;
                    break;
                }
            }
            if (conversionTab == null) {
                if (that.backTabId_GetDataOfShopee > 0) {
                    BackGround.apiObj.windows.remove(that.backWinId_GetDataOfShopee, function () { });
                }
                console.log("商家名称：", body.SellerName);
                let request = new ExtensionShortMessage.OpenUrlRequest();
                if (body.Type == 1)
                    request.Url = "https://seller.shopee.cn/portal/merchant/setting/listing-price-conversion";
                else
                    return;
                BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                    that.backWinId_GetDataOfShopee = win.id;
                    that.backTabId_GetDataOfShopee = tab.id;
                    let tabTaskInfo = new Model.TabTaskInfo();
                    tabTaskInfo.TabTaskType = TabTaskType.GetDataOfShopee;
                    tabTaskInfo.TabId = tab.id;
                    tabTaskInfo.WinId = win.id;
                    tabTaskInfo.Data = body.SellerName;
                    BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
                });
            }
            else {
                console.log("商家名称：", body.SellerName);
                let data = new ExtensionShortMessage.RequestData();
                data.Body = body.SellerName;
                data.Protocol = ShortMsgProtocol.GetDataOfShopee;
                BackGround.apiObj.tabs.sendMessage(conversionTab.id, data, null);
            }
        });
    }
    GetDataOfShopeeResult(body, sender, sendResponse) {
        const that = this;
        if (body.State == 1) {
            BackGround.apiObj.windows.update(sender.tab.windowId, {
                focused: true, drawAttention: true, state: "maximized"
            }, function (win) {
                BackGround.apiObj.tabs.update(sender.tab.id, {
                    selected: true
                }, function (tab) {
                });
            });
        }
        else {
            if (that.backWinId_GetDataOfShopee > 0) {
                BackGround.apiObj.windows.remove(that.backWinId_GetDataOfShopee, function () { });
                BusinessHubHandler.Instance.RemoveTabTask(that.backTabId_GetDataOfShopee);
                that.backWinId_GetDataOfShopee = 0;
                that.backTabId_GetDataOfShopee = 0;
            }
            let data = new ExtensionShortMessage.RequestData();
            data.Body = body;
            data.Protocol = ShortMsgProtocol.GetDataOfShopeeResult;
            BackGround.apiObj.tabs.sendMessage(this.currLaunchTabId_GetDataOfShopee, data, null);
        }
    }
}
class PddGoodsHandler {
    constructor() {
        this.goodsDetailsWin = new Model.Window();
        this.goodsDetailsTab = new Model.Tab();
        this.goodsDetailsUrl = "https://mobile.pinduoduo.com/goods.html?goods_id=";
        this.currGoodsId = 0;
        this.currPlatId = 26;
        this.currRecordId = 0;
        this.currOuterTaskID = 0;
        this.fromPortName = "Base";
        this.toGoodsDetailsPortName = "PDDGoodsDetailsPort";
        this.isLoginPdd = false;
        this.isStart = false;
        this.currGrabType = 0;
        this.currGrabList = [];
        this.singleCount = 0;
        this.minNum = 3;
        this.getPDDTaskTimer = 0;
        this.grabTimer = 0;
        this.verifTimer = 0;
        this.num2 = 50;
        this.num3 = 0;
        this.num4 = 10 * 60;
    }
    Init() {
        const that = this;
        console.log("PddGoodsHandler - begin");
        BackGround.apiObj.cookies.get({ url: "https://mobile.pinduoduo.com", name: "PDDAccessToken" }, function (_cookie) {
            if (_cookie) {
                let grabSwitch = localStorage.getItem("SSDZPDDGrabSwitch");
                if (grabSwitch == "1") {
                    that.StartTask();
                }
            }
            else {
                console.log("PddGoodsHandler:PDDAccessToken is null");
            }
        });
    }
    StartTaskOld() {
        if (!this.isStart) {
            this.isStart = true;
            this.ExecuteGetPDDTask();
        }
    }
    StartTaskOld2() {
        if (!this.isStart) {
            this.isStart = true;
            this.ExecuteGetPDDUrl();
        }
    }
    StartTask() {
        if (!this.isStart) {
            this.isStart = true;
            this.ExecuteGetPDDGoodsID();
        }
    }
    StopTaskOld() {
        this.isStart = false;
        if (this.getPDDTaskTimer > 0) {
            window.clearInterval(this.getPDDTaskTimer);
            this.getPDDTaskTimer = 0;
        }
    }
    StopTaskOld2() {
        this.isStart = false;
        if (this.getPDDTaskTimer > 0) {
            window.clearInterval(this.getPDDTaskTimer);
            this.getPDDTaskTimer = 0;
        }
    }
    StopTask() {
        this.isStart = false;
        if (this.getPDDTaskTimer > 0) {
            window.clearInterval(this.getPDDTaskTimer);
            this.getPDDTaskTimer = 0;
        }
    }
    GetPDDTask() {
        const that = this;
        if (that.goodsDetailsWin.id > 0) {
            BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                if (window) {
                    BackGround.apiObj.windows.remove(window.id, function () { });
                }
            });
            that.goodsDetailsWin.id = 0;
        }
        let body = new HttpMessage.GetPDDTaskRequet_1201();
        body.ClientID = BackGround.Instance.clientId;
        body.ClientIP = HttpClient.clientIP;
        body.RemainingQuantity = that.num2 - that.singleCount;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetPDDTask_1201, body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    that.currGoodsId = data.GoodsID;
                    that.currPlatId = data.PlatID;
                    that.currRecordId = data.RecordID;
                    that.OpenGoodDetailsUrl();
                    let currDate = new Date();
                    that.lastTime = currDate;
                    that.singleCount++;
                    that.grabTimer = window.setTimeout(function () {
                        console.log("grabTimer:timeout...");
                        that.GoToRest();
                    }, 27000);
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                    that.nextTime = new Date();
                }
            }
            else {
                console.log(response.ErrorMsg);
                that.nextTime = new Date();
            }
        });
    }
    GetPDDUrl() {
        const that = this;
        if (that.goodsDetailsWin.id > 0) {
            BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                if (window) {
                    BackGround.apiObj.windows.remove(window.id, function () { });
                }
            });
            that.goodsDetailsWin.id = 0;
        }
        if (that.currGrabList.length == 0) {
            that.StopTask();
            return;
        }
        that.currGoodsInfo = that.currGrabList.splice(0, 1)[0];
        that.currGoodsId = Number(that.currGoodsInfo.itemKey);
        that.currOuterTaskID = Number(that.currGoodsInfo.uploadingId);
        that.OpenGoodDetailsUrl();
        let currDate = new Date();
        let currDate1 = new Date();
        currDate1.setSeconds(currDate1.getSeconds() - that.num4);
        if (currDate1 > that.lastTime)
            that.singleCount = 0;
        else
            that.singleCount++;
        that.lastTime = currDate;
        that.grabTimer = window.setTimeout(function () {
            console.log("grabTimer:timeout...");
            that.GoToRest();
        }, 55000);
    }
    GetPDDGoodsID() {
        const that = this;
        if (that.goodsDetailsWin.id > 0) {
            BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                if (window) {
                    BackGround.apiObj.windows.remove(window.id, function () { });
                }
            });
            that.goodsDetailsWin.id = 0;
        }
        let userInfo = localStorage.getItem("SSDZPDDUserInfo");
        if (!userInfo) {
            console.log("SSDZPDDUserInfo not find...");
            return;
        }
        let body = new HttpMessage.GetNeedGrabGoodsIDRequet_1207();
        body.UserInfo = userInfo;
        body.ClientID = BackGround.Instance.clientId;
        body.ClientIP = HttpClient.clientIP;
        body.RemainingQuantity = that.num2 - that.singleCount;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetNeedGrabGoodsID_1207, body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                    if (data.GoodsID == "-1") {
                        console.log("无数据，已停止抓取");
                        that.StopTask();
                        localStorage.setItem("SSDZPDDGrabSwitch", "0");
                    }
                    else {
                        console.log("有数据,拼多多商品ID：" + data.GoodsID);
                        that.currGoodsId = Number(data.GoodsID);
                        that.currPlatId = data.PlatID;
                        that.currRecordId = data.RecordID;
                        that.OpenGoodDetailsUrl();
                        let currDate = new Date();
                        that.lastTime = currDate;
                        that.singleCount++;
                        that.grabTimer = window.setTimeout(function () {
                            console.log("grabTimer:timeout...");
                            that.GoToRest();
                        }, 27000);
                    }
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                    that.StopTask();
                    localStorage.setItem("SSDZPDDGrabSwitch", "0");
                }
            }
            else {
                console.log(response.ErrorMsg);
                that.StopTask();
                localStorage.setItem("SSDZPDDGrabSwitch", "0");
            }
        });
    }
    OpenGoodDetailsUrl() {
        const that = this;
        let url = this.goodsDetailsUrl + this.currGoodsId;
        console.log("商品链接:" + url);
        let request = new ExtensionShortMessage.OpenUrlRequest();
        request.Url = url;
        request.FromPortName = this.fromPortName;
        request.ToPortName = this.toGoodsDetailsPortName;
        BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
            that.goodsDetailsWin = win;
            that.goodsDetailsTab = tab;
        });
    }
    GetDataOfPddGoodDetail(body, sender, sendResponse) {
        let response = new ExtensionShortMessage.GetDataOfPddGoodsDetailResponse();
        switch (sender.tab.id) {
            case this.goodsDetailsTab.id:
                response.BusinessType = 1;
                response.WinId = this.goodsDetailsWin.id;
                response.TabId = this.goodsDetailsTab.id;
                response.ClientID = BackGround.Instance.clientId;
                response.ClientIP = HttpClient.clientIP;
                response.GoodsID = this.currGoodsId;
                response.PlatID = this.currPlatId;
                response.RecordID = this.currRecordId;
                response.OuterTaskID = this.currOuterTaskID;
                break;
            default:
                response.BusinessType = 0;
                break;
        }
        sendResponse(response);
    }
    GetDataOfPddLoginPage(body, sender, sendResponse) {
        let response = new ExtensionShortMessage.GetDataOfPddLoginPageResponse();
        switch (sender.tab.id) {
            case this.goodsDetailsTab.id:
                response.BusinessType = 1;
                response.WinId = this.goodsDetailsWin.id;
                response.TabId = this.goodsDetailsTab.id;
                response.ClientID = BackGround.Instance.clientId;
                response.ClientIP = HttpClient.clientIP;
                response.GoodsID = this.currGoodsId;
                response.PlatID = this.currPlatId;
                response.RecordID = this.currRecordId;
                response.OuterTaskID = this.currOuterTaskID;
                break;
            default:
                response.BusinessType = 0;
                break;
        }
        sendResponse(response);
    }
    GetDataOfPddVerifyPage(body, sender, sendResponse) {
        let response = new ExtensionShortMessage.GetDataOfPddVerifyPageResponse();
        switch (sender.tab.id) {
            case this.goodsDetailsTab.id:
                response.BusinessType = 1;
                response.WinId = this.goodsDetailsWin.id;
                response.TabId = this.goodsDetailsTab.id;
                response.ClientID = BackGround.Instance.clientId;
                response.ClientIP = HttpClient.clientIP;
                response.GoodsID = this.currGoodsId;
                response.PlatID = this.currPlatId;
                response.RecordID = this.currRecordId;
                response.OuterTaskID = this.currOuterTaskID;
                break;
            default:
                response.BusinessType = 0;
                break;
        }
        sendResponse(response);
    }
    GetDataOfPddHomePage(body, sender, sendResponse) {
        const that = this;
        if (this.needLoginWin != null && sender.tab.windowId == this.needLoginWin.id) {
            BackGround.apiObj.windows.remove(this.needLoginWin.id, function () {
                that.needLoginWin = null;
            });
            return;
        }
    }
    StopGetPddData(body, sender, sendResponse) {
        this.nextTime.setMinutes(this.nextTime.getMinutes() + 20);
        sendResponse(true);
    }
    SendPddDataOld(body, sender, sendResponse) {
        if (this.grabTimer > 0) {
            window.clearTimeout(this.grabTimer);
        }
        this.grabTimer = 0;
        if (this.verifTimer > 0) {
            window.clearTimeout(this.verifTimer);
        }
        this.verifTimer = 0;
        const that = this;
        switch (body.State) {
            case 1:
                that.GetNextExecutePDDTaskTimeOld();
                if (that.goodsDetailsWin.id > 0) {
                    BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                        if (window) {
                            BackGround.apiObj.windows.remove(window.id, function () { });
                        }
                    });
                    that.goodsDetailsWin.id = 0;
                }
                break;
            case 3:
            case 4:
                that.verifTimer = window.setTimeout(function () {
                    console.log("verifTimer:timeout...");
                    that.GoToRest();
                }, 4.5 * 60000);
                break;
        }
        body.NextGetTaskTime = Utils.Instance.GetDateStr(that.nextTime, "yyyy-MM-DD HH:mm:ss");
        body.RemainingQuantity = that.num2 - that.singleCount;
        HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendPDDGoodsDetailData_1202, body, function (response) {
            if (response.IsSuccess) {
                let data = response.Data;
                if (data.Code == 1) {
                }
                else {
                    console.log("接口返回错误:" + data.Msg);
                }
            }
            else {
                console.log(response.ErrorMsg);
            }
        });
    }
    SendPddData(body, sender, sendResponse) {
        body.ClientID = BackGround.Instance.clientId;
        if (this.grabTimer > 0) {
            window.clearTimeout(this.grabTimer);
        }
        this.grabTimer = 0;
        if (this.verifTimer > 0) {
            window.clearTimeout(this.verifTimer);
        }
        this.verifTimer = 0;
        const that = this;
        switch (body.State) {
            case 1:
            case 2:
                if (this.currGrabType == 1)
                    that.GetNextExecutePDDTaskTime1();
                else if (this.currGrabType == 2)
                    that.GetNextExecutePDDTaskTime2();
                if (that.goodsDetailsWin.id > 0) {
                    BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                        if (window) {
                            BackGround.apiObj.windows.remove(window.id, function () { });
                        }
                    });
                    that.goodsDetailsWin.id = 0;
                }
                body.RecordID = that.currRecordId;
                body.NextGetTaskTime = Utils.Instance.GetDateStr(that.nextTime, "yyyy-MM-DD HH:mm:ss");
                body.RemainingQuantity = that.num2 - that.singleCount;
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendPDDGoodsDetailData_1202, body, function (response) {
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                        }
                        else {
                            console.log("接口返回错误:" + data.Msg);
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                    }
                });
                break;
            case 3:
            case 4:
                that.verifTimer = window.setTimeout(function () {
                    console.log("verifTimer:timeout...");
                    that.verifTimer = 0;
                    that.GoToRest();
                    body.NextGetTaskTime = Utils.Instance.GetDateStr(that.nextTime, "yyyy-MM-DD HH:mm:ss");
                    body.RemainingQuantity = that.num2 - that.singleCount;
                    HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendPDDGoodsDetailData_1202, body, function (response) {
                        if (response.IsSuccess) {
                            let data = response.Data;
                            if (data.Code == 1) {
                            }
                            else {
                                console.log("接口返回错误:" + data.Msg);
                            }
                        }
                        else {
                            console.log(response.ErrorMsg);
                        }
                    });
                }, 4.5 * 60000);
                break;
        }
    }
    OnPddUrlListEvent(body, sender, sendResponse) {
        console.log(3, body);
        if (body.List != null && body.List.length > 0) {
            this.currGrabType = body.Type;
            this.currGrabList = this.currGrabList.concat(body.List);
            if (!this.isStart) {
                this.StartTask();
            }
        }
        if (this.verifTimer > 0) {
            window.clearTimeout(this.verifTimer);
            if (this.goodsDetailsWin.id > 0) {
                BackGround.apiObj.windows.get(this.goodsDetailsWin.id, function (window) {
                    if (window) {
                        BackGround.apiObj.windows.remove(window.id, function () { });
                    }
                });
                this.goodsDetailsWin.id = 0;
            }
            this.GoToRest();
        }
    }
    OnPddGrabTaskEvent(body, sender, sendResponse) {
        if (body.UserInfo) {
            this.currGrabType = 1;
            localStorage.setItem("SSDZPDDUserInfo", body.UserInfo);
            localStorage.setItem("SSDZPDDGrabSwitch", "1");
            let that = this;
            BackGround.apiObj.cookies.get({ url: 'https://mobile.pinduoduo.com', name: "PDDAccessToken" }, function (_cookie) {
                console.log('cookie1', _cookie);
                if (!_cookie) {
                    BackGround.apiObj.cookies.get({ url: 'https://yangkeduo.com', name: "PDDAccessToken" }, function (_cookie) {
                        console.log('cookie2', _cookie);
                        if (!_cookie) {
                            console.log("cookie is null:PDDAccessToken");
                            that.OpenLoginPage();
                            return;
                        }
                    });
                }
            });
            if (!this.isStart) {
                this.StartTask();
            }
        }
    }
    OpenLoginPage() {
        let loginUrl = "http://mobile.pinduoduo.com/login.html";
        let req = new ExtensionShortMessage.OpenUrlRequest();
        req.Url = loginUrl;
        BackGround.Instance.OpenUrlOfPopup1(req, function (win, tab) {
            BusinessHubHandler.Instance.pddGoodHandler.needLoginWin = win;
            BackGround.apiObj.windows.update(win.id, {
                focused: true, drawAttention: true, state: "maximized"
            }, function (win) {
            });
        });
    }
    ExecuteGetPDDTask() {
        console.log("num2:" + this.num2);
        console.log("num3:" + this.num3);
        let that = this;
        this.lastTime = new Date();
        this.nextTime = this.lastTime;
        if (this.getPDDTaskTimer == 0) {
            this.getPDDTaskTimer = window.setInterval(function () {
                let currDate = new Date();
                if (currDate > that.nextTime) {
                    that.nextTime.setHours(that.nextTime.getHours() + 10);
                    that.GetPDDTask();
                }
            }, 2000);
        }
    }
    GetNextExecutePDDTaskTimeOld() {
        let now = new Date();
        let HH = now.getHours();
        if (HH < 8) {
            return;
        }
        let num1 = Math.ceil(Math.random() * 42);
        let SS = this.minNum + num1;
        if (this.singleCount >= this.num2) {
            this.GoToRest();
        }
        else {
            this.nextTime.setSeconds(this.nextTime.getSeconds() + SS);
            this.nextTime.setHours(this.nextTime.getHours() - 10);
            console.log("剩余条数：" + (50 - this.singleCount));
            console.log("下一次时间：");
            console.log(this.nextTime);
        }
    }
    GoToRest() {
        this.singleCount = 0;
        this.nextTime.setSeconds(this.nextTime.getSeconds() + this.num3);
        this.nextTime.setHours(this.nextTime.getHours() - 10);
        console.log(this.nextTime);
        console.log("go to rest");
        this.num3 = 0;
    }
    ExecuteGetPDDUrl() {
        let that = this;
        this.lastTime = new Date();
        this.nextTime = this.lastTime;
        if (this.getPDDTaskTimer == 0) {
            this.getPDDTaskTimer = window.setInterval(function () {
                let currDate = new Date();
                if (currDate > that.nextTime) {
                    that.nextTime.setHours(that.nextTime.getHours() + 10);
                    that.GetPDDUrl();
                }
            }, 2000);
        }
    }
    ExecuteGetPDDGoodsID() {
        let that = this;
        this.lastTime = new Date();
        this.nextTime = this.lastTime;
        if (this.getPDDTaskTimer == 0) {
            this.getPDDTaskTimer = window.setInterval(function () {
                let currDate = new Date();
                if (currDate > that.nextTime) {
                    that.nextTime.setHours(that.nextTime.getHours() + 10);
                    that.GetPDDGoodsID();
                }
            }, 2000);
        }
    }
    GetNextExecutePDDTaskTime1() {
        let now = new Date();
        let num1 = Math.ceil(Math.random() * 5);
        let SS = this.minNum + num1;
        if (this.singleCount >= this.num2)
            this.singleCount = 0;
        this.nextTime.setSeconds(this.nextTime.getSeconds() + SS);
        this.nextTime.setHours(this.nextTime.getHours() - 10);
        console.log("剩余条数：" + (50 - this.singleCount));
        console.log("下一次时间：");
        console.log(this.nextTime);
    }
    GetNextExecutePDDTaskTime2() {
        let now = new Date();
        let HH = now.getHours();
        if (HH < 8) {
            return;
        }
        let num1 = Math.ceil(Math.random() * 42);
        let SS = this.minNum + num1;
        if (this.singleCount >= this.num2) {
            this.GoToRest();
        }
        else {
            this.nextTime.setSeconds(this.nextTime.getSeconds() + SS);
            this.nextTime.setHours(this.nextTime.getHours() - 10);
            console.log("pdd剩余条数：" + (50 - this.singleCount));
            console.log("pdd下一次时间：");
            console.log(this.nextTime);
        }
    }
}
class PopupHandler {
    constructor() {
        this.windowOpenOfBackList = [BrowserType.Edge, BrowserType.GoogleChrome, BrowserType.Sogou, BrowserType.QQ, BrowserType.Other];
        this.windowOpenOfJsList = [BrowserType._360SE, BrowserType._360EE];
        this.backUrlList = [];
        this.callList = [];
    }
    Init() {
        console.log("PopupHandler - begin");
    }
    OpenPopup(body, sendResponse) {
        const that = this;
        if (this.windowOpenOfBackList.indexOf(BackGround.Instance.browserType) > -1) {
            BackGround.apiObj.windows.create({
                url: body.Url,
                top: body.Top, left: 0, width: body.Width, height: body.Height, type: 'popup',
                incognito: body.Incognito, focused: body.Focused
            }, function (win) {
                BackGround.apiObj.windows.update(win.id, {
                    focused: false, drawAttention: false, state: "minimized"
                }, function (win1) {
                });
                let tab = win.tabs[0];
                sendResponse(win, tab);
            });
        }
        else if (this.windowOpenOfJsList.indexOf(BackGround.Instance.browserType) > -1) {
            chrome.windows.getCurrent(function (win) {
                chrome.tabs.getSelected(win.id, function (tab) {
                    let data = new ExtensionShortMessage.RequestData();
                    data.Body = null;
                    data.Protocol = ShortMsgProtocol.OpenHideWindow;
                    BackGround.apiObj.tabs.sendMessage(tab.id, data, function () {
                        that.backUrlList.push(body.Url);
                        that.callList.push(sendResponse);
                    });
                });
            });
        }
    }
    OpenMaxPopup(body, sendResponse) {
        BackGround.apiObj.windows.create({
            url: body.Url,
            top: body.Top, left: 0, type: 'popup',
            incognito: body.Incognito, focused: body.Focused
        }, function (win) {
            BackGround.apiObj.windows.update(win.id, {
                focused: true, drawAttention: true, state: "maximized"
            }, function (win1) {
            });
            let tab = win.tabs[0];
            sendResponse(win, tab);
        });
    }
    OpenPopupEnd(sender, sendResponse) {
        let url = this.backUrlList.length == 0 ? null : this.backUrlList.splice(0, 1)[0];
        let call = this.callList.length == 0 ? null : this.callList.splice(0, 1)[0];
        if (url) {
            BackGround.apiObj.windows.update(sender.tab.windowId, {
                focused: false, drawAttention: false, state: "minimized"
            }, function (win) {
                BackGround.apiObj.tabs.update(sender.tab.id, {
                    url: url
                }, function (tab) {
                    let win = new Model.Window;
                    win.id = sender.tab.windowId;
                    call(win, tab);
                });
            });
            return;
            BackGround.apiObj.windows.update(sender.tab.windowId, {
                focused: false, drawAttention: false, state: "minimized"
            }, function (win) {
                BackGround.apiObj.tabs.create({ windowId: sender.tab.windowId, url: url, selected: false, pinned: false }, function (tab) {
                    let win = new Model.Window;
                    win.id = sender.tab.windowId;
                    call(win, tab);
                    BackGround.apiObj.tabs.remove(sender.tab.id, function () { });
                });
            });
        }
        else {
            BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
        }
    }
}
class PurManageHandler {
    constructor() {
        this.updatePurOrderList = [];
        this.taobaoCurrLoginAccount = "";
        this.taobaoCookies = "";
        this.pddCurrLoginAccount = "";
        this.pddCookies = "";
        this.backWinId_AddPurAccount = 0;
        this.backTabId_AddPurAccount = 0;
        this.currLaunchTabId_AddPurAccount = 0;
        this.backWinId_SynchPurOrder = 0;
        this.backTabId_SynchPurOrder = 0;
        this.currLaunchTabId_SynchPurOrder = 0;
        this.backWinId_UpdatePurOrder = 0;
        this.backTabId_UpdatePurOrder = 0;
        this.currLaunchTabId_UpdatePurOrder = 0;
        this.backWinId_SynchAliTradeID = 0;
        this.backTabId_SynchAliTradeID = 0;
        this.currLaunchTabId_SynchAliTradeID = 0;
        this.needSynchTaoBaoTradeIDList = [];
        this.backWinId_CancelPurOrder = 0;
        this.backTabId_CancelPurOrder = 0;
        this.currLaunchTabId_CancelPurOrder = 0;
        this.isCancelOrder = false;
        this.shopId = 0;
        this.orderId = '';
        this.sysId = 0;
    }
    Init() {
        const that = this;
        console.log("PurManageHandler - begin");
    }
    LoginOut(type) {
        if (type == 1) {
            this.taobaoCurrLoginAccount = "";
            this.taobaoCookies = "";
        }
        else if (type == 2) {
            this.pddCurrLoginAccount = "";
            this.pddCookies = "";
        }
    }
    AddPurAccount(body, sender, sendResponse) {
        const that = this;
        that.currLaunchTabId_AddPurAccount = sender.tab.id;
        let loginUrl = null;
        if (body.SysId == 1) {
            loginUrl = "https://login.taobao.com/member/login.jhtml";
        }
        else if (body.SysId == 26) {
            loginUrl = "https://mobile.yangkeduo.com/login.html";
        }
        if (loginUrl) {
            if (that.backTabId_AddPurAccount > 0) {
                BackGround.apiObj.windows.remove(that.backWinId_AddPurAccount, function () { });
            }
            let request = new ExtensionShortMessage.OpenUrlRequest();
            request.Url = loginUrl;
            BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                that.backWinId_AddPurAccount = win.id;
                that.backTabId_AddPurAccount = tab.id;
                let tabTaskInfo = new Model.TabTaskInfo();
                tabTaskInfo.TabTaskType = TabTaskType.GetLoginInfo;
                tabTaskInfo.TabId = tab.id;
                tabTaskInfo.WinId = win.id;
                tabTaskInfo.Data = body;
                BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
                BackGround.apiObj.windows.update(win.id, {
                    focused: true, drawAttention: true, state: "maximized"
                }, function (win) {
                });
            });
        }
    }
    AddPurAccountDisposal(body, sender, sendResponse) {
        const that = this;
        if (that.backWinId_AddPurAccount > 0) {
            BackGround.apiObj.windows.remove(that.backWinId_AddPurAccount, function () { });
            BusinessHubHandler.Instance.RemoveTabTask(that.backTabId_AddPurAccount);
            that.backWinId_AddPurAccount = 0;
            that.backTabId_AddPurAccount = 0;
        }
        let data = new ExtensionShortMessage.RequestData();
        data.Body = body;
        data.Protocol = ShortMsgProtocol.AddPurAccountResult;
        BackGround.apiObj.tabs.sendMessage(this.currLaunchTabId_AddPurAccount, data, null);
    }
    SynchPurOrder(body, sender, sendResponse) {
        const that = this;
        that.currLaunchTabId_SynchPurOrder = sender.tab.id;
        let orderListUrl = null;
        if (body.SysId == 1) {
            if (that.taobaoCurrLoginAccount == body.PurAccount && that.taobaoCookies) {
                that.SynchPurOrderDisposal(null, null, null, body);
                return;
            }
            that.taobaoCurrLoginAccount = "";
            that.taobaoCookies == "";
            orderListUrl = "https://buyertrade.taobao.com/trade/itemlist/list_bought_items.htm";
        }
        else if (body.SysId == 26) {
            orderListUrl = "https://mobile.yangkeduo.com/personal.html";
        }
        if (orderListUrl) {
            if (that.backTabId_SynchPurOrder > 0) {
                BackGround.apiObj.windows.remove(that.backWinId_SynchPurOrder, function () { });
            }
            let request = new ExtensionShortMessage.OpenUrlRequest();
            request.Url = orderListUrl;
            BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                that.backWinId_SynchPurOrder = win.id;
                that.backTabId_SynchPurOrder = tab.id;
                let tabTaskInfo = new Model.TabTaskInfo();
                tabTaskInfo.TabTaskType = TabTaskType.GetPurOrderList;
                tabTaskInfo.TabId = tab.id;
                tabTaskInfo.WinId = win.id;
                tabTaskInfo.Data = body;
                BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
            });
        }
    }
    SynchPurOrderDisposal(body, sender, sendResponse, req = null) {
        const that = this;
        if (body && body.Msg == "-1") {
            BackGround.apiObj.windows.update(sender.tab.windowId, {
                focused: true, drawAttention: true, state: "maximized"
            }, function (win) {
            });
        }
        else {
            if (req == null) {
                let taskInfo = BusinessHubHandler.Instance.GetTabTask(sender.tab.id);
                if (that.backWinId_SynchPurOrder > 0) {
                    BackGround.apiObj.windows.remove(that.backWinId_SynchPurOrder, function () { });
                    BusinessHubHandler.Instance.RemoveTabTask(that.backTabId_SynchPurOrder);
                    that.backWinId_SynchPurOrder = 0;
                    that.backTabId_SynchPurOrder = 0;
                }
                req = taskInfo.Data;
            }
            let request = new HttpMessage.GetPurOrderListRequest_1404();
            request.Token = req.Token;
            request.PlatID = req.PlatID;
            request.PurAccount = req.PurAccount;
            request.SysId = req.SysId;
            request.PageIndex = req.PageIndex;
            request.PageCount = req.PageCount;
            request.SearchTerm = req.SearchTerm;
            request.SynchMode = req.SynchMode;
            request.IsGetAliTradeID = req.IsGetAliTradeID;
            request.StartTime = req.StartTime;
            request.EndTime = req.EndTime;
            request.TradeIDList = req.TradeIDList;
            request.LastSynchTime = req.LastSynchTime;
            if (req.SysId == 1) {
                that.taobaoCurrLoginAccount = req.PurAccount;
                BackGround.Instance.GetAllCookiesOfUrl("https://buyertrade.taobao.com/", function (_cookie) {
                    that.taobaoCookies = _cookie;
                    request.Cookies = _cookie;
                    SynchPurOrder();
                });
            }
            else if (req.SysId == 26) {
                that.pddCurrLoginAccount = req.PurAccount;
                BackGround.Instance.GetAllCookiesOfUrl("https://mobile.yangkeduo.com/orders.html", function (_cookie, _cookie1, _cookie2) {
                    that.pddCookies = _cookie;
                    request.Cookies = _cookie;
                    request.PDDAccessToken = _cookie1;
                    request.PddUserId = _cookie2;
                    SynchPurOrder();
                }, "PDDAccessToken", "pdd_user_id");
            }
            function SynchPurOrder() {
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetPurOrderList_1404, request, function (response) {
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                            let data1 = new ExtensionShortMessage.RequestData();
                            if (data.TradeIDList && data.TradeIDList.length > 0 && req.SysId == 1) {
                                data1.Body = { "isSuccess": true, "code": 0, "msg": "更新成功,支付宝交易号正在后台同步中", "url": "" };
                                for (let index = 0; index < data.TradeIDList.length; index++) {
                                    const element = data.TradeIDList[index];
                                    that.needSynchTaoBaoTradeIDList.push(element);
                                }
                                let request = new ExtensionShortMessage.OpenUrlRequest();
                                let tradeID = that.needSynchTaoBaoTradeIDList.shift();
                                request.Url = "https://trade.taobao.com/trade/detail/trade_order_detail.htm?biz_order_id=" + tradeID;
                                BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                                    that.backWinId_SynchAliTradeID = win.id;
                                    that.backTabId_SynchAliTradeID = tab.id;
                                    let tabTaskInfo = new Model.TabTaskInfo();
                                    tabTaskInfo.TabTaskType = TabTaskType.SynchAliTradeID;
                                    tabTaskInfo.TabId = tab.id;
                                    tabTaskInfo.WinId = win.id;
                                    tabTaskInfo.Data = tradeID;
                                    BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
                                });
                            }
                            else {
                                data1.Body = { "isSuccess": true, "code": 0, "msg": "更新成功", "url": "" };
                            }
                            data1.Protocol = ShortMsgProtocol.SynchPurOrderResult;
                            BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_SynchPurOrder, data1, null);
                        }
                        else if (data.Code == -2) {
                            console.log("GetPurOrderList_接口需要登录");
                            let loginUrl = "";
                            if (req.SysId == 1)
                                loginUrl = "https://login.taobao.com";
                            else if (req.SysId == 26)
                                loginUrl = "https://mobile.yangkeduo.com/login.html";
                            let data1 = new ExtensionShortMessage.RequestData();
                            data1.Body = { "isSuccess": false, "code": -2, "msg": "需要登录采购平台,是否登录？", "url": loginUrl };
                            data1.Protocol = ShortMsgProtocol.SynchPurOrderResult;
                            BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_SynchPurOrder, data1, null);
                        }
                        else {
                            console.log("GetPurOrderList_接口返回错误:" + data.Msg);
                            let data1 = new ExtensionShortMessage.RequestData();
                            data1.Body = { "isSuccess": false, "code": -1, "msg": "更新失败：" + data.Msg, "url": "" };
                            data1.Protocol = ShortMsgProtocol.SynchPurOrderResult;
                            BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_SynchPurOrder, data1, null);
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                        let data1 = new ExtensionShortMessage.RequestData();
                        data1.Body = { "isSuccess": false, "code": -1, "msg": "更新失败：" + response.ErrorMsg, "url": "" };
                        data1.Protocol = ShortMsgProtocol.SynchPurOrderResult;
                        BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_SynchPurOrder, data1, null);
                    }
                });
            }
        }
    }
    SynchAliTradeID(body, sender, sendResponse) {
        const that = this;
        if (body && body.Msg == "-1") {
            BackGround.apiObj.windows.update(sender.tab.windowId, {
                focused: true, drawAttention: true, state: "maximized"
            }, function (win) {
            });
        }
        else {
            let taskInfo = BusinessHubHandler.Instance.GetTabTask(sender.tab.id);
            if (that.needSynchTaoBaoTradeIDList.length == 0 && that.backWinId_SynchAliTradeID > 0) {
                BackGround.apiObj.windows.remove(that.backWinId_SynchAliTradeID, function () { });
                that.backWinId_SynchAliTradeID = 0;
                that.backTabId_SynchAliTradeID = 0;
                let data1 = new ExtensionShortMessage.RequestData();
                data1.Body = { "isSuccess": true, "orderId": "", "msg": "更新成功,支付宝交易号正在后台同步中", "isEnd": true };
                data1.Protocol = ShortMsgProtocol.UpdatePurOrderResult;
                BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_UpdatePurOrder, data1, null);
            }
            BusinessHubHandler.Instance.RemoveTabTask(that.backTabId_SynchAliTradeID);
            let tradeID = taskInfo.Data;
            let request = new HttpMessage.UpdatePurOrderRequest_1405();
            request.CgType = 1;
            request.PlatID = 11;
            request.OrderId = tradeID;
            request.AliTradeID = body.AliTradeID;
            HttpClient.Instance.AjaxProtocol(WebApiProtocol.UpdatePurOrder_1405, request, function (response) {
                if (that.needSynchTaoBaoTradeIDList.length > 0) {
                    let req = new ExtensionShortMessage.UpdateTabRequest;
                    req.TabId = sender.tab.id;
                    let tradeID = that.needSynchTaoBaoTradeIDList.shift();
                    req.url = "https://trade.taobao.com/trade/detail/trade_order_detail.htm?biz_order_id=" + tradeID;
                    BackGround.Instance.UpdateTab(req, function (tab) {
                        that.backTabId_SynchAliTradeID = tab.id;
                        taskInfo.TabId = tab.id;
                        taskInfo.Data = tradeID;
                        BusinessHubHandler.Instance.AddTabTask(taskInfo);
                    });
                }
            });
        }
    }
    UpdatePurOrder(body, sender, sendResponse, isFirst) {
        const that = this;
        if (isFirst) {
            that.currLaunchTabId_UpdatePurOrder = sender.tab.id;
            that.updatePurOrderList = body;
        }
        if (that.updatePurOrderList == null || that.updatePurOrderList.length == 0) {
            return;
        }
        let order = that.updatePurOrderList.splice(0, 1)[0];
        if (order.CgType == 1) {
            if (that.taobaoCurrLoginAccount == order.PurAccount && that.taobaoCookies) {
                that.UpdatePurOrderDisposal(null, null, null, order);
                return;
            }
            that.taobaoCurrLoginAccount = "";
            that.taobaoCookies == "";
            let orderListUrl = "https://buyertrade.taobao.com/trade/itemlist/list_bought_items.htm";
            if (that.backTabId_UpdatePurOrder > 0) {
                BackGround.apiObj.windows.remove(that.backWinId_UpdatePurOrder, function () { });
            }
            let request = new ExtensionShortMessage.OpenUrlRequest();
            request.Url = orderListUrl;
            BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                that.backWinId_UpdatePurOrder = win.id;
                that.backTabId_UpdatePurOrder = tab.id;
                let tabTaskInfo = new Model.TabTaskInfo();
                tabTaskInfo.TabTaskType = TabTaskType.UpdatePurOrder;
                tabTaskInfo.TabId = tab.id;
                tabTaskInfo.WinId = win.id;
                tabTaskInfo.Data = order;
                BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
            });
        }
        else if (order.CgType == 26) {
            let orderDetailUrl = "https://mobile.yangkeduo.com/order.html?order_sn=" + order.CgOrderCode;
            BackGround.apiObj.cookies.get({ url: "https://mobile.yangkeduo.com", name: "mobile" }, function (_cookie) {
                if (!_cookie || _cookie.value != order.PurAccount) {
                    orderDetailUrl = "https://mobile.yangkeduo.com/login.html?from=https%3A%2F%2Fmobile.yangkeduo.com%2Forder.html%3Forder_sn%3D" + order.CgOrderCode;
                }
                if (that.backTabId_UpdatePurOrder > 0) {
                    BackGround.apiObj.windows.remove(that.backWinId_UpdatePurOrder, function () { });
                }
                let request = new ExtensionShortMessage.OpenUrlRequest();
                request.Url = orderDetailUrl;
                BackGround.Instance.OpenUrlOfPopupMax(request, function (win, tab) {
                    that.backWinId_UpdatePurOrder = win.id;
                    that.backTabId_UpdatePurOrder = tab.id;
                    let tabTaskInfo = new Model.TabTaskInfo();
                    tabTaskInfo.TabTaskType = TabTaskType.UpdatePurOrder;
                    tabTaskInfo.TabId = tab.id;
                    tabTaskInfo.WinId = win.id;
                    tabTaskInfo.Data = order;
                    BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
                });
            });
        }
    }
    UpdatePurOrderDisposal(body, sender, sendResponse, req = null) {
        const that = this;
        if (body && body.Msg == "-1") {
            BackGround.apiObj.windows.update(sender.tab.windowId, {
                focused: true, drawAttention: true, state: "maximized"
            }, function (win) {
            });
        }
        else {
            if (req == null) {
                let taskInfo = BusinessHubHandler.Instance.GetTabTask(sender.tab.id);
                if (that.backWinId_UpdatePurOrder > 0) {
                    BackGround.apiObj.windows.remove(that.backWinId_UpdatePurOrder, function () { });
                    BusinessHubHandler.Instance.RemoveTabTask(that.backTabId_UpdatePurOrder);
                    that.backWinId_UpdatePurOrder = 0;
                    that.backTabId_UpdatePurOrder = 0;
                }
                req = taskInfo.Data;
            }
            let request = new HttpMessage.UpdatePurOrderRequest_1405();
            request.Code = req.Code;
            request.PlatID = req.PlatID;
            request.SonPlatID = req.SonPlatID;
            request.CgType = req.CgType;
            request.PurAccount = req.PurAccount;
            request.CgOrderCode = req.CgOrderCode;
            request.OrderId = req.OrderId;
            if (req.CgType == 1) {
                that.taobaoCurrLoginAccount = req.PurAccount;
                BackGround.Instance.GetAllCookiesOfUrl("https://buyertrade.taobao.com/", function (_cookie) {
                    that.taobaoCookies = _cookie;
                    request.Cookies = _cookie;
                    UpdatePurOrder();
                });
            }
            else if (req.CgType == 26) {
                request.OrderStatusInfo = body.OrderStatusInfo;
                request.OrderCreateTime = body.OrderCreateTime;
                request.ExpressCode = body.ExpressCode;
                request.ExpressName = body.ExpressName;
                request.ShipperId = body.ShipperId;
                request.LogisticsTrackList = body.LogisticsTrackList;
                UpdatePurOrder();
            }
            function UpdatePurOrder() {
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.UpdatePurOrder_1405, request, function (response) {
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                            if (req.PlatID != 11) {
                                let data1 = new ExtensionShortMessage.RequestData();
                                data1.Body = { "isSuccess": true, "orderId": req.PlatOrderCode, "msg": "更新成功", "isEnd": that.updatePurOrderList.length == 0 };
                                data1.Protocol = ShortMsgProtocol.UpdatePurOrderResult;
                                BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_UpdatePurOrder, data1, null);
                            }
                        }
                        else {
                            console.log("UpdatePurOrder接口返回错误:" + data.Msg);
                            let data1 = new ExtensionShortMessage.RequestData();
                            data1.Body = { "isSuccess": false, "orderId": req.PlatOrderCode, "msg": "更新失败：" + data.Msg, "isEnd": that.updatePurOrderList.length == 0 };
                            data1.Protocol = ShortMsgProtocol.UpdatePurOrderResult;
                            BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_UpdatePurOrder, data1, null);
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                        let data1 = new ExtensionShortMessage.RequestData();
                        data1.Body = data1.Body = { "isSuccess": false, "orderId": req.PlatOrderCode, "msg": "更新失败：" + response.ErrorMsg, "isEnd": that.updatePurOrderList.length == 0 };
                        data1.Protocol = ShortMsgProtocol.UpdatePurOrderResult;
                        BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_UpdatePurOrder, data1, null);
                    }
                    that.UpdatePurOrder(null, null, null, false);
                    if (req.CgType == 1 && req.PlatID == 11) {
                        that.needSynchTaoBaoTradeIDList.push(req.CgOrderCode);
                        if (that.backWinId_SynchAliTradeID == 0) {
                            let request = new ExtensionShortMessage.OpenUrlRequest();
                            let tradeID = that.needSynchTaoBaoTradeIDList.shift();
                            request.Url = "https://trade.taobao.com/trade/detail/trade_order_detail.htm?biz_order_id=" + tradeID;
                            BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
                                that.backWinId_SynchAliTradeID = win.id;
                                that.backTabId_SynchAliTradeID = tab.id;
                                let tabTaskInfo = new Model.TabTaskInfo();
                                tabTaskInfo.TabTaskType = TabTaskType.SynchAliTradeID;
                                tabTaskInfo.TabId = tab.id;
                                tabTaskInfo.WinId = win.id;
                                tabTaskInfo.Data = tradeID;
                                BusinessHubHandler.Instance.AddTabTask(tabTaskInfo);
                            });
                        }
                    }
                });
            }
        }
    }
    CancelPurOrder(body, sender, sendResponse) {
        const that = this;
        that.currLaunchTabId_CancelPurOrder = sender.tab.id;
        that.isCancelOrder = true;
        that.shopId = body.ShopId;
        that.orderId = body.OrderId;
        that.sysId = body.SysId;
        if (body.SysId == 1) {
            let orderDetailUrl = `https://trade.taobao.com/trade/detail/trade_order_detail.htm?biz_order_id=${body.OrderId}`;
            if (that.backTabId_CancelPurOrder > 0) {
                BackGround.apiObj.windows.remove(that.backTabId_CancelPurOrder, function () { });
            }
            let request = new ExtensionShortMessage.OpenUrlRequest();
            request.Url = orderDetailUrl;
            BackGround.Instance.OpenUrlOfPopupMax(request, function (win, tab) {
                that.backWinId_CancelPurOrder = win.id;
                that.backTabId_CancelPurOrder = tab.id;
            });
        }
        else if (body.SysId == 26) {
            let orderDetailUrl = `https://mobile.yangkeduo.com/order.html?order_sn=${body.OrderId}`;
            if (that.backTabId_CancelPurOrder > 0) {
                BackGround.apiObj.windows.remove(that.backTabId_CancelPurOrder, function () { });
            }
            let request = new ExtensionShortMessage.OpenUrlRequest();
            request.Url = orderDetailUrl;
            BackGround.Instance.OpenUrlOfPopupMax(request, function (win, tab) {
                that.backWinId_CancelPurOrder = win.id;
                that.backTabId_CancelPurOrder = tab.id;
            });
        }
    }
    GetCancelPurOrder(body, sender, sendResponse) {
        const that = this;
        if (sender.tab.id == that.backTabId_CancelPurOrder) {
            let data = { 'isCancelOrder': that.isCancelOrder, 'shopId': that.shopId };
            sendResponse(data);
        }
    }
    SetCancelPurOrder(body, sender, sendResponse) {
        const that = this;
        if (sender.tab.id == that.backTabId_CancelPurOrder) {
            let requestData = new HttpMessage.CancelPurOrderRequest_1406();
            requestData.OrderId = that.orderId;
            requestData.ShopId = that.shopId;
            requestData.SysId = that.sysId;
            HttpClient.Instance.AjaxProtocol(WebApiProtocol.CancelPurOrder_1406, requestData, function (response) {
                console.log(response);
                if (response.IsSuccess) {
                    let data = response.Data;
                    if (data.Code == 1) {
                        let data1 = new ExtensionShortMessage.RequestData();
                        data1.Body = { "isSuccess": true, "orderId": requestData.OrderId, "msg": "取消成功" };
                        data1.Protocol = ShortMsgProtocol.CancelPurOrderResult;
                        BackGround.apiObj.tabs.sendMessage(that.currLaunchTabId_CancelPurOrder, data1, null);
                    }
                }
                that.isCancelOrder = false;
                that.shopId = 0;
                that.sysId = 0;
                that.orderId = '';
                BackGround.apiObj.tabs.remove(that.backTabId_CancelPurOrder);
            });
        }
    }
}
class SearchGoodsByImgHandler {
    constructor() {
        this.winId = 0;
        this.tabId = 0;
        this.senderTabId = 0;
        this.imgUrl = '';
        this.isSearchImg = false;
    }
    Init() {
    }
    SearchImg(body, sender, callback) {
        const that = this;
        that.imgUrl = body.ImgUrl;
        that.isSearchImg = true;
        that.senderTabId = sender.tab.id;
        if (body.SysId == 1) {
            let tbcookie = localStorage.getItem('tbcookie');
            if (tbcookie) {
                that.TaobaoSearchImgApi(tbcookie);
            }
            else {
                that.OpenLoginPage(1);
            }
        }
        else if (body.SysId == 26) {
        }
    }
    TaobaoSearchImgApi(tbcookie) {
        const that = this;
        that.getUrlBase64(that.imgUrl)
            .then(function (base64img) {
            let base64 = base64img.replace(/^data:image\/\w+;base64,/, "");
            let mh5tk = '';
            var arr, reg = new RegExp("(^| )_m_h5_tk=([^;]*)(;|$)");
            if (arr = tbcookie.match(reg))
                mh5tk = unescape(arr[2]);
            let mh5tkGroup = mh5tk.split('_');
            let tk = mh5tkGroup[0];
            let t = (new Date()).getTime();
            let appkey = '12574478';
            let data = '{\"appId\":\"34850\",\"params\":\"{\\\"pcGraphSearch\\\":true,\\\"region\\\":\\\"\\\",\\\"strimg\\\":\\\"' + base64 + '\\\",\\\"sortOrder\\\":\\\"0\\\",\\\"ttid\\\":\\\"600000@taobao_android_10.16.10\\\",\\\"tab\\\":\\\"all\\\",\\\"sversion\\\":15.8,\\\"vm\\\":\\\"nw\\\"}\"}';
            let sign = that.TaoBaoSign(tk + '&' + t + '&' + appkey + '&' + data);
            let url = `https://h5api.m.taobao.com/h5/mtop.relationrecommend.wirelessrecommend.recommend/2.0/?jsv=2.7.0&appKey=${appkey}&t=${t}&sign=${sign}&api=mtop.relationrecommend.WirelessRecommend.recommend&v=2.0&type=originaljson&isSec=1&dataType=jsonp`;
            let cookie = tbcookie;
            $.ajax({
                type: "POST",
                url: url,
                data: { "data": data },
                contentType: 'application/x-www-form-urlencoded',
                xhrFields: {
                    withCredentials: true
                },
                headers: {
                    'cookie': cookie,
                },
                success: function (result) {
                    if (result.ret[0].indexOf('SUCCESS') > -1 && result.data.itemsArray) {
                        let goodsList = [];
                        for (let index = 0; index < result.data.itemsArray.length; index++) {
                            const item = result.data.itemsArray[index];
                            let goods = new Model.SearchImgGoodsInfo();
                            goods.title = item.title;
                            goods.offerId = item.nid;
                            goods.url = 'https://item.taobao.com/item.htm?id=' + goods.offerId;
                            goods.imgUrl = item.pics.mainPic;
                            let url = new URL(goods.imgUrl);
                            goods.imgUrl = 'https://img.alicdn.com' + url.pathname;
                            goods.price = item.priceInfo.pcFinalPrice;
                            goods.sales = item.salesInfo.totalSale;
                            goods.sysId = 1;
                            goodsList.push(goods);
                        }
                        let data = new ExtensionShortMessage.RequestData();
                        data.Protocol = ShortMsgProtocol.SearchImgResult;
                        data.Body = {
                            success: true,
                            code: 1,
                            data: goodsList,
                            errMsg: ''
                        };
                        BackGround.apiObj.tabs.sendMessage(that.senderTabId, data, null);
                    }
                    else {
                        let msg = result.ret[0];
                        console.log('淘宝图搜同款失败', msg);
                        if (msg.indexOf('timeout') > -1) {
                            let data = new ExtensionShortMessage.RequestData();
                            data.Protocol = ShortMsgProtocol.SearchImgResult;
                            data.Body = {
                                success: false,
                                code: 7,
                                data: [],
                                errMsg: '请重试一次'
                            };
                            BackGround.apiObj.tabs.sendMessage(that.senderTabId, data, null);
                        }
                        else {
                            let data = new ExtensionShortMessage.RequestData();
                            data.Protocol = ShortMsgProtocol.SearchImgResult;
                            data.Body = {
                                success: false,
                                code: 8,
                                data: [],
                                errMsg: '搜同款失败'
                            };
                            BackGround.apiObj.tabs.sendMessage(that.senderTabId, data, null);
                        }
                    }
                },
                error: function (err) {
                    console.log('淘宝图搜同款错误', err);
                    let data = new ExtensionShortMessage.RequestData();
                    data.Protocol = ShortMsgProtocol.SearchImgResult;
                    data.Body = {
                        success: false,
                        code: 8,
                        data: [],
                        errMsg: '搜同款失败'
                    };
                    BackGround.apiObj.tabs.sendMessage(that.senderTabId, data, null);
                }
            });
        })
            .catch(function (err) {
            console.log('获取图片base64错误', err);
            let data = new ExtensionShortMessage.RequestData();
            data.Protocol = ShortMsgProtocol.SearchImgResult;
            data.Body = {
                success: false,
                code: 8,
                data: [],
                errMsg: '搜同款失败'
            };
            BackGround.apiObj.tabs.sendMessage(that.senderTabId, data, null);
        });
    }
    OpenLoginPage(type) {
        const that = this;
        that.isSearchImg = true;
        let req = new ExtensionShortMessage.OpenUrlRequest();
        req.Url = 'https://login.taobao.com/member/login.jhtml?redirectURL=http%3A%2F%2Fi.taobao.com%2Fmy_taobao.htm';
        if (type == 1) {
            req.Url = 'https://login.taobao.com/member/login.jhtml?redirectURL=http%3A%2F%2Fi.taobao.com%2Fmy_taobao.htm';
        }
        else if (type == 2) {
        }
        BackGround.Instance.OpenUrlOfPopupMax(req, function (win, tab) {
            that.winview = win;
            that.winId = win.id;
            that.tabId = tab.id;
        }.bind(that));
    }
    GetIsSeachImg(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            if (callback) {
                var data = { "isSearchImg": that.isSearchImg };
                callback(data);
            }
        }
    }
    SetLocalStorageByTaobaoCookie(body, sender, callback) {
        let tbcookie = body;
        if (tbcookie) {
            localStorage.setItem('tbcookie', tbcookie);
            if (this.isSearchImg && this.imgUrl) {
                this.TaobaoSearchImgApi(tbcookie);
            }
        }
        if (this.tabId == sender.tab.id) {
            BackGround.apiObj.tabs.remove(this.tabId);
            this.isSearchImg = false;
            this.tabId = 0;
        }
    }
    GetCookie(name) {
        var strcookie = document.cookie;
        var arrcookie = strcookie.split("; ");
        for (var i = 0; i < arrcookie.length; i++) {
            var arr = arrcookie[i].split("=");
            if (arr[0] == name) {
                return arr[1];
            }
        }
        return "";
    }
    getUrlBase64(url) {
        return new Promise((resolve, reject) => {
            let canvas = document.createElement("canvas");
            const ctx = canvas.getContext("2d");
            let img = new Image();
            img.crossOrigin = "Anonymous";
            img.src = url;
            img.onload = function () {
                canvas.height = img.height;
                canvas.width = img.width;
                ctx.drawImage(img, 0, 0, img.width, img.height);
                const dataURL = canvas.toDataURL("image/jpeg", 1);
                resolve(dataURL);
                canvas = null;
                img = null;
            };
            img.onerror = function () {
                reject(new Error("Could not load image at " + url));
            };
        });
    }
    TaoBaoSign(e) {
        function t(e, t) {
            return e << t | e >>> 32 - t;
        }
        function o(e, t) {
            var o, n, r, i, a;
            return r = 2147483648 & e,
                i = 2147483648 & t,
                a = (1073741823 & e) + (1073741823 & t),
                (o = 1073741824 & e) & (n = 1073741824 & t) ? 2147483648 ^ a ^ r ^ i : o | n ? 1073741824 & a ? 3221225472 ^ a ^ r ^ i : 1073741824 ^ a ^ r ^ i : a ^ r ^ i;
        }
        function n(e, n, r, i, a, s, u) {
            return o(t(e = o(e, o(o(function (e, t, o) {
                return e & t | ~e & o;
            }(n, r, i), a), u)), s), n);
        }
        function r(e, n, r, i, a, s, u) {
            return o(t(e = o(e, o(o(function (e, t, o) {
                return e & o | t & ~o;
            }(n, r, i), a), u)), s), n);
        }
        function i(e, n, r, i, a, s, u) {
            return o(t(e = o(e, o(o(function (e, t, o) {
                return e ^ t ^ o;
            }(n, r, i), a), u)), s), n);
        }
        function a(e, n, r, i, a, s, u) {
            return o(t(e = o(e, o(o(function (e, t, o) {
                return t ^ (e | ~o);
            }(n, r, i), a), u)), s), n);
        }
        function s(e) {
            var t, o = "", n = "";
            for (t = 0; 3 >= t; t++)
                o += (n = "0" + (e >>> 8 * t & 255).toString(16)).substr(n.length - 2, 2);
            return o;
        }
        var u, l, c, d, p, f, h, m, y, g;
        for (g = function (e) {
            for (var t = e.length, o = t + 8, n = 16 * ((o - o % 64) / 64 + 1), r = Array(n - 1), i = 0, a = 0; t > a;)
                i = a % 4 * 8,
                    r[(a - a % 4) / 4] |= e.charCodeAt(a) << i,
                    a++;
            return i = a % 4 * 8,
                r[(a - a % 4) / 4] |= 128 << i,
                r[n - 2] = t << 3,
                r[n - 1] = t >>> 29,
                r;
        }(e = function (e) {
            var t = String.fromCharCode;
            e = e.replace(/\r\n/g, "\n");
            for (var o, n = "", r = 0; r < e.length; r++)
                128 > (o = e.charCodeAt(r)) ? n += t(o) : o > 127 && 2048 > o ? (n += t(o >> 6 | 192),
                    n += t(63 & o | 128)) : (n += t(o >> 12 | 224),
                    n += t(o >> 6 & 63 | 128),
                    n += t(63 & o | 128));
            return n;
        }(e)),
            f = 1732584193,
            h = 4023233417,
            m = 2562383102,
            y = 271733878,
            u = 0; u < g.length; u += 16)
            l = f,
                c = h,
                d = m,
                p = y,
                h = a(h = a(h = a(h = a(h = i(h = i(h = i(h = i(h = r(h = r(h = r(h = r(h = n(h = n(h = n(h = n(h, m = n(m, y = n(y, f = n(f, h, m, y, g[u + 0], 7, 3614090360), h, m, g[u + 1], 12, 3905402710), f, h, g[u + 2], 17, 606105819), y, f, g[u + 3], 22, 3250441966), m = n(m, y = n(y, f = n(f, h, m, y, g[u + 4], 7, 4118548399), h, m, g[u + 5], 12, 1200080426), f, h, g[u + 6], 17, 2821735955), y, f, g[u + 7], 22, 4249261313), m = n(m, y = n(y, f = n(f, h, m, y, g[u + 8], 7, 1770035416), h, m, g[u + 9], 12, 2336552879), f, h, g[u + 10], 17, 4294925233), y, f, g[u + 11], 22, 2304563134), m = n(m, y = n(y, f = n(f, h, m, y, g[u + 12], 7, 1804603682), h, m, g[u + 13], 12, 4254626195), f, h, g[u + 14], 17, 2792965006), y, f, g[u + 15], 22, 1236535329), m = r(m, y = r(y, f = r(f, h, m, y, g[u + 1], 5, 4129170786), h, m, g[u + 6], 9, 3225465664), f, h, g[u + 11], 14, 643717713), y, f, g[u + 0], 20, 3921069994), m = r(m, y = r(y, f = r(f, h, m, y, g[u + 5], 5, 3593408605), h, m, g[u + 10], 9, 38016083), f, h, g[u + 15], 14, 3634488961), y, f, g[u + 4], 20, 3889429448), m = r(m, y = r(y, f = r(f, h, m, y, g[u + 9], 5, 568446438), h, m, g[u + 14], 9, 3275163606), f, h, g[u + 3], 14, 4107603335), y, f, g[u + 8], 20, 1163531501), m = r(m, y = r(y, f = r(f, h, m, y, g[u + 13], 5, 2850285829), h, m, g[u + 2], 9, 4243563512), f, h, g[u + 7], 14, 1735328473), y, f, g[u + 12], 20, 2368359562), m = i(m, y = i(y, f = i(f, h, m, y, g[u + 5], 4, 4294588738), h, m, g[u + 8], 11, 2272392833), f, h, g[u + 11], 16, 1839030562), y, f, g[u + 14], 23, 4259657740), m = i(m, y = i(y, f = i(f, h, m, y, g[u + 1], 4, 2763975236), h, m, g[u + 4], 11, 1272893353), f, h, g[u + 7], 16, 4139469664), y, f, g[u + 10], 23, 3200236656), m = i(m, y = i(y, f = i(f, h, m, y, g[u + 13], 4, 681279174), h, m, g[u + 0], 11, 3936430074), f, h, g[u + 3], 16, 3572445317), y, f, g[u + 6], 23, 76029189), m = i(m, y = i(y, f = i(f, h, m, y, g[u + 9], 4, 3654602809), h, m, g[u + 12], 11, 3873151461), f, h, g[u + 15], 16, 530742520), y, f, g[u + 2], 23, 3299628645), m = a(m, y = a(y, f = a(f, h, m, y, g[u + 0], 6, 4096336452), h, m, g[u + 7], 10, 1126891415), f, h, g[u + 14], 15, 2878612391), y, f, g[u + 5], 21, 4237533241), m = a(m, y = a(y, f = a(f, h, m, y, g[u + 12], 6, 1700485571), h, m, g[u + 3], 10, 2399980690), f, h, g[u + 10], 15, 4293915773), y, f, g[u + 1], 21, 2240044497), m = a(m, y = a(y, f = a(f, h, m, y, g[u + 8], 6, 1873313359), h, m, g[u + 15], 10, 4264355552), f, h, g[u + 6], 15, 2734768916), y, f, g[u + 13], 21, 1309151649), m = a(m, y = a(y, f = a(f, h, m, y, g[u + 4], 6, 4149444226), h, m, g[u + 11], 10, 3174756917), f, h, g[u + 2], 15, 718787259), y, f, g[u + 9], 21, 3951481745),
                f = o(f, l),
                h = o(h, c),
                m = o(m, d),
                y = o(y, p);
        return (s(f) + s(h) + s(m) + s(y)).toLowerCase();
    }
}
class TaobaoGoodsHandler {
    constructor() {
        this.goodsDetailsWin = new Model.Window();
        this.goodsDetailsTab = new Model.Tab();
        this.taobaoGoodsDetailsUrl = "https://item.taobao.com/item.htm?id=";
        this.tmallGoodsDetailsUrl = "https://detail.tmall.com/item.htm?id=";
        this.currGoodsId = 0;
        this.currPlatId = 1;
        this.currRecordId = 0;
        this.currOuterTaskID = 0;
        this.fromPortName = "Base";
        this.toGoodsDetailsPortName = "TaobaoGoodsDetailsPort";
        this.isLoginPdd = false;
        this.isStart = false;
        this.currGrabType = 0;
        this.currGrabList = [];
        this.singleCount = 0;
        this.minNum = 3;
        this.getTaobaoTaskTimer = 0;
        this.grabTimer = 0;
        this.verifTimer = 0;
        this.num2 = 50;
        this.num3 = 0;
        this.num4 = 10 * 60;
    }
    Init() {
        const that = this;
        console.log("TaobaoGoodsHandler - begin");
        BackGround.apiObj.cookies.get({ url: "https://item.taobao.com", name: "dnk" }, function (_cookie) {
            if (_cookie) {
                that.StartTask();
            }
            else {
                console.log("TaobaoGoodsHandler:dnk is null");
            }
        });
    }
    StartTask() {
        if (!this.isStart) {
            this.isStart = true;
            this.ExecuteGetTaobaoUrl();
        }
    }
    StopTask() {
        this.isStart = false;
        if (this.getTaobaoTaskTimer > 0) {
            window.clearInterval(this.getTaobaoTaskTimer);
            this.getTaobaoTaskTimer = 0;
        }
    }
    GetTaobaoUrl() {
        const that = this;
        if (that.goodsDetailsWin.id > 0) {
            BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                if (window) {
                    BackGround.apiObj.windows.remove(window.id, function () { });
                }
            });
            that.goodsDetailsWin.id = 0;
        }
        if (that.currGrabList.length == 0) {
            that.StopTask();
            return;
        }
        that.currGoodsInfo = that.currGrabList.splice(0, 1)[0];
        that.currGoodsId = Number(that.currGoodsInfo.itemKey);
        that.currOuterTaskID = Number(that.currGoodsInfo.uploadingId);
        that.OpenGoodDetailsUrl();
        let currDate = new Date();
        let currDate1 = new Date();
        currDate1.setSeconds(currDate1.getSeconds() - that.num4);
        if (currDate1 > that.lastTime)
            that.singleCount = 0;
        else
            that.singleCount++;
        that.lastTime = currDate;
        that.grabTimer = window.setTimeout(function () {
            console.log("grabTimer:timeout...");
            if (that.currGrabType == 1)
                that.GetNextExecuteTaobaoTaskTime();
            else if (that.currGrabType == 2)
                that.GetNextExecuteTaobaoTaskTime();
            if (that.goodsDetailsWin.id > 0) {
                BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                    if (window) {
                        BackGround.apiObj.windows.remove(window.id, function () { });
                    }
                });
                that.goodsDetailsWin.id = 0;
            }
        }, 55000);
    }
    OpenGoodDetailsUrl() {
        const that = this;
        let url;
        if (this.currGoodsInfo.itemUrl.indexOf('taobao') > -1) {
            url = this.taobaoGoodsDetailsUrl + this.currGoodsId;
        }
        else if (this.currGoodsInfo.itemUrl.indexOf('tmall') > -1) {
            url = this.tmallGoodsDetailsUrl + this.currGoodsId;
        }
        console.log("商品链接:" + url);
        let request = new ExtensionShortMessage.OpenUrlRequest();
        request.Url = url;
        request.FromPortName = this.fromPortName;
        request.ToPortName = this.toGoodsDetailsPortName;
        BackGround.Instance.OpenUrlOfPopup(request, function (win, tab) {
            that.goodsDetailsWin = win;
            that.goodsDetailsTab = tab;
        });
    }
    GetDataOfTaobaoGoodsDetail(body, sender, sendResponse) {
        let response = new ExtensionShortMessage.GetDataOfPddGoodsDetailResponse();
        switch (sender.tab.id) {
            case this.goodsDetailsTab.id:
                response.BusinessType = 1;
                response.WinId = this.goodsDetailsWin.id;
                response.TabId = this.goodsDetailsTab.id;
                response.ClientID = BackGround.Instance.clientId;
                response.ClientIP = HttpClient.clientIP;
                response.GoodsID = this.currGoodsId;
                response.PlatID = this.currPlatId;
                response.RecordID = this.currRecordId;
                response.OuterTaskID = this.currOuterTaskID;
                break;
            default:
                response.BusinessType = 0;
                break;
        }
        sendResponse(response);
    }
    GetDataOfTmallGoodsDetail(body, sender, sendResponse) {
        let response = new ExtensionShortMessage.GetDataOfPddGoodsDetailResponse();
        switch (sender.tab.id) {
            case this.goodsDetailsTab.id:
                response.BusinessType = 1;
                response.WinId = this.goodsDetailsWin.id;
                response.TabId = this.goodsDetailsTab.id;
                response.ClientID = BackGround.Instance.clientId;
                response.ClientIP = HttpClient.clientIP;
                response.GoodsID = this.currGoodsId;
                response.PlatID = this.currPlatId;
                response.RecordID = this.currRecordId;
                response.OuterTaskID = this.currOuterTaskID;
                break;
            default:
                response.BusinessType = 0;
                break;
        }
        sendResponse(response);
    }
    GetDataOfTaobaoLoginPage(body, sender, sendResponse) {
        let response = new ExtensionShortMessage.GetDataOfPddLoginPageResponse();
        switch (sender.tab.id) {
            case this.goodsDetailsTab.id:
                response.BusinessType = 1;
                response.WinId = this.goodsDetailsWin.id;
                response.TabId = this.goodsDetailsTab.id;
                response.ClientID = BackGround.Instance.clientId;
                response.ClientIP = HttpClient.clientIP;
                response.GoodsID = this.currGoodsId;
                response.PlatID = this.currPlatId;
                response.RecordID = this.currRecordId;
                response.OuterTaskID = this.currOuterTaskID;
                break;
            default:
                response.BusinessType = 0;
                break;
        }
        sendResponse(response);
    }
    GetDataOfTaobaoHomePage(body, sender, sendResponse) {
        const that = this;
        if (this.needLoginWin != null && sender.tab.windowId == this.needLoginWin.id) {
            BackGround.apiObj.windows.remove(this.needLoginWin.id, function () {
                that.needLoginWin = null;
            });
            return;
        }
    }
    GetDataOfTaobaoVerifyPage(body, sender, sendResponse) {
        let response = new ExtensionShortMessage.GetDataOfPddVerifyPageResponse();
        switch (sender.tab.id) {
            case this.goodsDetailsTab.id:
                response.BusinessType = 1;
                response.WinId = this.goodsDetailsWin.id;
                response.TabId = this.goodsDetailsTab.id;
                response.ClientID = BackGround.Instance.clientId;
                response.ClientIP = HttpClient.clientIP;
                response.GoodsID = this.currGoodsId;
                response.PlatID = this.currPlatId;
                response.RecordID = this.currRecordId;
                response.OuterTaskID = this.currOuterTaskID;
                break;
            default:
                response.BusinessType = 0;
                break;
        }
        sendResponse(response);
    }
    StopGetTaobaoData(body, sender, sendResponse) {
        this.nextTime.setMinutes(this.nextTime.getMinutes() + 20);
        sendResponse(true);
    }
    SendTaobaoData(body, sender, sendResponse) {
        body.ClientID = BackGround.Instance.clientId;
        if (this.grabTimer > 0) {
            window.clearTimeout(this.grabTimer);
        }
        this.grabTimer = 0;
        if (this.verifTimer > 0) {
            window.clearTimeout(this.verifTimer);
        }
        this.verifTimer = 0;
        const that = this;
        switch (body.State) {
            case 1:
            case 2:
                if (this.currGrabType == 1)
                    that.GetNextExecuteTaobaoTaskTime();
                else if (this.currGrabType == 2)
                    that.GetNextExecuteTaobaoTaskTime();
                if (that.goodsDetailsWin.id > 0) {
                    BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                        if (window) {
                            BackGround.apiObj.windows.remove(window.id, function () { });
                        }
                    });
                    that.goodsDetailsWin.id = 0;
                }
                body.NextGetTaskTime = Utils.Instance.GetDateStr(that.nextTime, "yyyy-MM-DD HH:mm:ss");
                body.RemainingQuantity = that.num2 - that.singleCount;
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendPDDGoodsDetailData_1202, body, function (response) {
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                        }
                        else {
                            console.log("接口返回错误:" + data.Msg);
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                    }
                });
                break;
            case 3:
            case 4:
                that.verifTimer = window.setTimeout(function () {
                    console.log("verifTimer:timeout...");
                    that.verifTimer = 0;
                    if (that.currGrabType == 1)
                        that.GetNextExecuteTaobaoTaskTime();
                    else if (that.currGrabType == 2)
                        that.GetNextExecuteTaobaoTaskTime();
                    if (that.goodsDetailsWin.id > 0) {
                        BackGround.apiObj.windows.get(that.goodsDetailsWin.id, function (window) {
                            if (window) {
                                BackGround.apiObj.windows.remove(window.id, function () { });
                            }
                        });
                        that.goodsDetailsWin.id = 0;
                    }
                    body.NextGetTaskTime = Utils.Instance.GetDateStr(that.nextTime, "yyyy-MM-DD HH:mm:ss");
                    body.RemainingQuantity = that.num2 - that.singleCount;
                    HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendPDDGoodsDetailData_1202, body, function (response) {
                        if (response.IsSuccess) {
                            let data = response.Data;
                            if (data.Code == 1) {
                            }
                            else {
                                console.log("接口返回错误:" + data.Msg);
                            }
                        }
                        else {
                            console.log(response.ErrorMsg);
                        }
                    });
                }, 4.5 * 60000);
                break;
        }
    }
    OnTaobaoUrlListEvent(body, sender, sendResponse) {
        if (body.List != null && body.List.length > 0) {
            this.currGrabType = body.Type;
            this.currGrabList = this.currGrabList.concat(body.List);
            if (!this.isStart) {
                this.StartTask();
            }
        }
        if (this.verifTimer > 0) {
            window.clearTimeout(this.verifTimer);
            if (this.goodsDetailsWin.id > 0) {
                BackGround.apiObj.windows.get(this.goodsDetailsWin.id, function (window) {
                    if (window) {
                        BackGround.apiObj.windows.remove(window.id, function () { });
                    }
                });
                this.goodsDetailsWin.id = 0;
            }
            if (this.currGrabType == 1)
                this.GetNextExecuteTaobaoTaskTime();
            else if (this.currGrabType == 2)
                this.GetNextExecuteTaobaoTaskTime();
        }
    }
    ExecuteGetTaobaoUrl() {
        let that = this;
        this.lastTime = new Date();
        this.nextTime = this.lastTime;
        if (this.getTaobaoTaskTimer == 0) {
            this.getTaobaoTaskTimer = window.setInterval(function () {
                let currDate = new Date();
                if (currDate > that.nextTime) {
                    that.nextTime.setHours(that.nextTime.getHours() + 10);
                    that.GetTaobaoUrl();
                }
            }, 2000);
        }
    }
    GetNextExecuteTaobaoTaskTime() {
        let now = new Date();
        let num1 = Math.ceil(Math.random() * 5);
        let SS = this.minNum + num1;
        if (this.singleCount >= this.num2)
            this.singleCount = 0;
        this.nextTime.setSeconds(this.nextTime.getSeconds() + SS);
        this.nextTime.setHours(this.nextTime.getHours() - 10);
        console.log("taobao剩余条数：" + (50 - this.singleCount));
        console.log("taobao下一次时间：");
        console.log(this.nextTime);
    }
}
class YangkeduoCaigouHandler {
    static get Instance() {
        return this._instance;
    }
    constructor() {
        this.winId = 0;
        this.tabId = 0;
        this.currCaigouInfo = new ExtensionShortMessage.YangkeduoCaiGouInfo;
        this.currCaigouOrderInfos = [];
        this.currentCgNumber = "";
        this.isLogin = false;
        this.isCaigou = false;
        this.isExpress = false;
        this.isCheckPayState = false;
        this.isLoginOut = false;
        this.taobaoAddressState = false;
        this.orderTabId = false;
        this.toPay = true;
    }
    Init() {
        const that = this;
        chrome.runtime.onMessage.addListener((req, sender, sendResponse) => __awaiter(this, void 0, void 0, function* () {
            console.log('我是background，我接收了来自 content.js的消息：', req.info);
            that.TaobaoCgOrderCode(req.info, sender, null);
        }));
        console.log("YangkeduoCaigouHandler - begin");
    }
    AddListenerTabOrWin(body, sender, callback) {
        const that = this;
        BackGround.apiObj.tabs.onRemoved.addListener(function (tabid) {
            if (that.tabId == tabid) {
                that.winId = 0;
                that.tabId = 0;
                that.winview = null;
                that.ClearCurrentInfo(null, null, null);
            }
            BusinessHubHandler.Instance.OnTabRemove(tabid);
        });
        BackGround.apiObj.windows.onRemoved.addListener(function (winid) {
            if (that.winId == winid) {
                that.winId = 0;
                that.tabId = 0;
                that.winview = null;
                that.ClearCurrentInfo(null, null, null);
            }
        });
    }
    SetCurrentCaiGouInfo(body, sender, callback) {
        const that = this;
        if (sender.tab.id) {
            that.orderTabId = sender.tab.id;
            that.orderTabUrl = sender.tab.url;
        }
        if (body) {
            if (body.list != null && body.list.length > 0) {
                if (that.currCaigouInfo == null) {
                    that.currCaigouInfo = new ExtensionShortMessage.YangkeduoCaiGouInfo;
                }
                that.isExpress = false;
                that.isCaigou = true;
                that.currCaigouInfo.isBatch = body.isBatch;
                that.currCaigouInfo.purchaseAutoFlow = body.purchaseAutoFlow;
                that.currCaigouInfo.cgNumber = body.cgNumber;
                that.currCaigouInfo.isAutoPay = false;
                that.currCaigouInfo.intervalTime = body.intervalTime;
                that.currCaigouInfo.isAutoSku = true;
                that.currCaigouInfo.isAutoConfirm = false;
                that.currCaigouInfo.isSkipPay = true;
                that.currCaigouInfo.isOrderPostageInsurance = false;
                that.currCaigouInfo.type = body.type;
                that.currCaigouInfo.platID = body.platID;
                that.currCaigouInfo.platTypeID = body.platTypeID == null ? -1 : body.platTypeID;
                that.currCaigouOrderInfos = body.list;
                that.currCaigouInfo.code = body.code;
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos = that.currCaigouOrderInfos;
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgFreight = "0.00";
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgPrice = "0.00";
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].EstimatedProfit = "0.00";
                if (!that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].BuyerMessage)
                    that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].BuyerMessage = "";
                that.currCaigouOrderInfo = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
            }
        }
        if (callback) {
            callback(this.currCaigouInfo);
        }
        let Url = "";
        if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
            if (body.cgNumber) {
                Url = "https://mobile.yangkeduo.com/personal.html";
            }
            else {
                Url = "https://mobile.yangkeduo.com/login.html?from=https%3A%2F%2Fmobile.yangkeduo.com%2Fpersonal.html";
            }
        }
        else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
            Url = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgUrl;
        }
        if (that.tabId != 0) {
            BackGround.apiObj.tabs.remove(that.tabId);
        }
        let req = new ExtensionShortMessage.OpenUrlRequest();
        req.Url = Url;
        BackGround.Instance.OpenUrlOfPopupMax(req, function (win, tab) {
            that.winview = win;
            that.winId = win.id;
            that.tabId = tab.id;
        }.bind(that));
    }
    SetUpdateExpressNumberInfo(body, sender, callback) {
        const that = this;
        if (sender.tab.id) {
            that.orderTabId = sender.tab.id;
            that.orderTabUrl = sender.tab.url;
        }
        if (body) {
            if (body != null && body.list != null && body.list.length > 0) {
                if (that.currCaigouInfo == null) {
                    that.currCaigouInfo = new ExtensionShortMessage.YangkeduoCaiGouInfo;
                }
                that.isCheckPayState = body.isCheckPayState;
                that.isExpress = body.isExpress;
                that.isCaigou = false;
                that.currCaigouInfo.cgNumber = body.cgNumber;
                that.currCaigouInfo.type = body.type;
                that.currCaigouInfo.platID = body.platID;
                that.currCaigouInfo.code = body.code;
                that.currCaigouInfo.platTypeID = body.platTypeID == null ? -1 : body.platTypeID;
                for (var i = 0; i < body.list.length; i++) {
                    body.list[i].ExpressName = "";
                    body.list[i].ExpressCode = "";
                    body.list[i].cgNumber = body.cgNumber;
                    body.list[i].code = body.code;
                }
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos = that.currCaigouOrderInfos = body.list;
                that.currCaigouOrderInfo = this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
                if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
                    that.setCurrentCgNumber(body.cgNumber, null, null);
                }
                else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
                    that.setTaobaoCurrentCgNumber(body.cgNumber, null, null);
                }
                else if (that.currCaigouOrderInfo.CgType == OrderCgType.Alibaba) {
                    that.setAlibbCurrentCgNumber(body.cgNumber, null, null);
                }
            }
        }
        if (callback) {
            callback(this.currCaigouInfo);
        }
        let Url = "";
        if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
            Url = "https://mobile.yangkeduo.com/personal.html";
        }
        else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
            Url = "https://buyertrade.taobao.com/trade/itemlist/list_bought_items.htm";
        }
        else if (that.currCaigouOrderInfo.CgType == OrderCgType.Alibaba) {
            Url = "https://work.1688.com/home/page/index.htm";
        }
        if (that.tabId != 0) {
            BackGround.apiObj.tabs.remove(that.tabId);
        }
        let req = new ExtensionShortMessage.OpenUrlRequest();
        req.Url = Url;
        BackGround.Instance.OpenUrlOfPopupMax(req, function (win, tab) {
            that.winview = win;
            that.winId = win.id;
            that.tabId = tab.id;
        }.bind(that));
    }
    SetUpdatePayStateInfo(body, sender, callback) {
        const that = this;
        if (sender.tab.id) {
            that.orderTabId = sender.tab.id;
            that.orderTabUrl = sender.tab.url;
        }
        if (body) {
            if (body != null && body.list != null && body.list.length > 0) {
                if (that.currCaigouInfo == null) {
                    that.currCaigouInfo = new ExtensionShortMessage.YangkeduoCaiGouInfo;
                }
                that.isCaigou = false;
                that.isExpress = false;
                that.isCheckPayState = true;
                that.currCaigouInfo.cgNumber = body.cgNumber;
                that.currCaigouInfo.type = body.type;
                that.currCaigouInfo.platID = body.platID;
                that.currCaigouInfo.code = body.code;
                that.currCaigouInfo.platTypeID = body.platTypeID == null ? -1 : body.platTypeID;
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos = that.currCaigouOrderInfos = body.list;
                that.currCaigouOrderInfo = this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
                if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
                    that.setCurrentCgNumber(body.cgNumber, null, null);
                }
                else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
                    that.setTaobaoCurrentCgNumber(body.cgNumber, null, null);
                }
                else if (that.currCaigouOrderInfo.CgType == OrderCgType.Alibaba) {
                    that.setAlibbCurrentCgNumber(body.cgNumber, null, null);
                }
            }
        }
        if (callback) {
            callback(this.currCaigouInfo);
        }
        let Url = "";
        if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
            Url = "https://mobile.yangkeduo.com/personal.html";
        }
        else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
            Url = "https://member1.taobao.com/member/fresh/account_security.htm";
        }
        else if (that.currCaigouOrderInfo.CgType == OrderCgType.Alibaba) {
            Url = "https://work.1688.com/home/page/index.htm";
        }
        if (that.tabId != 0) {
            BackGround.apiObj.tabs.remove(that.tabId);
        }
        let req = new ExtensionShortMessage.OpenUrlRequest();
        req.Url = Url;
        BackGround.Instance.OpenUrlOfPopupMax(req, function (win, tab) {
            that.winview = win;
            that.winId = win.id;
            that.tabId = tab.id;
        }.bind(that));
    }
    ToPay(body, sender, callback) {
        debugger;
        const that = this;
        if (sender.tab.id) {
            that.orderTabId = sender.tab.id;
            that.orderTabUrl = sender.tab.url;
        }
        if (body) {
            if (body.list != null && body.list.length > 0) {
                if (that.currCaigouInfo == null) {
                    that.currCaigouInfo = new ExtensionShortMessage.YangkeduoCaiGouInfo;
                }
                that.isExpress = false;
                that.isCaigou = false;
                that.toPay = true;
                that.currCaigouInfo.isBatch = body.isBatch;
                that.currCaigouInfo.purchaseAutoFlow = body.purchaseAutoFlow;
                that.currCaigouInfo.cgNumber = body.cgNumber;
                that.currCaigouInfo.isAutoPay = false;
                that.currCaigouInfo.intervalTime = body.intervalTime;
                that.currCaigouInfo.isAutoSku = true;
                that.currCaigouInfo.isAutoConfirm = false;
                that.currCaigouInfo.isSkipPay = true;
                that.currCaigouInfo.isOrderPostageInsurance = false;
                that.currCaigouInfo.type = body.type;
                that.currCaigouInfo.platID = body.platID;
                that.currCaigouInfo.platTypeID = body.platTypeID == null ? -1 : body.platTypeID;
                that.currCaigouOrderInfos = body.list;
                that.currCaigouInfo.code = body.code;
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos = that.currCaigouOrderInfos;
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgFreight = "0.00";
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgPrice = "0.00";
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].EstimatedProfit = "0.00";
                if (!that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].BuyerMessage)
                    that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].BuyerMessage = "";
                that.currCaigouOrderInfo = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
                if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
                    that.setCurrentCgNumber(that.currCaigouInfo.cgNumber, null, null);
                }
                else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
                    that.setTaobaoCurrentCgNumber(that.currCaigouInfo.cgNumber, null, null);
                }
            }
        }
        let Url = "";
        if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
            Url = "https://mobile.yangkeduo.com/personal.html";
        }
        else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
            Url = "https://buyertrade.taobao.com/trade/itemlist/list_bought_items.htm";
        }
        if (that.tabId != 0) {
            BackGround.apiObj.tabs.remove(that.tabId);
        }
        let req = new ExtensionShortMessage.OpenUrlRequest();
        req.Url = Url;
        BackGround.Instance.OpenUrlOfPopupMax(req, function (win, tab) {
            that.winview = win;
            that.winId = win.id;
            that.tabId = tab.id;
        }.bind(that));
    }
    GetCurrentCaiGouInfo(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            if (body) {
                if (that.currCaigouInfo.isBatch) {
                    if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                        that.currCaigouInfo.YangkeduoCaiGouOrderInfos = that.currCaigouInfo.YangkeduoCaiGouOrderInfos.filter(function (item) {
                            return item.OrderCode != body;
                        });
                        if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                            this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].EstimatedProfit = "0.00";
                            this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgPrice = "0.00";
                            this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgFreight = "0.00";
                            that.currCaigouOrderInfo = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
                            if (callback) {
                                callback(this.currCaigouInfo);
                            }
                        }
                        else {
                            that.isCaigou = false;
                            that.isExpress = false;
                            that.isCheckPayState = false;
                            that.currCaigouOrderInfo = null;
                            if (callback) {
                                callback(this.currCaigouInfo);
                            }
                            BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                            BackGround.apiObj.tabs.update(that.orderTabId, { url: that.orderTabUrl }, function (tab) {
                            });
                        }
                    }
                }
                else {
                    that.isCaigou = false;
                    that.isExpress = false;
                    that.isCheckPayState = false;
                    that.currCaigouOrderInfo = null;
                    if (callback) {
                        callback(this.currCaigouInfo);
                    }
                    BackGround.apiObj.windows.remove(sender.tab.windowId, function () { });
                    BackGround.apiObj.tabs.update(that.orderTabId, { url: that.orderTabUrl }, function (tab) {
                    });
                }
            }
            else {
                if (callback) {
                    callback(this.currCaigouInfo);
                }
            }
        }
    }
    SetCurrentOrderInfo(body, sender, callback) {
        if (sender.tab.id == this.tabId) {
            console.log(body);
            if (body != null && body != "") {
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgPrice = body.CgPrice;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgFreight = body.CgFreight;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].EstimatedProfit = body.EstimatedProfit;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].LastReceiverName = body.LastReceiverName;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].LastReceiverPhone = body.LastReceiverPhone;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].LastReceiverAddress = body.LastReceiverAddress;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].XdTime = body.XdTime;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].LastCgSku = body.LastCgSku;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].PicUrl = body.PicUrl;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].Title = body.Title;
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].SkuPrice = body.SkuPrice;
                if (!this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].ExpectDeliverTime) {
                    this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].ExpectDeliverTime = body.ExpectDeliverTime;
                }
                this.currCaigouOrderInfo = this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
            }
        }
    }
    GetProvinceCityCountyCode(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            var requestData = new HttpMessage.GetProvinceCityCountyCodeRequest_1501();
            var addrrss = that.currCaigouOrderInfo.ReceiverAddress;
            requestData.address = addrrss;
            requestData.cgType = body;
            HttpClient.Instance.AjaxProtocol(WebApiProtocol.GetProvinceCityCountyCode_1501, requestData, function (response) {
                if (response.IsSuccess) {
                    callback(response.Data.AddressInfo);
                }
                else {
                    callback(false);
                }
            });
        }
    }
    GetIsCaigouOrIsExpress(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            if (callback) {
                var data = { "isCaigou": that.isCaigou, "isExpress": that.isExpress, "isCheckPayState": that.isCheckPayState, "istoPay": that.toPay };
                callback(data);
            }
        }
    }
    GetIsExpress(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            if (callback) {
                callback(that.isExpress);
            }
        }
    }
    GettoPay(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            if (callback) {
                callback(that.toPay);
            }
        }
    }
    YangkeduoLoginClick(body, sender, callback) {
        const that = this;
        that.isLogin = false;
        that.currentCgNumber = body;
        window.localStorage.setItem("selectCgNumber", body);
        var pddLoginInfo = window.localStorage.getItem("pddLoginInfo");
        if (pddLoginInfo != "" && pddLoginInfo != null) {
            var json = JSON.parse(pddLoginInfo);
            var item = null;
            for (var i = 0; i < json.length; i++) {
                if (json[i].mobile == body) {
                    item = json[i];
                    break;
                }
            }
            if (item == null) {
                item = { "mobile": "" + that.currentCgNumber + "", "token": "", "cookie": "" };
                pddLoginInfo.push(item);
                window.localStorage.setItem("pddLoginInfo", JSON.stringify(pddLoginInfo));
            }
        }
        else {
            pddLoginInfo = [{ "mobile": "" + that.currentCgNumber + "", "token": "", "cookie": "" }];
            window.localStorage.setItem("pddLoginInfo", JSON.stringify(pddLoginInfo));
        }
    }
    setCgNumberCache(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            var str = "";
            var cookie = body;
            var mobile = that.getCookie(cookie, "mobile");
            var token = that.getCookie(cookie, "PDDAccessToken");
            that.currentCgNumber = mobile;
            var pddLoginInfo = window.localStorage.getItem("pddLoginInfo");
            that.isLogin = true;
            if (pddLoginInfo == null) {
                pddLoginInfo = [{ "mobile": "" + that.currentCgNumber + "", "token": "" + token + "", "cookie": "" + cookie + "" }];
            }
            else {
                var ishave = false;
                var json = JSON.parse(pddLoginInfo);
                for (var i = 0; i < json.length; i++) {
                    if (json[i].mobile == that.currentCgNumber) {
                        ishave = true;
                        json[i].token = token;
                        json[i].cookie = cookie;
                        pddLoginInfo = json;
                        break;
                    }
                }
                if (ishave == false) {
                    var item = { "mobile": "" + that.currentCgNumber + "", "token": "" + token + "", "cookie": "" + cookie + "" };
                    pddLoginInfo = JSON.parse(pddLoginInfo);
                    pddLoginInfo.push(item);
                }
            }
            window.localStorage.setItem("pddLoginInfo", JSON.stringify(pddLoginInfo));
            var arr = {
                isLogin: that.isLogin,
                buyer: that.currentCgNumber
            };
            if (callback) {
                callback(arr);
            }
        }
    }
    getCookie(cookie, name) {
        var strcookie = cookie;
        var arrcookie = strcookie.split("; ");
        for (var i = 0; i < arrcookie.length; i++) {
            var arr = arrcookie[i].split("=");
            if (arr[0] == name) {
                return arr[1];
            }
        }
        return "";
    }
    GetYangkeduoAddress(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            if (that.currCaigouOrderInfo.CgOrderCode == undefined) {
                that.GetCurrentCaiGouInfo(null, sender, null);
            }
            console.log(that.currCaigouInfo);
            callback(that.currCaigouInfo);
        }
    }
    SelectGoodSku(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            callback(that.currCaigouInfo);
        }
    }
    OrderCheckOut(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].EstimatedProfit = "0.00";
            this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgPrice = "0.00";
            this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgFreight = "0.00";
            this.currCaigouOrderInfo = this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
            callback(that.currCaigouInfo);
        }
    }
    GetCgInfoToSend(body, sender, callback) {
        const that = this;
        if (body != null || body != "") {
            that.currCaigouOrderInfo.CgOrderCode = body;
            if (sender.tab.id == that.tabId) {
                let requestData = new HttpMessage.SendXdOrderOpeRequet_1401();
                requestData.ClientID = BackGround.Instance.clientId;
                requestData.ClientIP = HttpClient.clientIP;
                requestData.platTypeID = that.currCaigouInfo.platTypeID;
                requestData.platID = that.currCaigouInfo.platID;
                requestData.type = that.currCaigouInfo.type;
                if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
                    requestData.CgNumber = window.localStorage.getItem("selectCgNumber");
                }
                else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
                    requestData.CgNumber = window.localStorage.getItem("selectTaobaoCgNumber");
                }
                else if (that.currCaigouOrderInfo.CgType == OrderCgType.Alibaba) {
                    requestData.CgNumber = window.localStorage.getItem("selectAlibbCgNumber");
                }
                requestData.code = that.currCaigouInfo.code;
                requestData.isBatch = that.currCaigouInfo.isBatch;
                requestData.purchaseAutoFlow = that.currCaigouInfo.purchaseAutoFlow;
                requestData.YangkeduoCaiGouOrderInfo = that.currCaigouOrderInfo;
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendXdOrderOpe_1401, requestData, function (response) {
                    var json = {};
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                            if (callback) {
                                callback();
                            }
                        }
                        else {
                            console.log("SendXdOrderOpe_接口返回错误:" + data.Msg);
                            that.isCaigou = false;
                            that.isExpress = false;
                            that.isCheckPayState = false;
                            that.currCaigouOrderInfo = null;
                            if (callback) {
                                callback();
                            }
                        }
                    }
                    else {
                        console.log(response.ErrorMsg);
                        that.isCaigou = false;
                        that.isExpress = false;
                        that.isCheckPayState = false;
                        that.currCaigouOrderInfo = null;
                        if (callback) {
                            callback();
                        }
                    }
                });
            }
        }
    }
    GetExpressByApi(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            var data = body;
            for (var i = 0; i < data.length; i++) {
                for (var t = 0; t < that.currCaigouOrderInfos.length; t++) {
                    if (data[i].CgOrderCode == that.currCaigouOrderInfos[t].CgOrderCode) {
                        that.currCaigouOrderInfos[t].ExpressName = data[i].ShipperName;
                        that.currCaigouOrderInfos[t].ExpressCode = data[i].LogisticNo;
                        that.GetExpressToSend(that.currCaigouOrderInfos[t], sender, null);
                    }
                }
            }
        }
    }
    GetExpressByHtml(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            var data = body;
            that.currCaigouOrderInfo.ExpressName = body.ShipperName;
            that.currCaigouOrderInfo.ExpressCode = body.LogisticNo;
            that.currCaigouOrderInfo.ShipperId = body.ShipperId;
            that.currCaigouOrderInfo.OrderStatus = body.OrderStatus;
            that.GetExpressToSend(that.currCaigouOrderInfo, sender, callback);
        }
    }
    GetPayStatesByHtml(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            var data = body;
            that.currCaigouOrderInfo.ExpressName = body.ShipperName;
            that.currCaigouOrderInfo.ExpressCode = body.LogisticNo;
            that.currCaigouOrderInfo.ShipperId = body.ShipperId;
            that.currCaigouOrderInfo.OrderStatus = body.OrderStatus;
            that.GetExpressToSend(that.currCaigouOrderInfo, sender, callback);
        }
    }
    GetExpressToSend(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            var success = false;
            if ((body.ExpressName != '' && body.ExpressCode != '') || that.currCaigouInfo.platID != InsidePlatformType.KuaJing) {
                var requestData = new HttpMessage.SendUpdateExpressNumberRequest_1402;
                requestData.CgNumber = body.cgNumber;
                requestData.Code = that.currCaigouInfo.code;
                requestData.ExpressCode = body.ExpressCode;
                requestData.ExpressName = body.ExpressName;
                requestData.OrderId = body.OrderId;
                requestData.PlatID = that.currCaigouInfo.platID;
                requestData.PlatTypeID = that.currCaigouInfo.platTypeID;
                requestData.ShipperId = body.ShipperId;
                requestData.OrderStatus = body.OrderStatus;
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendUpdateExpressNumber_1402, requestData, function (response) {
                    var json = {};
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                        }
                        else {
                            console.log("SendXdOrderOpe_接口返回错误:" + data.Msg);
                        }
                    }
                    else {
                    }
                });
                success = true;
            }
            else {
                success = true;
            }
            if (success) {
                if (callback) {
                    that.currCaigouOrderInfos = that.currCaigouOrderInfos.filter(function (item) {
                        return item.CgOrderCode != body.CgOrderCode;
                    });
                    that.currCaigouOrderInfo = that.currCaigouOrderInfos[0];
                    if (that.currCaigouOrderInfo != null) {
                        if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
                        }
                        else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
                        }
                        else if (that.currCaigouOrderInfo.CgType == OrderCgType.Alibaba) {
                        }
                    }
                    callback(that.currCaigouOrderInfo);
                }
            }
        }
    }
    GetPayStatesToSend(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            var success = false;
            if (body.ExpressName != '' && body.ExpressCode != '') {
                var requestData = new HttpMessage.SendUpdateExpressNumberRequest_1402;
                requestData.CgNumber = body.cgNumber;
                requestData.Code = that.currCaigouInfo.code;
                requestData.ExpressCode = body.ExpressCode;
                requestData.ExpressName = body.ExpressName;
                requestData.OrderId = body.OrderId;
                requestData.PlatID = that.currCaigouInfo.platID;
                requestData.PlatTypeID = that.currCaigouInfo.platTypeID;
                HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendUpdateExpressNumber_1402, requestData, function (response) {
                    var json = {};
                    if (response.IsSuccess) {
                        let data = response.Data;
                        if (data.Code == 1) {
                        }
                        else {
                            console.log("SendXdOrderOpe_接口返回错误:" + data.Msg);
                        }
                    }
                    else {
                    }
                });
                success = true;
            }
            else {
                success = true;
            }
            if (success) {
                if (callback) {
                    that.currCaigouOrderInfos = that.currCaigouOrderInfos.filter(function (item) {
                        return item.CgOrderCode != body.CgOrderCode;
                    });
                    that.currCaigouOrderInfo = that.currCaigouOrderInfos[0];
                    if (that.currCaigouOrderInfo != null) {
                        if (that.currCaigouOrderInfo.CgType == OrderCgType.Pdd) {
                        }
                        else if (that.currCaigouOrderInfo.CgType == OrderCgType.TaoBao) {
                        }
                        else if (that.currCaigouOrderInfo.CgType == OrderCgType.Alibaba) {
                        }
                    }
                    callback(that.currCaigouOrderInfo);
                }
            }
        }
    }
    GetPddLoginAccountInfo(body, sender, callback) {
        if (window.localStorage.getItem("pddLoginInfo") == "" || window.localStorage.getItem("pddLoginInfo") == null) {
            callback("");
        }
        else {
            callback(window.localStorage.getItem("pddLoginInfo"));
        }
    }
    GetTaobaoLoginAccountInfo(body, sender, callback) {
        if (window.localStorage.getItem("taobaoLoginInfo") == "" || window.localStorage.getItem("taobaoLoginInfo") == null) {
            callback("");
        }
        else {
            callback(window.localStorage.getItem("taobaoLoginInfo"));
        }
    }
    GetAlibbLoginAccountInfo(body, sender, callback) {
        if (window.localStorage.getItem("alibbLoginInfo") == "" || window.localStorage.getItem("alibbLoginInfo") == null) {
            callback("");
        }
        else {
            callback(window.localStorage.getItem("alibbLoginInfo"));
        }
    }
    DeletePddAccountLoginInfo(body, sender, callback) {
        var infostr = window.localStorage.getItem("pddLoginInfo");
        if (infostr != "" && infostr != null) {
            var arr = JSON.parse(infostr);
            for (var i = 0; i < arr.length; i++) {
                if (arr[i].mobile == body) {
                    arr.splice(i, 1);
                    break;
                }
            }
            window.localStorage.setItem("pddLoginInfo", JSON.stringify(arr));
        }
        if (window.localStorage.getItem("selectCgNumber") == body) {
            window.localStorage.setItem("selectCgNumber", "");
        }
    }
    DeleteTaobaoAccountLoginInfo(body, sender, callback) {
        var infostr = window.localStorage.getItem("taobaoLoginInfo");
        if (infostr != "" && infostr != null) {
            var arr = JSON.parse(infostr);
            for (var i = 0; i < arr.length; i++) {
                if (arr[i].name == body) {
                    arr.splice(i, 1);
                    break;
                }
            }
            window.localStorage.setItem("taobaoLoginInfo", JSON.stringify(arr));
        }
        if (window.localStorage.getItem("selectTaobaoCgNumber") == body) {
            window.localStorage.setItem("selectTaobaoCgNumber", "");
        }
    }
    DeleteAlibbAccountLoginInfo(body, sender, callback) {
        var infostr = window.localStorage.getItem("alibbLoginInfo");
        if (infostr != "" && infostr != null) {
            var arr = JSON.parse(infostr);
            for (var i = 0; i < arr.length; i++) {
                if (arr[i].name == body) {
                    arr.splice(i, 1);
                    break;
                }
            }
            window.localStorage.setItem("alibbLoginInfo", JSON.stringify(arr));
        }
        if (window.localStorage.getItem("selectAlibbCgNumber") == body) {
            window.localStorage.setItem("selectAlibbCgNumber", "");
        }
    }
    SetPddSelectCgNumber(body, sender, callback) {
        const that = this;
        if (window.localStorage.getItem("selectCgNumber") != body) {
            that.isLoginOut = true;
            window.localStorage.setItem("selectCgNumber", body);
        }
        if (callback) {
            callback();
        }
    }
    SetTaobaoSelectCgNumber(body, sender, callback) {
        const that = this;
        if (window.localStorage.getItem("selectTaobaoCgNumber") != body) {
            that.isLoginOut = true;
            window.localStorage.setItem("selectTaobaoCgNumber", body);
        }
        if (callback) {
            callback();
        }
    }
    SetAlibbSelectCgNumber(body, sender, callback) {
        const that = this;
        if (window.localStorage.getItem("selectAlibbCgNumber") != body) {
            that.isLoginOut = true;
            window.localStorage.setItem("selectAlibbCgNumber", body);
        }
        if (callback) {
            callback();
        }
    }
    GetPddSelectCgNumber(body, sender, callback) {
        var selectCgNumber = window.localStorage.getItem("selectCgNumber");
        var selectCgNumberJson = null;
        if (selectCgNumber != null && selectCgNumber != "") {
            var pddLoginInfo = window.localStorage.getItem("pddLoginInfo");
            if (pddLoginInfo != "" && pddLoginInfo != null) {
                var pddLoginInfo = JSON.parse(pddLoginInfo);
                for (var i = 0; i < pddLoginInfo.length; i++) {
                    if (pddLoginInfo[i].mobile == selectCgNumber) {
                        selectCgNumberJson = pddLoginInfo[i];
                        break;
                    }
                }
                if (selectCgNumberJson == null) {
                    selectCgNumberJson = { "mobile": "" + selectCgNumber + "", "token": "", "cookie": "" };
                    pddLoginInfo.push(selectCgNumberJson);
                }
            }
            else {
                selectCgNumberJson = { "mobile": "" + selectCgNumber + "", "token": "", "cookie": "" };
                pddLoginInfo = [{ "mobile": "" + selectCgNumber + "", "token": "", "cookie": "" }];
            }
            window.localStorage.setItem("pddLoginInfo", JSON.stringify(pddLoginInfo));
        }
        callback(selectCgNumberJson);
    }
    GetTaobaoSelectCgNumber(body, sender, callback) {
        var selectTaoBaoCgNumber = window.localStorage.getItem("selectTaobaoCgNumber");
        var selectTaoBaoCgNumberJson = null;
        if (selectTaoBaoCgNumber != null && selectTaoBaoCgNumber != "") {
            var taobaoLoginInfo = window.localStorage.getItem("taobaoLoginInfo");
            if (taobaoLoginInfo != "" && taobaoLoginInfo != null) {
                var taobaoLoginInfo = JSON.parse(taobaoLoginInfo);
                for (var i = 0; i < taobaoLoginInfo.length; i++) {
                    if (taobaoLoginInfo[i].name == selectTaoBaoCgNumber) {
                        selectTaoBaoCgNumberJson = taobaoLoginInfo[i];
                        break;
                    }
                }
                if (selectTaoBaoCgNumberJson == null) {
                    selectTaoBaoCgNumberJson = { "name": "" + selectTaoBaoCgNumber + "", "token": "", "cookie": "" };
                    taobaoLoginInfo.push(selectTaoBaoCgNumberJson);
                }
            }
            else {
                selectTaoBaoCgNumberJson = { "name": "" + selectTaoBaoCgNumber + "", "token": "", "cookie": "" };
                taobaoLoginInfo = [{ "name": "" + selectTaoBaoCgNumber + "", "token": "", "cookie": "" }];
            }
            window.localStorage.setItem("taobaoLoginInfo", JSON.stringify(taobaoLoginInfo));
        }
        else {
            selectTaoBaoCgNumberJson = { "name": "", "token": "", "cookie": "" };
        }
        callback(selectTaoBaoCgNumberJson);
    }
    GetAlibbSelectCgNumber(body, sender, callback) {
        var selectAlibbCgNumber = window.localStorage.getItem("selectAlibbCgNumber");
        var selectAlibbCgNumberJson = null;
        if (selectAlibbCgNumber != null && selectAlibbCgNumber != "") {
            var alibbLoginInfo = window.localStorage.getItem("alibbLoginInfo");
            if (alibbLoginInfo != "" && alibbLoginInfo != null) {
                var alibbLoginInfo = JSON.parse(alibbLoginInfo);
                for (var i = 0; i < alibbLoginInfo.length; i++) {
                    if (alibbLoginInfo[i].name == selectAlibbCgNumber) {
                        selectAlibbCgNumberJson = alibbLoginInfo[i];
                        break;
                    }
                }
                if (selectAlibbCgNumberJson == null) {
                    selectAlibbCgNumberJson = { "name": "" + selectAlibbCgNumber + "", "token": "", "cookie": "" };
                    alibbLoginInfo.push(selectAlibbCgNumberJson);
                }
            }
            else {
                selectAlibbCgNumberJson = { "name": "" + selectAlibbCgNumber + "", "token": "", "cookie": "" };
                alibbLoginInfo = [{ "name": "" + selectAlibbCgNumber + "", "token": "", "cookie": "" }];
            }
            window.localStorage.setItem("alibbLoginInfo", JSON.stringify(alibbLoginInfo));
        }
        else {
            selectAlibbCgNumberJson = { "name": "", "token": "", "cookie": "" };
        }
        callback(selectAlibbCgNumberJson);
    }
    setCurrentCgNumber(body, sender, callback) {
        const that = this;
        var pddLoginInfo = window.localStorage.getItem("pddLoginInfo");
        var ishave = false;
        if (pddLoginInfo == null) {
            pddLoginInfo = [];
            var item = { "mobile": "" + body + "", "token": "", "cookie": "" };
            pddLoginInfo.push(item);
            that.currentCgNumber = body;
            window.localStorage.setItem("selectCgNumber", body);
            window.localStorage.setItem("pddLoginInfo", JSON.stringify(pddLoginInfo));
        }
        else {
            var json = JSON.parse(pddLoginInfo);
            for (var i = 0; i < json.length; i++) {
                if (json[i].mobile == body) {
                    ishave = true;
                }
            }
            if (ishave == false) {
                var item = { "mobile": "" + body + "", "token": "", "cookie": "" };
                pddLoginInfo = JSON.parse(pddLoginInfo);
                pddLoginInfo.push(item);
            }
            that.currentCgNumber = body;
            window.localStorage.setItem("selectCgNumber", body);
        }
    }
    setTaobaoCurrentCgNumber(body, sender, callback) {
        const that = this;
        var taobaoLoginInfo = window.localStorage.getItem("taobaoLoginInfo");
        if (taobaoLoginInfo == null) {
            taobaoLoginInfo = [];
            var item = { "name": "" + body + "", "token": "", "cookie": "" };
            taobaoLoginInfo.push(item);
            that.currentCgNumber = body;
            window.localStorage.getItem("taobaoLoginInfo");
            window.localStorage.setItem("taobaoLoginInfo", JSON.stringify(taobaoLoginInfo));
        }
        else {
            var ishave = false;
            var json = JSON.parse(taobaoLoginInfo);
            for (var i = 0; i < json.length; i++) {
                if (json[i].name == body) {
                    ishave = true;
                }
            }
            if (ishave == false) {
                var item = { "name": "" + body + "", "token": "", "cookie": "" };
                taobaoLoginInfo = JSON.parse(taobaoLoginInfo);
                taobaoLoginInfo.push(item);
            }
            that.currentCgNumber = body;
            window.localStorage.setItem("selectTaobaoCgNumber", body);
        }
    }
    setAlibbCurrentCgNumber(body, sender, callback) {
        const that = this;
        var alibbLoginInfo = window.localStorage.getItem("alibbLoginInfo");
        var ishave = false;
        var json = JSON.parse(alibbLoginInfo);
        for (var i = 0; i < json.length; i++) {
            if (json[i].mobile == body) {
                ishave = true;
            }
        }
        if (ishave == false) {
            var item = { "name": "" + body + "", "token": "", "cookie": "" };
            alibbLoginInfo = JSON.parse(alibbLoginInfo);
            alibbLoginInfo.push(item);
        }
        that.currentCgNumber = body;
        window.localStorage.setItem("selectAlibbCgNumber", body);
    }
    GetTaobaoAddressSuccess(body, sender, callback) {
        const that = this;
        if (callback) {
            callback(that.taobaoAddressState);
        }
    }
    SetTaobaoAddressSuccess(body, sender, callback) {
        const that = this;
        that.taobaoAddressState = body;
        if (callback) {
            callback(that.taobaoAddressState);
        }
    }
    IsNeedPddLoginOut(body, sender, callback) {
        const that = this;
        if (callback)
            callback(that.isLoginOut);
    }
    IsNotNeedPddLoginOut(body, sender, callback) {
        const that = this;
        that.isLoginOut = false;
        if (callback)
            callback();
    }
    GetFirstOrderCodeByGetExpress(body, sender, callback) {
        const that = this;
        if (sender.tab.id == this.tabId) {
            if (callback) {
                if (body) {
                    if (that.currCaigouOrderInfos.length > 0) {
                        that.currCaigouOrderInfos = that.currCaigouOrderInfos.filter(function (item) {
                            return item.CgOrderCode != that.currCaigouOrderInfo.CgOrderCode;
                        });
                        that.currCaigouOrderInfo = that.currCaigouOrderInfos[0];
                        callback(that.currCaigouOrderInfo);
                    }
                }
            }
        }
    }
    SetCurrentPayUrl(body, sender, callback) {
        if (body != "" && body != null) {
            if (this.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].AlipayUrl = body;
                this.currCaigouOrderInfo = this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
            }
        }
        if (callback) {
            callback();
        }
    }
    GetIsBatch(body, sender, callback) {
        const that = this;
        if (callback) {
            callback(that.currCaigouInfo.isBatch);
        }
    }
    GetIsSkipPay(body, sender, callback) {
        const that = this;
        if (callback) {
            callback(that.currCaigouInfo.isSkipPay);
        }
    }
    GetCgInfoPayStateToSend(body, sender, callback) {
        const that = this;
        if (sender.tab.id == this.tabId) {
            var requestData = new HttpMessage.SendOrderPaySuccRequest_1403();
            requestData.Code = that.currCaigouInfo.code;
            requestData.OrderId = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].OrderId;
            requestData.PlatTypeID = that.currCaigouInfo.platTypeID;
            requestData.PlatID = that.currCaigouInfo.platID;
            requestData.isPay = body;
            HttpClient.Instance.AjaxProtocol(WebApiProtocol.SendOrderPaySucc_1403, requestData, function (response) {
                if (response.IsSuccess) {
                    let data = response.Data;
                    if (data.Code == 1) {
                        if (that.currCaigouInfo.isBatch || that.isCheckPayState) {
                            if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                                that.currCaigouInfo.YangkeduoCaiGouOrderInfos = that.currCaigouInfo.YangkeduoCaiGouOrderInfos.filter(function (item) {
                                    return item.CgOrderCode != that.currCaigouOrderInfo.CgOrderCode;
                                });
                                if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                                    that.currCaigouOrderInfo = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
                                }
                                else {
                                    that.isCaigou = false;
                                    that.isExpress = false;
                                    that.isCheckPayState = false;
                                    that.currCaigouOrderInfo = null;
                                    BackGround.apiObj.tabs.update(that.orderTabId, { url: that.orderTabUrl }, function (tab) {
                                    });
                                }
                            }
                        }
                        else {
                            that.isCaigou = false;
                            that.isExpress = false;
                            that.isCheckPayState = false;
                            that.currCaigouOrderInfo = null;
                            BackGround.apiObj.tabs.update(that.orderTabId, { url: that.orderTabUrl }, function (tab) {
                            });
                        }
                        if (callback) {
                            callback();
                        }
                    }
                    else {
                        console.log("SendXdOrderOpe_接口返回错误:" + data.Msg);
                    }
                }
                else {
                    console.log(response.ErrorMsg);
                }
            });
        }
    }
    CutCurrentCaigouOrder(body, sender, callback) {
        const that = this;
        if (that.currCaigouInfo.isBatch || that.isCheckPayState) {
            if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                that.currCaigouInfo.YangkeduoCaiGouOrderInfos = that.currCaigouInfo.YangkeduoCaiGouOrderInfos.filter(function (item) {
                    return item.CgOrderCode != that.currCaigouOrderInfo.CgOrderCode;
                });
                if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                    that.currCaigouOrderInfo = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
                }
                else {
                    that.isCaigou = false;
                    that.isExpress = false;
                    that.isCheckPayState = false;
                    that.currCaigouOrderInfo = null;
                    BackGround.apiObj.tabs.update(that.orderTabId, { url: that.orderTabUrl }, function (tab) {
                    });
                }
            }
        }
        else {
            that.isCaigou = false;
            that.isExpress = false;
            that.isCheckPayState = false;
            that.currCaigouOrderInfo = null;
            BackGround.apiObj.tabs.update(that.orderTabId, { url: that.orderTabUrl }, function (tab) {
            });
        }
        if (callback) {
            callback();
        }
    }
    ClearCurrentInfo(body, sender, callback) {
        const that = this;
        that.currCaigouInfo = null;
        that.currCaigouOrderInfos = null;
        that.currCaigouOrderInfo = null;
        that.isCaigou = false;
        that.isExpress = false;
        that.isCheckPayState = false;
        if (sender.tab.id == this.tabId) {
            BackGround.apiObj.tabs.remove(sender.tab.id);
        }
    }
    LoginOrGotoOpenView(body, sender, callback) {
        const that = this;
        if (that.tabId != 0) {
            BackGround.apiObj.tabs.update(that.tabId, { url: body }, function (tab) {
            });
        }
        else {
            setTimeout(function () {
                let req = new ExtensionShortMessage.OpenUrlRequest();
                req.Url = body;
                BackGround.Instance.OpenUrlOfPopupMax(req, function (win, tab) {
                    that.winview = win;
                    that.winId = win.id;
                    that.tabId = tab.id;
                }.bind(that));
            }, 1000);
        }
    }
    TaobaoCgOrderCode(body, sender, callback) {
        const that = this;
        if (sender.tab.id == that.tabId) {
            this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode = body;
            this.currCaigouOrderInfo = this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
        }
    }
    GetCgInfoToSendTaobao(body, sender, callback) {
        const that = this;
        var ordercode = this.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
        that.GetCgInfoToSend(ordercode, sender, callback);
    }
    RefreshOrderTab(body, sender, callback) {
        const that = this;
        BackGround.apiObj.tabs.update(that.orderTabId, { url: that.orderTabUrl }, function (tab) {
        });
        if (callback) {
            callback();
        }
    }
    OrderCompletion(body, sender, callback) {
        const that = this;
        let data1 = new ExtensionShortMessage.RequestData();
        data1.Body = { "isSuccess": true, "msg": "下单完成" };
        data1.Protocol = ShortMsgProtocol.OrderCompletion;
        BackGround.apiObj.tabs.sendMessage(that.orderTabId, data1, null);
        if (callback) {
            callback();
        }
    }
    IsOrderPostageInsurance(body, sender, callback) {
        const that = this;
        if (callback) {
            callback(that.currCaigouInfo.isOrderPostageInsurance);
        }
    }
    setPddOrderCodeByApi(body, sender, sendResponse) {
        this.currCaigouOrderInfo.CgOrderCode = body;
    }
    getPddOrderCodeByApi(body, sender, callback) {
        if (callback) {
            callback(this.currCaigouOrderInfo.CgOrderCode);
        }
    }
}
YangkeduoCaigouHandler._instance = new YangkeduoCaigouHandler();
